############################################################################################
#      NSIS Installation Script created by NSIS Quick Setup Script Generator v1.09.18
#               Entirely Edited with NullSoft Scriptable Installation System                
#              by Vlasis K. Barkas aka Red Wine red_wine@freemail.gr Sep 2006               
############################################################################################


## Make sure the version matches the release.
!define VERSION "1.3.18.1106"

!define APP_NAME "Cmder"
!define COMP_NAME "Cmder"
!define WEB_SITE "http://cmder.net/"
!define COPYRIGHT "Samuel Vasko © 2021"
!define DESCRIPTION "Lovely console emulator package for Windows"
!define LICENSE_TXT ".\..\..\license.txt"
!define INSTALLER_NAME ".\Versions\${VERSION}\Cmder-mini-${Version}-setup.exe"
!define MAIN_APP_EXE "Cmder.exe"
!define INSTALL_TYPE "SetShellVarContext current"
!define REG_ROOT "HKCU"
!define REG_APP_PATH "Software\Microsoft\Windows\CurrentVersion\App Paths\${MAIN_APP_EXE}"
!define UNINSTALL_PATH "Software\Microsoft\Windows\CurrentVersion\Uninstall\${APP_NAME}"

!define REG_START_MENU "Start Menu Folder"

var SM_Folder

######################################################################

VIProductVersion  "${VERSION}"
VIAddVersionKey "ProductName"  "${APP_NAME}"
VIAddVersionKey "CompanyName"  "${COMP_NAME}"
VIAddVersionKey "LegalCopyright"  "${COPYRIGHT}"
VIAddVersionKey "FileDescription"  "${DESCRIPTION}"
VIAddVersionKey "FileVersion"  "${VERSION}"

######################################################################

SetCompressor ZLIB
Name "${APP_NAME}"
Caption "${APP_NAME}"
OutFile "${INSTALLER_NAME}"
BrandingText "${APP_NAME}"
XPStyle on
InstallDirRegKey "${REG_ROOT}" "${REG_APP_PATH}" ""
InstallDir "$PROFILE\Cmder"

######################################################################

!include "MUI.nsh"

!define MUI_ABORTWARNING
!define MUI_UNABORTWARNING

!insertmacro MUI_PAGE_WELCOME

!ifdef LICENSE_TXT
!insertmacro MUI_PAGE_LICENSE "${LICENSE_TXT}"
!endif

!ifdef REG_START_MENU
!define MUI_STARTMENUPAGE_DEFAULTFOLDER "Cmder"
!define MUI_STARTMENUPAGE_REGISTRY_ROOT "${REG_ROOT}"
!define MUI_STARTMENUPAGE_REGISTRY_KEY "${UNINSTALL_PATH}"
!define MUI_STARTMENUPAGE_REGISTRY_VALUENAME "${REG_START_MENU}"
!insertmacro MUI_PAGE_STARTMENU Application $SM_Folder
!endif

!insertmacro MUI_PAGE_INSTFILES

!insertmacro MUI_PAGE_FINISH

!insertmacro MUI_UNPAGE_CONFIRM

!insertmacro MUI_UNPAGE_INSTFILES

!insertmacro MUI_UNPAGE_FINISH

!insertmacro MUI_LANGUAGE "English"

######################################################################

Section -MainProgram
${INSTALL_TYPE}
SetOverwrite ifnewer
SetOutPath "$INSTDIR"
File ".\Versions\${VERSION}\Cmder.exe"
File ".\Versions\${VERSION}\LICENSE"
File ".\Versions\${VERSION}\Version ${VERSION}"
SetOutPath "$INSTDIR\vendor"
File ".\Versions\${VERSION}\vendor\clink.lua"
File ".\Versions\${VERSION}\vendor\clink_settings.default"
File ".\Versions\${VERSION}\vendor\cmder_exinit"
File ".\Versions\${VERSION}\vendor\ConEmu.xml.default"
File ".\Versions\${VERSION}\vendor\init.bat"
File ".\Versions\${VERSION}\vendor\profile.ps1"
File ".\Versions\${VERSION}\vendor\Readme.md"
File ".\Versions\${VERSION}\vendor\sources.json"
File ".\Versions\${VERSION}\vendor\user_aliases.cmd.default"
File ".\Versions\${VERSION}\vendor\user_profile.cmd.default"
File ".\Versions\${VERSION}\vendor\user_profile.ps1.default"
File ".\Versions\${VERSION}\vendor\user_profile.sh.default"
SetOutPath "$INSTDIR\vendor\psmodules"
File ".\Versions\${VERSION}\vendor\psmodules\Cmder.ps1"
SetOutPath "$INSTDIR\vendor\psmodules\PsGet"
File ".\Versions\${VERSION}\vendor\psmodules\PsGet\PsGet.psm1"
SetOutPath "$INSTDIR\vendor\lib"
File ".\Versions\${VERSION}\vendor\lib\lib_base.cmd"
File ".\Versions\${VERSION}\vendor\lib\lib_console.cmd"
File ".\Versions\${VERSION}\vendor\lib\lib_git.cmd"
File ".\Versions\${VERSION}\vendor\lib\lib_path.cmd"
File ".\Versions\${VERSION}\vendor\lib\lib_profile.cmd"
File ".\Versions\${VERSION}\vendor\lib\start-ssh-agent.sh"
SetOutPath "$INSTDIR\vendor\conemu-maximus5"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\.cmderver"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu.exe"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu.map"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu64.exe"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu64.map"
SetOutPath "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\ConEmu.dll"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\ConEmu.map"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\ConEmu.x64.dll"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\ConEmu.x64.map"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\ConEmuPlugin_en.lng"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\ConEmuPlugin_ru.lng"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\Readme.txt"
SetOutPath "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Thumbs"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\Thumbs\ConEmuTh.dll"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\Thumbs\ConEmuTh.map"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\Thumbs\ConEmuTh.x64.dll"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\Thumbs\ConEmuTh.x64.map"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\Thumbs\ConEmuTh_en.lng"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\Thumbs\ConEmuTh_ru.lng"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\Thumbs\gdi+.t32"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\Thumbs\gdi+.t32.map"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\Thumbs\gdi+.t64"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\Thumbs\gdi+.t64.map"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\Thumbs\ico.t32"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\Thumbs\ico.t32.map"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\Thumbs\ico.t64"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\Thumbs\ico.t64.map"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\Thumbs\pe.t32"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\Thumbs\pe.t32.map"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\Thumbs\pe.t64"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\Thumbs\pe.t64.map"
SetOutPath "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Lines"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\Lines\ConEmuLn.dll"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\Lines\ConEmuLn.map"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\Lines\ConEmuLn.x64.dll"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\Lines\ConEmuLn.x64.map"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\Lines\ConEmuLn_en.lng"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\Lines\ConEmuLn_ru.lng"
SetOutPath "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Background"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\Background\Background.xml"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\Background\ConEmuBg.dll"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\Background\ConEmuBg.map"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\Background\ConEmuBg.x64.dll"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\Background\ConEmuBg.x64.map"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\Background\ConEmuBg_en.lng"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\Background\ConEmuBg_ru.lng"
SetOutPath "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Background\img"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\Background\img\archive.png"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\Background\img\caution.png"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\Background\img\database.png"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\Background\img\downloads.png"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\Background\img\drive_cdrom.png"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\Background\img\drive_cloud.png"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\Background\img\drive_fixed.png"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\Background\img\drive_network.png"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\Background\img\drive_ramdisk.png"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\Background\img\drive_removable.png"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\Background\img\dropbox.png"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\Background\img\globe.png"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\Background\img\music.png"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\Background\img\network.png"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\Background\img\plugin.png"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\Background\img\recycle.png"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\Background\img\science.png"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\Background\img\trash.png"
SetOutPath "$INSTDIR\vendor\conemu-maximus5\ConEmu"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\About-ConEmu.txt"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Attach.cmd"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\cecho.cmd"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\ClsEx.cmd"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\CmdInit.cmd"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Cmd_Autorun.cmd"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\ColorPrompt.cmd"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Command Processor Off.reg"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Command Processor.reg"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\conemu-cyg-32.exe"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\conemu-cyg-64.exe"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\conemu-msys-32.exe"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\conemu-msys2-32.exe"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\conemu-msys2-64.exe"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\ConEmu.l10n"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\ConEmuC.exe"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\ConEmuC64.exe"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\ConEmuCD.dll"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\ConEmuCD64.dll"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\ConEmuHk.dll"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\ConEmuHk64.dll"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\ConEmu_MinGW.xml"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\ConEmu_Sample.xml"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\ConEmu_Tilde.xml"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\csudo.cmd"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\ExtendedConsole.dll"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\ExtendedConsole64.dll"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\FAQ-ConEmu.txt"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\GitShowBranch.cmd"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\IsConEmu.cmd"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\License.txt"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Portable.txt"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\RenameTab.cmd"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\SetConTitle.cmd"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\SetEscChar.cmd"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\SetProgress.cmd"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Settings-ConEmu.reg"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\TypeBuildErrors.cmd"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\WhatsNew-ConEmu.txt"
SetOutPath "$INSTDIR\vendor\conemu-maximus5\ConEmu\wsl"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\wsl\.gitattributes"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\wsl\256colors2.pl"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\wsl\cygwin1.dll"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\wsl\hashlist.sha256"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\wsl\README.md"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\wsl\wsl-boot.sh"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\wsl\wsl-con.cmd"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\wsl\wslbridge-backend"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\wsl\wslbridge.exe"
SetOutPath "$INSTDIR\vendor\conemu-maximus5\ConEmu\Scripts"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Scripts\git-log.cmd"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Scripts\git-push-set-upstream.cmd"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Scripts\readme.txt"
SetOutPath "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far3_lua"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Far3_lua\ConEmu.CtrlNumber.lua"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Far3_lua\ConEmu.CtrlO.lua"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Far3_lua\ConEmu.CtrlShiftT.lua"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Far3_lua\ConEmu.Editor.lua"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Far3_lua\ConEmu.FontSize.lua"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Far3_lua\ConEmu.PanelsList.lua"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Far3_lua\ConEmu.ShiftEnter.lua"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Far3_lua\ConEmu.TabList.lua"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Far3_lua\ConEmu.Thumbnails.lua"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Far3_lua\Editor.MsRClick.lua"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Far3_lua\Thumbnails_KeyBar.farconfig"
SetOutPath "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far3_fml"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Far3_fml\ConEmu.CtrlO.fml"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Far3_fml\ConEmu.CtrlShiftT.fml"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Far3_fml\ConEmu.Editor.fml"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Far3_fml\ConEmu.FontSize.fml"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Far3_fml\ConEmu.ShiftEnter.fml"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Far3_fml\ConEmu.TabList.fml"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Far3_fml\ConEmu.Thumbnails.fml"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Far3_fml\Editor.MsRClick.fml"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Far3_fml\Thumbnails_KeyBar.farconfig"
SetOutPath "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far2_reg"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Far2_reg\AltEnter_Exec.reg"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Far2_reg\AltEnter_Props.reg"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Far2_reg\CtrlAltD.reg"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Far2_reg\CtrlO.reg"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Far2_reg\CtrlO_View.reg"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Far2_reg\CtrlShiftT.reg"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Far2_reg\FarWhite.reg"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Far2_reg\FAR_AutoAttach.reg"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Far2_reg\FontSize.reg"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Far2_reg\ShiftEnter.reg"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Far2_reg\Thumbnails.reg"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Far2_reg\Thumbnails_KeyBar.reg"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Far2_reg\UCharMap.reg"
SetOutPath "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far2_fml"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Far2_fml\ConEmu.Editor.fml"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Far2_fml\ConEmu.fml"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Far2_fml\ConEmu.FontSize.fml"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Far2_fml\ConEmu.GuiMacro.fml"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Far2_fml\ConEmu.ShiftEnter.fml"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Far2_fml\ConEmu.TabList.fml"
SetOutPath "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far1_reg"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Far1_reg\AltEnter_Exec.reg"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Far1_reg\AltEnter_Props.reg"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Far1_reg\CtrlAltD.reg"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Far1_reg\CtrlO.reg"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Far1_reg\CtrlO_View.reg"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Far1_reg\CtrlShiftT.reg"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Far1_reg\FAR_AutoAttach.reg"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Far1_reg\FontSize.reg"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Far1_reg\ShiftEnter.reg"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Far1_reg\TabList.reg"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Far1_reg\Thumbnails.reg"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Far1_reg\Thumbnails_KeyBar.reg"
SetOutPath "$INSTDIR\vendor\conemu-maximus5\ConEmu\DosBox"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\DosBox\DosBox_Sample.conf"
SetOutPath "$INSTDIR\vendor\conemu-maximus5\ConEmu\clink"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\clink\Readme.txt"
SetOutPath "$INSTDIR\vendor\conemu-maximus5\ConEmu\Addons"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Addons\AnsiColors16.ans"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Addons\AnsiColors16t.ans"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Addons\AnsiColors24bit.ps1"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Addons\AnsiColors256.ans"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Addons\Blues16.bmp"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Addons\CallPlugin.txt"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Addons\ChocolateyAbout.cmd"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Addons\ConEmu_Inside.reg"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Addons\ConEmu_Inside_Delete.reg"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Addons\Disable_ConIme.reg"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Addons\FarHere.dat"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Addons\FarHereInstall.cmd"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Addons\FarHereUninstall.cmd"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Addons\git_sample.cmd"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Addons\Greys16.bmp"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Addons\Lines16.bmp"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Addons\Lines16a.bmp"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Addons\Lines18.bmp"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Addons\Lines18a.bmp"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Addons\RevokeMouseInput.ps1"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Addons\utf-8-test.cmd"
SetOutPath "$INSTDIR\vendor\clink-completions"
File ".\Versions\${VERSION}\vendor\clink-completions\.appveyor.yml"
File ".\Versions\${VERSION}\vendor\clink-completions\.busted"
File ".\Versions\${VERSION}\vendor\clink-completions\.cmderver"
File ".\Versions\${VERSION}\vendor\clink-completions\.gitignore"
File ".\Versions\${VERSION}\vendor\clink-completions\.init.lua"
File ".\Versions\${VERSION}\vendor\clink-completions\.luacheckrc"
File ".\Versions\${VERSION}\vendor\clink-completions\.luacov"
File ".\Versions\${VERSION}\vendor\clink-completions\angular-cli.lua"
File ".\Versions\${VERSION}\vendor\clink-completions\chocolatey.lua"
File ".\Versions\${VERSION}\vendor\clink-completions\coho.lua"
File ".\Versions\${VERSION}\vendor\clink-completions\cordova.lua"
File ".\Versions\${VERSION}\vendor\clink-completions\dotnet.lua"
File ".\Versions\${VERSION}\vendor\clink-completions\git.lua"
File ".\Versions\${VERSION}\vendor\clink-completions\git_prompt.lua"
File ".\Versions\${VERSION}\vendor\clink-completions\kubectl.lua"
File ".\Versions\${VERSION}\vendor\clink-completions\LICENSE"
File ".\Versions\${VERSION}\vendor\clink-completions\net.lua"
File ".\Versions\${VERSION}\vendor\clink-completions\npm.lua"
File ".\Versions\${VERSION}\vendor\clink-completions\nvm.lua"
File ".\Versions\${VERSION}\vendor\clink-completions\pip.lua"
File ".\Versions\${VERSION}\vendor\clink-completions\pipenv.lua"
File ".\Versions\${VERSION}\vendor\clink-completions\README.md"
File ".\Versions\${VERSION}\vendor\clink-completions\RELEASENOTES.md"
File ".\Versions\${VERSION}\vendor\clink-completions\scoop.lua"
File ".\Versions\${VERSION}\vendor\clink-completions\ssh.lua"
File ".\Versions\${VERSION}\vendor\clink-completions\test.bat"
File ".\Versions\${VERSION}\vendor\clink-completions\vagrant.lua"
File ".\Versions\${VERSION}\vendor\clink-completions\yarn.lua"
SetOutPath "$INSTDIR\vendor\clink-completions\spec"
File ".\Versions\${VERSION}\vendor\clink-completions\spec\color_spec.lua"
File ".\Versions\${VERSION}\vendor\clink-completions\spec\funclib_spec.lua"
File ".\Versions\${VERSION}\vendor\clink-completions\spec\path_spec.lua"
SetOutPath "$INSTDIR\vendor\clink-completions\modules"
File ".\Versions\${VERSION}\vendor\clink-completions\modules\color.lua"
File ".\Versions\${VERSION}\vendor\clink-completions\modules\funclib.lua"
File ".\Versions\${VERSION}\vendor\clink-completions\modules\gitutil.lua"
File ".\Versions\${VERSION}\vendor\clink-completions\modules\JSON.lua"
File ".\Versions\${VERSION}\vendor\clink-completions\modules\matchers.lua"
File ".\Versions\${VERSION}\vendor\clink-completions\modules\path.lua"
File ".\Versions\${VERSION}\vendor\clink-completions\modules\tables.lua"
SetOutPath "$INSTDIR\vendor\clink-completions\.vscode"
File ".\Versions\${VERSION}\vendor\clink-completions\.vscode\tasks.json"
SetOutPath "$INSTDIR\vendor\clink"
File ".\Versions\${VERSION}\vendor\clink\.cmderver"
File ".\Versions\${VERSION}\vendor\clink\CHANGES"
File ".\Versions\${VERSION}\vendor\clink\clink.bat"
File ".\Versions\${VERSION}\vendor\clink\clink.html"
File ".\Versions\${VERSION}\vendor\clink\clink.lua"
File ".\Versions\${VERSION}\vendor\clink\clink_dll_x64.dll"
File ".\Versions\${VERSION}\vendor\clink\clink_dll_x86.dll"
File ".\Versions\${VERSION}\vendor\clink\clink_x64.exe"
File ".\Versions\${VERSION}\vendor\clink\clink_x86.exe"
File ".\Versions\${VERSION}\vendor\clink\LICENSE"
SetOutPath "$INSTDIR\vendor\bin"
File ".\Versions\${VERSION}\vendor\bin\alias.cmd"
File ".\Versions\${VERSION}\vendor\bin\cexec.cmd"
File ".\Versions\${VERSION}\vendor\bin\cmder_diag.cmd"
File ".\Versions\${VERSION}\vendor\bin\cmder_diag.ps1"
File ".\Versions\${VERSION}\vendor\bin\cmder_diag.sh"
File ".\Versions\${VERSION}\vendor\bin\timer.cmd"
File ".\Versions\${VERSION}\vendor\bin\vscode_init.cmd"
File ".\Versions\${VERSION}\vendor\bin\vscode_init_args.cmd.default"
SetOutPath "$INSTDIR\opt"
File ".\Versions\${VERSION}\opt\Readme.md"
SetOutPath "$INSTDIR\icons"
File ".\Versions\${VERSION}\icons\cmder.ico"
File ".\Versions\${VERSION}\icons\cmder_blue.ico"
File ".\Versions\${VERSION}\icons\cmder_green.ico"
File ".\Versions\${VERSION}\icons\cmder_orange.ico"
File ".\Versions\${VERSION}\icons\cmder_purple.ico"
File ".\Versions\${VERSION}\icons\cmder_red.ico"
File ".\Versions\${VERSION}\icons\cmder_yellow.ico"
SetOutPath "$INSTDIR\config"
File ".\Versions\${VERSION}\config\Readme.md"
SetOutPath "$INSTDIR\bin"
File ".\Versions\${VERSION}\bin\Readme.md"
SectionEnd

######################################################################

Section -Icons_Reg
SetOutPath "$INSTDIR"
WriteUninstaller "$INSTDIR\uninstall.exe"

!ifdef REG_START_MENU
!insertmacro MUI_STARTMENU_WRITE_BEGIN Application
CreateDirectory "$SMPROGRAMS\$SM_Folder"
CreateShortCut "$SMPROGRAMS\$SM_Folder\${APP_NAME}.lnk" "$INSTDIR\${MAIN_APP_EXE}"
CreateShortCut "$SMPROGRAMS\$SM_Folder\Uninstall ${APP_NAME}.lnk" "$INSTDIR\uninstall.exe"

!ifdef WEB_SITE
WriteIniStr "$INSTDIR\${APP_NAME} website.url" "InternetShortcut" "URL" "${WEB_SITE}"
CreateShortCut "$SMPROGRAMS\$SM_Folder\${APP_NAME} Website.lnk" "$INSTDIR\${APP_NAME} website.url"
!endif
!insertmacro MUI_STARTMENU_WRITE_END
!endif

!ifndef REG_START_MENU
CreateDirectory "$SMPROGRAMS\Cmder"
CreateShortCut "$SMPROGRAMS\Cmder\${APP_NAME}.lnk" "$INSTDIR\${MAIN_APP_EXE}"
CreateShortCut "$SMPROGRAMS\Cmder\Uninstall ${APP_NAME}.lnk" "$INSTDIR\uninstall.exe"

!ifdef WEB_SITE
WriteIniStr "$INSTDIR\${APP_NAME} website.url" "InternetShortcut" "URL" "${WEB_SITE}"
CreateShortCut "$SMPROGRAMS\Cmder\${APP_NAME} Website.lnk" "$INSTDIR\${APP_NAME} website.url"
!endif
!endif

WriteRegStr ${REG_ROOT} "${REG_APP_PATH}" "" "$INSTDIR\${MAIN_APP_EXE}"
WriteRegStr ${REG_ROOT} "${UNINSTALL_PATH}"  "DisplayName" "${APP_NAME}"
WriteRegStr ${REG_ROOT} "${UNINSTALL_PATH}"  "UninstallString" "$INSTDIR\uninstall.exe"
WriteRegStr ${REG_ROOT} "${UNINSTALL_PATH}"  "DisplayIcon" "$INSTDIR\${MAIN_APP_EXE}"
WriteRegStr ${REG_ROOT} "${UNINSTALL_PATH}"  "DisplayVersion" "${VERSION}"
WriteRegStr ${REG_ROOT} "${UNINSTALL_PATH}"  "Publisher" "${COMP_NAME}"

!ifdef WEB_SITE
WriteRegStr ${REG_ROOT} "${UNINSTALL_PATH}"  "URLInfoAbout" "${WEB_SITE}"
!endif
SectionEnd

######################################################################

Section Uninstall
${INSTALL_TYPE}
Delete "$INSTDIR\Cmder.exe"
Delete "$INSTDIR\LICENSE"
Delete "$INSTDIR\Version ${VERSION}"
Delete "$INSTDIR\vendor\clink.lua"
Delete "$INSTDIR\vendor\clink_settings.default"
Delete "$INSTDIR\vendor\cmder_exinit"
Delete "$INSTDIR\vendor\ConEmu.xml.default"
Delete "$INSTDIR\vendor\init.bat"
Delete "$INSTDIR\vendor\profile.ps1"
Delete "$INSTDIR\vendor\Readme.md"
Delete "$INSTDIR\vendor\sources.json"
Delete "$INSTDIR\vendor\user_aliases.cmd.default"
Delete "$INSTDIR\vendor\user_profile.cmd.default"
Delete "$INSTDIR\vendor\user_profile.ps1.default"
Delete "$INSTDIR\vendor\user_profile.sh.default"
Delete "$INSTDIR\vendor\psmodules\Cmder.ps1"
Delete "$INSTDIR\vendor\psmodules\PsGet\PsGet.psm1"
Delete "$INSTDIR\vendor\lib\lib_base.cmd"
Delete "$INSTDIR\vendor\lib\lib_console.cmd"
Delete "$INSTDIR\vendor\lib\lib_git.cmd"
Delete "$INSTDIR\vendor\lib\lib_path.cmd"
Delete "$INSTDIR\vendor\lib\lib_profile.cmd"
Delete "$INSTDIR\vendor\lib\start-ssh-agent.sh"
Delete "$INSTDIR\vendor\conemu-maximus5\.cmderver"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu.exe"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu.map"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu64.exe"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu64.map"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\ConEmu.dll"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\ConEmu.map"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\ConEmu.x64.dll"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\ConEmu.x64.map"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\ConEmuPlugin_en.lng"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\ConEmuPlugin_ru.lng"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Readme.txt"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Thumbs\ConEmuTh.dll"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Thumbs\ConEmuTh.map"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Thumbs\ConEmuTh.x64.dll"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Thumbs\ConEmuTh.x64.map"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Thumbs\ConEmuTh_en.lng"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Thumbs\ConEmuTh_ru.lng"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Thumbs\gdi+.t32"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Thumbs\gdi+.t32.map"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Thumbs\gdi+.t64"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Thumbs\gdi+.t64.map"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Thumbs\ico.t32"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Thumbs\ico.t32.map"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Thumbs\ico.t64"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Thumbs\ico.t64.map"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Thumbs\pe.t32"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Thumbs\pe.t32.map"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Thumbs\pe.t64"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Thumbs\pe.t64.map"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Lines\ConEmuLn.dll"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Lines\ConEmuLn.map"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Lines\ConEmuLn.x64.dll"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Lines\ConEmuLn.x64.map"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Lines\ConEmuLn_en.lng"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Lines\ConEmuLn_ru.lng"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Background\Background.xml"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Background\ConEmuBg.dll"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Background\ConEmuBg.map"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Background\ConEmuBg.x64.dll"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Background\ConEmuBg.x64.map"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Background\ConEmuBg_en.lng"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Background\ConEmuBg_ru.lng"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Background\img\archive.png"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Background\img\caution.png"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Background\img\database.png"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Background\img\downloads.png"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Background\img\drive_cdrom.png"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Background\img\drive_cloud.png"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Background\img\drive_fixed.png"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Background\img\drive_network.png"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Background\img\drive_ramdisk.png"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Background\img\drive_removable.png"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Background\img\dropbox.png"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Background\img\globe.png"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Background\img\music.png"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Background\img\network.png"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Background\img\plugin.png"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Background\img\recycle.png"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Background\img\science.png"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Background\img\trash.png"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\About-ConEmu.txt"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Attach.cmd"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\cecho.cmd"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\ClsEx.cmd"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\CmdInit.cmd"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Cmd_Autorun.cmd"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\ColorPrompt.cmd"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Command Processor Off.reg"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Command Processor.reg"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\conemu-cyg-32.exe"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\conemu-cyg-64.exe"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\conemu-msys-32.exe"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\conemu-msys2-32.exe"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\conemu-msys2-64.exe"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\ConEmu.l10n"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\ConEmuC.exe"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\ConEmuC64.exe"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\ConEmuCD.dll"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\ConEmuCD64.dll"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\ConEmuHk.dll"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\ConEmuHk64.dll"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\ConEmu_MinGW.xml"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\ConEmu_Sample.xml"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\ConEmu_Tilde.xml"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\csudo.cmd"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\ExtendedConsole.dll"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\ExtendedConsole64.dll"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\FAQ-ConEmu.txt"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\GitShowBranch.cmd"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\IsConEmu.cmd"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\License.txt"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Portable.txt"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\RenameTab.cmd"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\SetConTitle.cmd"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\SetEscChar.cmd"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\SetProgress.cmd"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Settings-ConEmu.reg"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\TypeBuildErrors.cmd"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\WhatsNew-ConEmu.txt"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\wsl\.gitattributes"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\wsl\256colors2.pl"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\wsl\cygwin1.dll"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\wsl\hashlist.sha256"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\wsl\README.md"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\wsl\wsl-boot.sh"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\wsl\wsl-con.cmd"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\wsl\wslbridge-backend"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\wsl\wslbridge.exe"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Scripts\git-log.cmd"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Scripts\git-push-set-upstream.cmd"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Scripts\readme.txt"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far3_lua\ConEmu.CtrlNumber.lua"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far3_lua\ConEmu.CtrlO.lua"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far3_lua\ConEmu.CtrlShiftT.lua"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far3_lua\ConEmu.Editor.lua"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far3_lua\ConEmu.FontSize.lua"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far3_lua\ConEmu.PanelsList.lua"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far3_lua\ConEmu.ShiftEnter.lua"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far3_lua\ConEmu.TabList.lua"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far3_lua\ConEmu.Thumbnails.lua"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far3_lua\Editor.MsRClick.lua"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far3_lua\Thumbnails_KeyBar.farconfig"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far3_fml\ConEmu.CtrlO.fml"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far3_fml\ConEmu.CtrlShiftT.fml"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far3_fml\ConEmu.Editor.fml"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far3_fml\ConEmu.FontSize.fml"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far3_fml\ConEmu.ShiftEnter.fml"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far3_fml\ConEmu.TabList.fml"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far3_fml\ConEmu.Thumbnails.fml"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far3_fml\Editor.MsRClick.fml"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far3_fml\Thumbnails_KeyBar.farconfig"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far2_reg\AltEnter_Exec.reg"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far2_reg\AltEnter_Props.reg"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far2_reg\CtrlAltD.reg"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far2_reg\CtrlO.reg"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far2_reg\CtrlO_View.reg"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far2_reg\CtrlShiftT.reg"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far2_reg\FarWhite.reg"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far2_reg\FAR_AutoAttach.reg"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far2_reg\FontSize.reg"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far2_reg\ShiftEnter.reg"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far2_reg\Thumbnails.reg"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far2_reg\Thumbnails_KeyBar.reg"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far2_reg\UCharMap.reg"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far2_fml\ConEmu.Editor.fml"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far2_fml\ConEmu.fml"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far2_fml\ConEmu.FontSize.fml"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far2_fml\ConEmu.GuiMacro.fml"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far2_fml\ConEmu.ShiftEnter.fml"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far2_fml\ConEmu.TabList.fml"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far1_reg\AltEnter_Exec.reg"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far1_reg\AltEnter_Props.reg"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far1_reg\CtrlAltD.reg"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far1_reg\CtrlO.reg"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far1_reg\CtrlO_View.reg"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far1_reg\CtrlShiftT.reg"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far1_reg\FAR_AutoAttach.reg"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far1_reg\FontSize.reg"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far1_reg\ShiftEnter.reg"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far1_reg\TabList.reg"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far1_reg\Thumbnails.reg"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far1_reg\Thumbnails_KeyBar.reg"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\DosBox\DosBox_Sample.conf"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\clink\Readme.txt"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Addons\AnsiColors16.ans"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Addons\AnsiColors16t.ans"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Addons\AnsiColors24bit.ps1"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Addons\AnsiColors256.ans"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Addons\Blues16.bmp"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Addons\CallPlugin.txt"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Addons\ChocolateyAbout.cmd"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Addons\ConEmu_Inside.reg"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Addons\ConEmu_Inside_Delete.reg"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Addons\Disable_ConIme.reg"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Addons\FarHere.dat"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Addons\FarHereInstall.cmd"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Addons\FarHereUninstall.cmd"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Addons\git_sample.cmd"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Addons\Greys16.bmp"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Addons\Lines16.bmp"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Addons\Lines16a.bmp"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Addons\Lines18.bmp"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Addons\Lines18a.bmp"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Addons\RevokeMouseInput.ps1"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Addons\utf-8-test.cmd"
Delete "$INSTDIR\vendor\clink-completions\.appveyor.yml"
Delete "$INSTDIR\vendor\clink-completions\.busted"
Delete "$INSTDIR\vendor\clink-completions\.cmderver"
Delete "$INSTDIR\vendor\clink-completions\.gitignore"
Delete "$INSTDIR\vendor\clink-completions\.init.lua"
Delete "$INSTDIR\vendor\clink-completions\.luacheckrc"
Delete "$INSTDIR\vendor\clink-completions\.luacov"
Delete "$INSTDIR\vendor\clink-completions\angular-cli.lua"
Delete "$INSTDIR\vendor\clink-completions\chocolatey.lua"
Delete "$INSTDIR\vendor\clink-completions\coho.lua"
Delete "$INSTDIR\vendor\clink-completions\cordova.lua"
Delete "$INSTDIR\vendor\clink-completions\dotnet.lua"
Delete "$INSTDIR\vendor\clink-completions\git.lua"
Delete "$INSTDIR\vendor\clink-completions\git_prompt.lua"
Delete "$INSTDIR\vendor\clink-completions\kubectl.lua"
Delete "$INSTDIR\vendor\clink-completions\LICENSE"
Delete "$INSTDIR\vendor\clink-completions\net.lua"
Delete "$INSTDIR\vendor\clink-completions\npm.lua"
Delete "$INSTDIR\vendor\clink-completions\nvm.lua"
Delete "$INSTDIR\vendor\clink-completions\pip.lua"
Delete "$INSTDIR\vendor\clink-completions\pipenv.lua"
Delete "$INSTDIR\vendor\clink-completions\README.md"
Delete "$INSTDIR\vendor\clink-completions\RELEASENOTES.md"
Delete "$INSTDIR\vendor\clink-completions\scoop.lua"
Delete "$INSTDIR\vendor\clink-completions\ssh.lua"
Delete "$INSTDIR\vendor\clink-completions\test.bat"
Delete "$INSTDIR\vendor\clink-completions\vagrant.lua"
Delete "$INSTDIR\vendor\clink-completions\yarn.lua"
Delete "$INSTDIR\vendor\clink-completions\spec\color_spec.lua"
Delete "$INSTDIR\vendor\clink-completions\spec\funclib_spec.lua"
Delete "$INSTDIR\vendor\clink-completions\spec\path_spec.lua"
Delete "$INSTDIR\vendor\clink-completions\modules\color.lua"
Delete "$INSTDIR\vendor\clink-completions\modules\funclib.lua"
Delete "$INSTDIR\vendor\clink-completions\modules\gitutil.lua"
Delete "$INSTDIR\vendor\clink-completions\modules\JSON.lua"
Delete "$INSTDIR\vendor\clink-completions\modules\matchers.lua"
Delete "$INSTDIR\vendor\clink-completions\modules\path.lua"
Delete "$INSTDIR\vendor\clink-completions\modules\tables.lua"
Delete "$INSTDIR\vendor\clink-completions\.vscode\tasks.json"
Delete "$INSTDIR\vendor\clink\.cmderver"
Delete "$INSTDIR\vendor\clink\CHANGES"
Delete "$INSTDIR\vendor\clink\clink.bat"
Delete "$INSTDIR\vendor\clink\clink.html"
Delete "$INSTDIR\vendor\clink\clink.lua"
Delete "$INSTDIR\vendor\clink\clink_dll_x64.dll"
Delete "$INSTDIR\vendor\clink\clink_dll_x86.dll"
Delete "$INSTDIR\vendor\clink\clink_x64.exe"
Delete "$INSTDIR\vendor\clink\clink_x86.exe"
Delete "$INSTDIR\vendor\clink\LICENSE"
Delete "$INSTDIR\vendor\bin\alias.cmd"
Delete "$INSTDIR\vendor\bin\cexec.cmd"
Delete "$INSTDIR\vendor\bin\cmder_diag.cmd"
Delete "$INSTDIR\vendor\bin\cmder_diag.ps1"
Delete "$INSTDIR\vendor\bin\cmder_diag.sh"
Delete "$INSTDIR\vendor\bin\timer.cmd"
Delete "$INSTDIR\vendor\bin\vscode_init.cmd"
Delete "$INSTDIR\vendor\bin\vscode_init_args.cmd.default"
Delete "$INSTDIR\opt\Readme.md"
Delete "$INSTDIR\icons\cmder.ico"
Delete "$INSTDIR\icons\cmder_blue.ico"
Delete "$INSTDIR\icons\cmder_green.ico"
Delete "$INSTDIR\icons\cmder_orange.ico"
Delete "$INSTDIR\icons\cmder_purple.ico"
Delete "$INSTDIR\icons\cmder_red.ico"
Delete "$INSTDIR\icons\cmder_yellow.ico"
Delete "$INSTDIR\config\Readme.md"
Delete "$INSTDIR\bin\Readme.md"

# Leaving the bin, config and opt dirs
# Don't want to delete any users customizations
# RmDir "$INSTDIR\bin"
# RmDir "$INSTDIR\config"
# RmDir "$INSTDIR\opt"

RmDir "$INSTDIR\icons"
RmDir "$INSTDIR\vendor\bin"
RmDir "$INSTDIR\vendor\clink"
RmDir "$INSTDIR\vendor\clink-completions\.vscode"
RmDir "$INSTDIR\vendor\clink-completions\modules"
RmDir "$INSTDIR\vendor\clink-completions\spec"
RmDir "$INSTDIR\vendor\clink-completions"
RmDir "$INSTDIR\vendor\conemu-maximus5\ConEmu\Addons"
RmDir "$INSTDIR\vendor\conemu-maximus5\ConEmu\clink"
RmDir "$INSTDIR\vendor\conemu-maximus5\ConEmu\DosBox"
RmDir "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far1_reg"
RmDir "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far2_fml"
RmDir "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far2_reg"
RmDir "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far3_fml"
RmDir "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far3_lua"
RmDir "$INSTDIR\vendor\conemu-maximus5\ConEmu\Scripts"
RmDir "$INSTDIR\vendor\conemu-maximus5\ConEmu\wsl"
RmDir "$INSTDIR\vendor\conemu-maximus5\ConEmu"
RmDir "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Background\img"
RmDir "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Background"
RmDir "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Lines"
RmDir "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Thumbs"
RmDir "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu"
RmDir "$INSTDIR\vendor\conemu-maximus5"
RmDir "$INSTDIR\vendor\lib"
RmDir "$INSTDIR\vendor\psmodules\PsGet"
RmDir "$INSTDIR\vendor\psmodules"
RmDir "$INSTDIR\vendor"
 
Delete "$INSTDIR\uninstall.exe"
!ifdef WEB_SITE
Delete "$INSTDIR\${APP_NAME} website.url"
!endif

# RmDir "$INSTDIR"

!ifdef REG_START_MENU
!insertmacro MUI_STARTMENU_GETFOLDER "Application" $SM_Folder
Delete "$SMPROGRAMS\$SM_Folder\${APP_NAME}.lnk"
Delete "$SMPROGRAMS\$SM_Folder\Uninstall ${APP_NAME}.lnk"
!ifdef WEB_SITE
Delete "$SMPROGRAMS\$SM_Folder\${APP_NAME} Website.lnk"
!endif
RmDir "$SMPROGRAMS\$SM_Folder"
!endif

!ifndef REG_START_MENU
Delete "$SMPROGRAMS\Cmder\${APP_NAME}.lnk"
Delete "$SMPROGRAMS\Cmder\Uninstall ${APP_NAME}.lnk"
!ifdef WEB_SITE
Delete "$SMPROGRAMS\Cmder\${APP_NAME} Website.lnk"
!endif
RmDir "$SMPROGRAMS\Cmder"
!endif

DeleteRegKey ${REG_ROOT} "${REG_APP_PATH}"
DeleteRegKey ${REG_ROOT} "${UNINSTALL_PATH}"
SectionEnd

######################################################################

