############################################################################################
#      NSIS Installation Script created by NSIS Quick Setup Script Generator v1.09.18
#               Entirely Edited with NullSoft Scriptable Installation System                
#              by Vlasis K. Barkas aka Red Wine red_wine@freemail.gr Sep 2006               
############################################################################################

# Make sure the version matches the release.
!define VERSION "1.3.18.1106"

!define APP_NAME "Cmder"
!define COMP_NAME "Cmder"
!define WEB_SITE "http://cmder.net/"
!define COPYRIGHT "Samuel Vasko © 2021"
!define DESCRIPTION "Lovely console emulator package for Windows"
!define LICENSE_TXT ".\..\..\license.txt"
!define INSTALLER_NAME ".\Versions\${VERSION}\Cmder-full-${VERSION}-setup.exe"
!define MAIN_APP_EXE "Cmder.exe"
!define INSTALL_TYPE "SetShellVarContext current"
!define REG_ROOT "HKCU"
!define REG_APP_PATH "Software\Microsoft\Windows\CurrentVersion\App Paths\${MAIN_APP_EXE}"
!define UNINSTALL_PATH "Software\Microsoft\Windows\CurrentVersion\Uninstall\${APP_NAME}"

!define REG_START_MENU "Start Menu Folder"

var SM_Folder

######################################################################

VIProductVersion  "${VERSION}"
VIAddVersionKey "ProductName"  "${APP_NAME}"
VIAddVersionKey "CompanyName"  "${COMP_NAME}"
VIAddVersionKey "LegalCopyright"  "${COPYRIGHT}"
VIAddVersionKey "FileDescription"  "${DESCRIPTION}"
VIAddVersionKey "FileVersion"  "${VERSION}"

######################################################################

SetCompressor ZLIB
Name "${APP_NAME}"
Caption "${APP_NAME}"
OutFile "${INSTALLER_NAME}"
BrandingText "${APP_NAME}"
XPStyle on
InstallDirRegKey "${REG_ROOT}" "${REG_APP_PATH}" ""
InstallDir "$PROFILE\Cmder"

######################################################################

!include "MUI.nsh"

!define MUI_ABORTWARNING
!define MUI_UNABORTWARNING

!insertmacro MUI_PAGE_WELCOME

!ifdef LICENSE_TXT
!insertmacro MUI_PAGE_LICENSE "${LICENSE_TXT}"
!endif

!ifdef REG_START_MENU
!define MUI_STARTMENUPAGE_DEFAULTFOLDER "Cmder"
!define MUI_STARTMENUPAGE_REGISTRY_ROOT "${REG_ROOT}"
!define MUI_STARTMENUPAGE_REGISTRY_KEY "${UNINSTALL_PATH}"
!define MUI_STARTMENUPAGE_REGISTRY_VALUENAME "${REG_START_MENU}"
!insertmacro MUI_PAGE_STARTMENU Application $SM_Folder
!endif

!insertmacro MUI_PAGE_INSTFILES

!insertmacro MUI_PAGE_FINISH

!insertmacro MUI_UNPAGE_CONFIRM

!insertmacro MUI_UNPAGE_INSTFILES

!insertmacro MUI_UNPAGE_FINISH

!insertmacro MUI_LANGUAGE "English"

######################################################################

Section -MainProgram
${INSTALL_TYPE}
SetOverwrite ifnewer
SetOutPath "$INSTDIR"
File ".\Versions\${VERSION}\Cmder.exe"
File ".\Versions\${VERSION}\cmder.zip"
File ".\Versions\${VERSION}\LICENSE"
File ".\Versions\${VERSION}\Version ${VERSION}"
SetOutPath "$INSTDIR\vendor"
File ".\Versions\${VERSION}\vendor\clink.lua"
File ".\Versions\${VERSION}\vendor\clink_settings.default"
File ".\Versions\${VERSION}\vendor\cmder_exinit"
File ".\Versions\${VERSION}\vendor\ConEmu.xml.default"
File ".\Versions\${VERSION}\vendor\init.bat"
File ".\Versions\${VERSION}\vendor\profile.ps1"
File ".\Versions\${VERSION}\vendor\Readme.md"
File ".\Versions\${VERSION}\vendor\sources.json"
File ".\Versions\${VERSION}\vendor\user_aliases.cmd.default"
File ".\Versions\${VERSION}\vendor\user_profile.cmd.default"
File ".\Versions\${VERSION}\vendor\user_profile.ps1.default"
File ".\Versions\${VERSION}\vendor\user_profile.sh.default"
SetOutPath "$INSTDIR\vendor\psmodules"
File ".\Versions\${VERSION}\vendor\psmodules\Cmder.ps1"
SetOutPath "$INSTDIR\vendor\psmodules\PsGet"
File ".\Versions\${VERSION}\vendor\psmodules\PsGet\PsGet.psm1"
SetOutPath "$INSTDIR\vendor\lib"
File ".\Versions\${VERSION}\vendor\lib\lib_base.cmd"
File ".\Versions\${VERSION}\vendor\lib\lib_console.cmd"
File ".\Versions\${VERSION}\vendor\lib\lib_git.cmd"
File ".\Versions\${VERSION}\vendor\lib\lib_path.cmd"
File ".\Versions\${VERSION}\vendor\lib\lib_profile.cmd"
File ".\Versions\${VERSION}\vendor\lib\start-ssh-agent.sh"
SetOutPath "$INSTDIR\vendor\git-for-windows"
File ".\Versions\${VERSION}\vendor\git-for-windows\.cmderver"
File ".\Versions\${VERSION}\vendor\git-for-windows\git-bash.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\git-cmd.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\LICENSE.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\post-install.bat"
File ".\Versions\${VERSION}\vendor\git-for-windows\README.portable"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\ssl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\ssl\cert.pem"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\ssl\ct_log_list.cnf"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\ssl\ct_log_list.cnf.dist"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\ssl\openssl.cnf"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\ssl\openssl.cnf.dist"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\ssl\misc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\ssl\misc\CA.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\ssl\misc\tsget"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\ssl\misc\tsget.pl"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\ssl\certs"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\ssl\certs\ca-bundle.crt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\ssl\certs\ca-bundle.trust.crt"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\bugreport.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\defaults.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\delmenu.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\evim.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\filetype.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftoff.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugof.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\gvimrc_example.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indoff.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\menu.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\mswin.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\optwin.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\rgb.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\scripts.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\synmenu.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\vimrc_example.vim"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\tutor"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\tutor\README.el.cp737.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\tutor\README.el.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\tutor\README.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.bar"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.bar.utf-8"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.bg.utf-8"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.ca"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.ca.utf-8"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.cs"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.cs.cp1250"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.cs.utf-8"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.da"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.da.utf-8"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.de"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.de.utf-8"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.el"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.el.cp737"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.el.utf-8"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.eo"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.eo.utf-8"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.es"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.es.utf-8"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.fr"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.fr.utf-8"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.hr"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.hr.cp1250"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.hr.utf-8"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.hu"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.hu.cp1250"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.hu.utf-8"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.it"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.it.utf-8"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.ja.euc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.ja.sjis"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.ja.utf-8"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.ko"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.ko.euc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.ko.utf-8"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.lv.utf-8"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.nb"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.nb.utf-8"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.nl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.nl.utf-8"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.no"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.no.utf-8"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.pl.cp1250"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.pl.utf-8"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.pt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.pt.utf-8"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.ru"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.ru.cp1251"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.ru.utf-8"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.sk"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.sk.cp1250"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.sk.utf-8"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.sr.cp1250"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.sr.utf-8"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.sv"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.sv.utf-8"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.tr.iso9"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.tr.utf-8"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.uk.utf-8"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.utf-8"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.vi.utf-8"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.zh.big5"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.zh.euc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.zh.utf-8"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.zh_cn.utf-8"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.zh_tw.utf-8"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\tools"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\tools\ccfilter.1"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\tools\ccfilter_README.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\tools\demoserver.py"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\tools\efm_filter.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\tools\efm_filter.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\tools\efm_perl.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\tools\mve.awk"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\tools\mve.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\tools\pltags.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\tools\README.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\tools\ref"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\tools\shtags.1"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\tools\shtags.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\tools\unicode.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\tools\vim132"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\tools\vimm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\tools\vimspell.sh"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\tools\vimspell.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\tools\vim_vs_net.cmd"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\2html.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\8th.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\a2ps.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\a65.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\aap.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\abap.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\abaqus.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\abc.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\abel.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\acedb.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\ada.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\aflex.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\ahdl.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\aidl.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\alsaconf.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\amiga.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\aml.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\ampl.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\ant.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\antlr.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\apache.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\apachestyle.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\aptconf.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\arch.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\arduino.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\art.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\asciidoc.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\asm.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\asm68k.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\asmh8300.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\asn.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\aspperl.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\aspvbs.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\asterisk.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\asteriskvm.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\atlas.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\autodoc.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\autohotkey.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\autoit.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\automake.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\ave.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\avra.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\awk.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\ayacc.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\b.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\baan.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\bash.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\basic.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\bc.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\bdf.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\bib.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\bindzone.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\blank.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\bsdl.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\bst.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\btm.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\bzl.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\bzr.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\c.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\cabal.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\calendar.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\catalog.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\cdl.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\cdrdaoconf.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\cdrtoc.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\cf.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\cfg.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\ch.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\chaiscript.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\change.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\changelog.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\chaskell.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\cheetah.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\chicken.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\chill.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\chordpro.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\cl.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\clean.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\clipper.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\clojure.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\cmake.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\cmod.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\cmusrc.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\cobol.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\coco.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\colortest.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\conaryrecipe.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\conf.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\config.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\context.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\cpp.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\crm.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\crontab.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\cs.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\csc.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\csdl.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\csh.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\csp.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\css.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\cterm.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\ctrlh.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\cucumber.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\cuda.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\cupl.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\cuplsim.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\cvs.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\cvsrc.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\cweb.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\cynlib.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\cynpp.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\d.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\dart.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\datascript.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\dcd.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\dcl.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\debchangelog.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\debcontrol.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\debcopyright.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\debsources.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\def.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\denyhosts.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\desc.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\desktop.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\dictconf.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\dictdconf.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\diff.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\dircolors.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\dirpager.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\diva.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\django.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\dns.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\dnsmasq.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\docbk.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\docbksgml.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\docbkxml.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\dockerfile.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\dosbatch.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\dosini.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\dot.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\doxygen.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\dracula.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\dsl.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\dtd.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\dtml.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\dtrace.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\dts.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\dune.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\dylan.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\dylanintr.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\dylanlid.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\ecd.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\edif.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\eiffel.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\elf.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\elinks.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\elm.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\elmfilt.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\erlang.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\eruby.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\esmtprc.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\esqlc.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\esterel.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\eterm.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\euphoria3.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\euphoria4.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\eviews.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\exim.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\expect.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\exports.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\falcon.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\fan.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\fasm.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\fdcc.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\fetchmail.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\fgl.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\flexwiki.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\focexec.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\form.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\forth.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\fortran.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\foxpro.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\framescript.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\freebasic.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\fstab.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\fvwm.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\fvwm2m4.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\gdb.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\gdmo.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\gedcom.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\git.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\gitcommit.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\gitconfig.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\gitolite.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\gitrebase.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\gitsendemail.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\gkrellmrc.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\gnash.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\gnuplot.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\go.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\godoc.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\gp.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\gpg.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\gprof.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\grads.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\gretl.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\groff.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\groovy.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\group.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\grub.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\gsp.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\gtkrc.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\haml.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\hamster.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\haskell.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\haste.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\hastepreproc.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\hb.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\help.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\hercules.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\hex.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\hgcommit.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\hitest.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\hog.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\hollywood.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\hostconf.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\hostsaccess.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\html.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\htmlcheetah.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\htmldjango.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\htmlm4.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\htmlos.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\ia64.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\ibasic.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\icemenu.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\icon.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\idl.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\idlang.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\indent.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\inform.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\initex.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\initng.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\inittab.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\ipfilter.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\ishd.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\iss.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\ist.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\j.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\jal.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\jam.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\jargon.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\java.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\javacc.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\javascript.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\javascriptreact.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\jess.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\jgraph.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\jovial.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\jproperties.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\json.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\jsp.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\kconfig.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\kivy.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\kix.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\kscript.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\kwt.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\lace.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\latte.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\ld.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\ldapconf.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\ldif.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\less.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\lex.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\lftp.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\lhaskell.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\libao.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\lifelines.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\lilo.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\limits.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\liquid.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\lisp.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\lite.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\litestep.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\loginaccess.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\logindefs.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\logtalk.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\lotos.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\lout.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\lpc.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\lprolog.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\lscript.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\lsl.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\lss.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\lua.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\lynx.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\m4.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\mail.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\mailaliases.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\mailcap.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\make.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\mallard.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\man.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\manconf.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\manual.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\maple.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\markdown.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\masm.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\mason.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\master.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\matlab.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\maxima.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\mel.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\meson.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\messages.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\mf.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\mgl.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\mgp.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\mib.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\mix.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\mma.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\mmix.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\mmp.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\modconf.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\model.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\modsim3.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\modula2.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\modula3.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\monk.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\moo.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\mp.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\mplayerconf.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\mrxvtrc.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\msidl.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\msmessages.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\msql.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\mupad.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\murphi.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\mush.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\muttrc.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\mysql.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\n1ql.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\named.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\nanorc.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\nasm.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\nastran.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\natural.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\ncf.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\neomuttrc.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\netrc.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\netrw.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\ninja.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\nosyntax.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\nqc.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\nroff.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\nsis.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\obj.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\objc.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\objcpp.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\ocaml.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\occam.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\omnimark.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\openroad.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\opl.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\ora.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\pamconf.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\pamenv.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\papp.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\pascal.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\passwd.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\pcap.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\pccts.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\pdf.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\perl.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\perl6.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\pf.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\pfmain.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\php.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\phtml.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\pic.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\pike.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\pilrc.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\pine.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\pinfo.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\plaintex.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\pli.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\plm.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\plp.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\plsql.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\po.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\pod.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\postscr.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\pov.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\povini.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\ppd.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\ppwiz.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\prescribe.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\privoxy.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\procmail.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\progress.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\prolog.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\promela.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\proto.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\protocols.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\psf.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\ptcap.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\purifylog.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\pyrex.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\python.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\qf.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\quake.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\r.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\racc.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\radiance.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\raml.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\ratpoison.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\rc.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\rcs.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\rcslog.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\readline.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\README.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\rebol.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\redif.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\registry.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\rego.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\remind.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\resolv.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\reva.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\rexx.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\rhelp.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\rib.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\rmd.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\rnc.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\rng.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\rnoweb.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\robots.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\rpcgen.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\rpl.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\rrst.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\rst.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\rtf.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\ruby.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\rust.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\samba.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\sas.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\sass.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\sather.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\sbt.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\scala.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\scheme.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\scilab.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\screen.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\scss.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\sd.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\sdc.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\sdl.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\sed.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\sendpr.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\sensors.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\services.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\setserial.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\sgml.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\sgmldecl.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\sgmllnx.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\sh.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\sicad.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\sieve.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\sil.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\simula.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\sinda.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\sindacmp.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\sindaout.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\sisu.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\skill.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\sl.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\slang.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\slice.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\slpconf.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\slpreg.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\slpspi.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\slrnrc.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\slrnsc.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\sm.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\smarty.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\smcl.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\smil.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\smith.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\sml.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\snnsnet.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\snnspat.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\snnsres.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\snobol4.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\spec.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\specman.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\spice.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\splint.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\spup.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\spyce.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\sql.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\sqlanywhere.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\sqlforms.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\sqlhana.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\sqlinformix.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\sqlj.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\sqloracle.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\sqr.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\squid.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\srec.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\sshconfig.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\sshdconfig.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\st.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\stata.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\stp.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\strace.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\sudoers.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\svg.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\svn.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\swift.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\swiftgyb.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\syncolor.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\synload.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\syntax.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\sysctl.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\systemd.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\systemverilog.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\tads.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\tags.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\tak.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\takcmp.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\takout.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\tap.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\tar.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\taskdata.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\taskedit.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\tasm.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\tcl.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\tcsh.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\template.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\teraterm.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\terminfo.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\tex.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\texinfo.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\texmf.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\tf.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\tidy.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\tilde.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\tli.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\tmux.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\tpp.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\trasys.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\treetop.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\trustees.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\tsalt.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\tsscl.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\tssgm.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\tssop.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\tt2.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\tt2html.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\tt2js.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\typescript.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\typescriptcommon.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\typescriptreact.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\uc.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\udevconf.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\udevperm.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\udevrules.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\uil.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\updatedb.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\upstart.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\upstreamdat.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\upstreaminstalllog.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\upstreamlog.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\upstreamrpt.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\usserverlog.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\usw2kagtlog.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\valgrind.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\vb.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\vera.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\verilog.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\verilogams.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\vgrindefs.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\vhdl.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\vim.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\viminfo.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\virata.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\vmasm.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\voscm.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\vrml.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\vroom.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\vsejcl.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\vue.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\wast.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\wdiff.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\web.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\webmacro.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\wget.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\whitespace.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\winbatch.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\wml.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\wsh.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\wsml.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\wvdial.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\xbl.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\xdefaults.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\xf86conf.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\xhtml.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\xinetd.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\xkb.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\xmath.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\xml.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\xmodmap.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\xpm.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\xpm2.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\xquery.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\xs.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\xsd.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\xslt.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\xxd.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\yacc.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\yaml.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\z8a.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\zimbu.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\syntax\zsh.vim"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\spell"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\spell\check_locales.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\spell\cleanadd.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\spell\en.ascii.spl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\spell\en.ascii.sug"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\spell\en.latin1.spl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\spell\en.latin1.sug"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\spell\en.utf-8.spl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\spell\en.utf-8.sug"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\spell\fixdup.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\spell\he.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\spell\spell.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\spell\yi.vim"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\print"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\print\ascii.ps"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\print\cidfont.ps"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\print\cns_roman.ps"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\print\cp1250.ps"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\print\cp1251.ps"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\print\cp1252.ps"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\print\cp1253.ps"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\print\cp1254.ps"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\print\cp1255.ps"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\print\cp1257.ps"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\print\dec-mcs.ps"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\print\ebcdic-uk.ps"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\print\gb_roman.ps"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\print\hp-roman8.ps"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\print\iso-8859-10.ps"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\print\iso-8859-11.ps"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\print\iso-8859-13.ps"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\print\iso-8859-14.ps"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\print\iso-8859-15.ps"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\print\iso-8859-2.ps"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\print\iso-8859-3.ps"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\print\iso-8859-4.ps"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\print\iso-8859-5.ps"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\print\iso-8859-7.ps"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\print\iso-8859-8.ps"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\print\iso-8859-9.ps"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\print\jis_roman.ps"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\print\koi8-r.ps"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\print\koi8-u.ps"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\print\ks_roman.ps"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\print\latin1.ps"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\print\mac-roman.ps"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\print\prolog.ps"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\plugin"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\plugin\getscriptPlugin.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\plugin\gzip.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\plugin\logiPat.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\plugin\manpager.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\plugin\matchparen.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\plugin\netrwPlugin.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\plugin\README.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\plugin\rrhelper.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\plugin\spellfile.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\plugin\tarPlugin.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\plugin\tohtml.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\plugin\vimballPlugin.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\plugin\zipPlugin.vim"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\pack\dist\opt\termdebug\plugin"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\pack\dist\opt\termdebug\plugin\termdebug.vim"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\pack\dist\opt\swapmouse\plugin"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\pack\dist\opt\swapmouse\plugin\swapmouse.vim"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\pack\dist\opt\shellmenu\plugin"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\pack\dist\opt\shellmenu\plugin\shellmenu.vim"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\pack\dist\opt\matchit\plugin"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\pack\dist\opt\matchit\plugin\matchit.vim"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\pack\dist\opt\matchit\doc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\pack\dist\opt\matchit\doc\matchit.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\pack\dist\opt\matchit\doc\tags"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\pack\dist\opt\matchit\autoload"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\pack\dist\opt\matchit\autoload\matchit.vim"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\pack\dist\opt\justify\plugin"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\pack\dist\opt\justify\plugin\justify.vim"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\pack\dist\opt\editexisting\plugin"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\pack\dist\opt\editexisting\plugin\editexisting.vim"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\pack\dist\opt\dvorak\plugin"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\pack\dist\opt\dvorak\plugin\dvorak.vim"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\pack\dist\opt\dvorak\dvorak"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\pack\dist\opt\dvorak\dvorak\disable.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\pack\dist\opt\dvorak\dvorak\enable.vim"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\pack\dist\opt\cfilter\plugin"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\pack\dist\opt\cfilter\plugin\cfilter.vim"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\macros"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\macros\editexisting.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\macros\justify.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\macros\less.bat"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\macros\less.sh"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\macros\less.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\macros\matchit.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\macros\README.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\macros\shellmenu.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\macros\swapmous.vim"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\macros\urm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\macros\urm\examples"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\macros\urm\README.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\macros\urm\urm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\macros\urm\urm.vim"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\macros\maze"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\macros\maze\Makefile"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\macros\maze\maze_5.78"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\macros\maze\maze_mac"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\macros\maze\poster"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\macros\maze\README.txt"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\macros\life"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\macros\life\click.me"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\macros\life\life.vim"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\macros\hanoi"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\macros\hanoi\click.me"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\macros\hanoi\hanoi.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\macros\hanoi\poster"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_af.latin1.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_af.utf-8.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_af_af.latin1.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_af_af.utf-8.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_ca.latin1.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_ca.utf-8.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_ca_es.latin1.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_ca_es.utf-8.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_chinese(gb)_gb.936.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_chinese(taiwan)_taiwan.950.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_chinese_gb.936.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_chinese_taiwan.950.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_cs.cp1250.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_cs.latin1.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_cs_cz.cp1250.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_cs_cz.iso_8859-2.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_cs_cz.latin1.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_cs_cz.utf-8.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_czech_czech_republic.1250.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_czech_czech_republic.1252.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_czech_czech_republic.ascii.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_da.latin1.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_da.utf-8.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_de.latin1.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_de.utf-8.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_de_de.latin1.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_de_de.utf-8.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_english_united_kingdom.1252.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_english_united_kingdom.ascii.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_en_gb.latin1.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_en_gb.utf-8.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_eo.utf-8.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_eo_eo.utf-8.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_eo_xx.utf-8.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_es.latin1.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_es.utf-8.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_es_es.latin1.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_es_es.utf-8.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_fi.latin1.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_fi.utf-8.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_finnish_finland.1252.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_fi_fi.latin1.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_fi_fi.utf-8.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_fr.latin1.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_fr.utf-8.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_french_france.1252.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_fr_fr.latin1.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_fr_fr.utf-8.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_german_germany.1252.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_hu.iso_8859-2.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_hu.utf-8.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_hu_hu.iso_8859-2.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_hu_hu.utf-8.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_is.latin1.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_is.utf-8.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_is_is.latin1.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_is_is.utf-8.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_it.latin1.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_it.utf-8.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_italian_italy.1252.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_it_it.latin1.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_it_it.utf-8.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_ja.cp932.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_ja.euc-jp.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_ja.eucjp.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_ja.ujis.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_ja.utf-8.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_japanese_japan.932.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_ja_jp.cp932.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_ja_jp.euc-jp.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_ja_jp.eucjp.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_ja_jp.ujis.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_ja_jp.utf-8.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_ko.utf-8.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_ko_kr.euckr.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_ko_kr.utf-8.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_ko_kr.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_nl.latin1.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_nl.utf-8.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_nl_nl.latin1.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_nl_nl.utf-8.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_no.latin1.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_no.utf-8.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_no_no.latin1.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_no_no.utf-8.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_pl.cp1250.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_pl_pl.cp1250.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_pl_pl.iso_8859-2.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_pl_pl.utf-8.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_polish_poland.1250.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_pt_br.latin1.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_pt_br.utf-8.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_pt_br.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_pt_pt.latin1.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_pt_pt.utf-8.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_pt_pt.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_ru.utf-8.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_ru_ru.koi8-r.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_ru_ru.utf-8.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_ru_ru.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_sk.cp1250.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_sk_sk.1250.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_sk_sk.cp1250.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_sk_sk.iso_8859-2.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_sk_sk.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_slovak_slovak_republic.1250.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_sl_si.cp1250.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_sl_si.latin2.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_sl_si.utf-8.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_spanish_spain.850.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_sr.utf-8.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_sr_rs.ascii.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_sr_rs.iso_8859-2.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_sr_rs.iso_8859-5.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_sr_rs.utf-8.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_sr_yu.ascii.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_sr_yu.iso_8859-2.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_sr_yu.iso_8859-5.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_sr_yu.utf-8.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_sv.latin1.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_sv.utf-8.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_sv_se.latin1.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_sv_se.utf-8.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_tr.cp1254.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_tr.iso_8859-9.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_tr.utf-8.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_tr_tr.cp1254.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_tr_tr.iso_8859-9.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_tr_tr.utf-8.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_uk_ua.cp1251.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_uk_ua.koi8-u.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_vi_vn.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_zh.big5.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_zh.cp936.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_zh.cp950.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_zh.gb2312.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_zh_cn.18030.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_zh_cn.cp936.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_zh_cn.gb2312.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_zh_cn.gbk.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_zh_cn.utf-8.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_zh_tw.big5.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_zh_tw.cp950.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_zh_tw.utf-8.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\README.txt"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\zh_TW.UTF-8\LC_MESSAGES"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\zh_TW.UTF-8\LC_MESSAGES\vim.mo"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\zh_TW\LC_MESSAGES"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\zh_TW\LC_MESSAGES\vim.mo"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\zh_CN.UTF-8\LC_MESSAGES"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\zh_CN.UTF-8\LC_MESSAGES\vim.mo"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\zh_CN.cp936\LC_MESSAGES"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\zh_CN.cp936\LC_MESSAGES\vim.mo"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\zh_CN\LC_MESSAGES"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\zh_CN\LC_MESSAGES\vim.mo"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\vi\LC_MESSAGES"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\vi\LC_MESSAGES\vim.mo"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\uk.cp1251\LC_MESSAGES"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\uk.cp1251\LC_MESSAGES\vim.mo"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\uk\LC_MESSAGES"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\uk\LC_MESSAGES\vim.mo"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\tr\LC_MESSAGES"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\tr\LC_MESSAGES\vim.mo"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\sv\LC_MESSAGES"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\sv\LC_MESSAGES\vim.mo"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\sr\LC_MESSAGES"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\sr\LC_MESSAGES\vim.mo"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\sk.cp1250\LC_MESSAGES"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\sk.cp1250\LC_MESSAGES\vim.mo"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\sk\LC_MESSAGES"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\sk\LC_MESSAGES\vim.mo"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\ru.cp1251\LC_MESSAGES"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\ru.cp1251\LC_MESSAGES\vim.mo"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\ru\LC_MESSAGES"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\ru\LC_MESSAGES\vim.mo"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\pt_BR\LC_MESSAGES"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\pt_BR\LC_MESSAGES\vim.mo"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\pl.UTF-8\LC_MESSAGES"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\pl.UTF-8\LC_MESSAGES\vim.mo"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\pl.cp1250\LC_MESSAGES"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\pl.cp1250\LC_MESSAGES\vim.mo"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\pl\LC_MESSAGES"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\pl\LC_MESSAGES\vim.mo"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\no\LC_MESSAGES"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\no\LC_MESSAGES\vim.mo"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\nl\LC_MESSAGES"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\nl\LC_MESSAGES\vim.mo"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\nb\LC_MESSAGES"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\nb\LC_MESSAGES\vim.mo"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\lv\LC_MESSAGES"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\lv\LC_MESSAGES\vim.mo"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\ko.UTF-8\LC_MESSAGES"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\ko.UTF-8\LC_MESSAGES\vim.mo"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\ko\LC_MESSAGES"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\ko\LC_MESSAGES\vim.mo"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\ja.sjis\LC_MESSAGES"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\ja.sjis\LC_MESSAGES\vim.mo"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\ja.euc-jp\LC_MESSAGES"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\ja.euc-jp\LC_MESSAGES\vim.mo"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\ja\LC_MESSAGES"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\ja\LC_MESSAGES\vim.mo"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\it\LC_MESSAGES"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\it\LC_MESSAGES\vim.mo"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\ga\LC_MESSAGES"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\ga\LC_MESSAGES\vim.mo"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\fr\LC_MESSAGES"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\fr\LC_MESSAGES\vim.mo"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\fi\LC_MESSAGES"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\fi\LC_MESSAGES\vim.mo"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\es\LC_MESSAGES"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\es\LC_MESSAGES\vim.mo"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\eo\LC_MESSAGES"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\eo\LC_MESSAGES\vim.mo"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\en_GB\LC_MESSAGES"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\en_GB\LC_MESSAGES\vim.mo"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\de\LC_MESSAGES"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\de\LC_MESSAGES\vim.mo"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\da\LC_MESSAGES"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\da\LC_MESSAGES\vim.mo"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\cs.cp1250\LC_MESSAGES"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\cs.cp1250\LC_MESSAGES\vim.mo"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\cs\LC_MESSAGES"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\cs\LC_MESSAGES\vim.mo"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\ca\LC_MESSAGES"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\ca\LC_MESSAGES\vim.mo"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\af\LC_MESSAGES"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\lang\af\LC_MESSAGES\vim.mo"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\keymap"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\keymap\accents.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\keymap\arabic.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\keymap\arabic_utf-8.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\keymap\armenian-eastern_utf-8.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\keymap\armenian-western_utf-8.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\keymap\belarusian-jcuken.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\keymap\bulgarian-bds.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\keymap\bulgarian-phonetic.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\keymap\canfr-win.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\keymap\croatian.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\keymap\croatian_cp1250.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\keymap\croatian_iso-8859-2.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\keymap\croatian_utf-8.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\keymap\czech.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\keymap\czech_utf-8.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\keymap\dvorak.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\keymap\esperanto.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\keymap\esperanto_utf-8.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\keymap\greek.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\keymap\greek_cp1253.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\keymap\greek_cp737.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\keymap\greek_iso-8859-7.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\keymap\greek_utf-8.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\keymap\hebrew.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\keymap\hebrewp.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\keymap\hebrewp_cp1255.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\keymap\hebrewp_iso-8859-8.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\keymap\hebrewp_utf-8.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\keymap\hebrew_cp1255.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\keymap\hebrew_iso-8859-8.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\keymap\hebrew_utf-8.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\keymap\kana.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\keymap\kazakh-jcuken.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\keymap\lithuanian-baltic.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\keymap\magyar_utf-8.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\keymap\mongolian_utf-8.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\keymap\oldturkic-orkhon_utf-8.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\keymap\oldturkic-yenisei_utf-8.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\keymap\persian-iranian_utf-8.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\keymap\persian.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\keymap\pinyin.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\keymap\polish-slash.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\keymap\polish-slash_cp1250.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\keymap\polish-slash_cp852.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\keymap\polish-slash_iso-8859-2.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\keymap\polish-slash_utf-8.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\keymap\README.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\keymap\russian-dvorak.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\keymap\russian-jcuken.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\keymap\russian-jcukenmac.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\keymap\russian-jcukenwin.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\keymap\russian-jcukenwintype.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\keymap\russian-yawerty.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\keymap\serbian-latin.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\keymap\serbian-latin_utf-8.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\keymap\serbian.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\keymap\serbian_cp1250.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\keymap\serbian_cp1251.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\keymap\serbian_iso-8859-2.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\keymap\serbian_iso-8859-5.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\keymap\serbian_utf-8.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\keymap\sinhala-phonetic_utf-8.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\keymap\sinhala.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\keymap\slovak.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\keymap\slovak_cp1250.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\keymap\slovak_iso-8859-2.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\keymap\slovak_utf-8.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\keymap\tamil_tscii.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\keymap\thaana-phonetic_utf-8.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\keymap\thaana.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\keymap\turkish-f.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\keymap\turkish-q.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\keymap\ukrainian-dvorak.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\keymap\ukrainian-jcuken.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\keymap\vietnamese-telex_utf-8.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\keymap\vietnamese-viqr_utf-8.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\keymap\vietnamese-vni_utf-8.vim"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\aap.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\ada.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\ant.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\automake.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\awk.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\bash.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\bib.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\bst.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\bzl.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\c.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\cdl.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\ch.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\chaiscript.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\changelog.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\clojure.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\cmake.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\cobol.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\config.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\context.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\cpp.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\cs.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\css.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\cucumber.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\cuda.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\d.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\dictconf.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\dictdconf.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\docbk.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\dosbatch.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\dtd.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\dtrace.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\dylan.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\eiffel.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\elm.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\erlang.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\eruby.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\eterm.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\falcon.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\fortran.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\framescript.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\gitconfig.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\gitolite.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\go.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\haml.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\hamster.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\hog.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\html.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\htmldjango.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\idlang.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\ishd.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\j.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\java.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\javascript.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\javascriptreact.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\json.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\jsp.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\ld.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\less.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\lifelines.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\liquid.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\lisp.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\logtalk.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\lua.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\mail.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\make.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\matlab.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\meson.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\mf.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\mma.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\mp.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\nsis.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\objc.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\ocaml.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\occam.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\pascal.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\perl.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\perl6.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\php.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\postscr.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\pov.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\prolog.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\pyrex.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\python.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\r.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\raml.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\readline.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\README.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\rhelp.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\rmd.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\rnoweb.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\rpl.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\rrst.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\rst.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\ruby.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\rust.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\sas.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\sass.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\scala.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\scheme.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\scss.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\sdl.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\sh.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\sml.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\sql.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\sqlanywhere.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\sshconfig.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\systemd.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\systemverilog.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\tcl.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\tcsh.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\teraterm.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\tex.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\tf.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\tilde.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\treetop.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\typescript.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\vb.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\verilog.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\vhdl.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\vim.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\vroom.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\wast.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\xf86conf.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\xhtml.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\xinetd.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\xml.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\xsd.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\xslt.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\yacc.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\yaml.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\zimbu.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\indent\zsh.vim"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\8th.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\a2ps.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\aap.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\abap.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\abaqus.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\ada.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\alsaconf.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\ant.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\arch.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\art.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\asm.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\aspvbs.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\automake.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\awk.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\bash.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\bdf.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\bst.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\btm.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\bzl.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\c.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\calendar.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\cdrdaoconf.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\cfg.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\ch.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\changelog.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\chicken.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\clojure.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\cmake.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\cobol.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\conf.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\config.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\context.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\cpp.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\crm.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\cs.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\csc.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\csh.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\css.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\cucumber.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\cvsrc.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\debchangelog.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\debcontrol.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\denyhosts.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\dictconf.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\dictdconf.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\diff.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\dircolors.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\docbk.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\dockerfile.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\dosbatch.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\dosini.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\dtd.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\dtrace.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\dune.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\eiffel.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\elinks.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\elm.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\erlang.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\eruby.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\eterm.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\falcon.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\fetchmail.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\flexwiki.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\fortran.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\framescript.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\fvwm.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\gdb.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\git.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\gitcommit.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\gitconfig.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\gitrebase.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\gitsendemail.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\go.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\gpg.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\gprof.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\groovy.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\group.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\grub.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\haml.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\hamster.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\haskell.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\help.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\hgcommit.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\hog.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\hostconf.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\hostsaccess.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\html.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\htmldjango.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\indent.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\initex.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\ishd.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\j.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\java.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\javascript.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\javascriptreact.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\jproperties.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\json.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\jsp.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\kconfig.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\kwt.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\ld.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\less.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\lftp.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\libao.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\limits.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\liquid.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\lisp.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\logcheck.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\loginaccess.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\logindefs.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\logtalk.dict"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\logtalk.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\lprolog.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\lua.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\m4.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\mail.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\mailaliases.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\mailcap.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\make.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\man.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\manconf.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\markdown.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\masm.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\matlab.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\meson.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\mf.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\mma.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\modconf.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\mp.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\mplayerconf.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\mrxvtrc.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\msmessages.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\muttrc.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\nanorc.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\neomuttrc.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\netrc.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\nroff.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\nsis.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\objc.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\ocaml.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\occam.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\pamconf.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\pascal.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\passwd.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\pdf.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\perl.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\perl6.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\php.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\pinfo.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\plaintex.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\postscr.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\procmail.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\prolog.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\protocols.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\pyrex.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\python.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\qf.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\quake.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\r.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\racc.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\readline.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\README.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\registry.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\reva.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\rhelp.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\rmd.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\rnc.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\rnoweb.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\rpl.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\rrst.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\rst.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\ruby.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\rust.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\sass.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\sbt.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\scala.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\scheme.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\screen.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\scss.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\sensors.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\services.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\setserial.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\sgml.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\sh.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\sieve.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\slpconf.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\slpreg.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\slpspi.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\spec.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\sql.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\sshconfig.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\sudoers.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\svg.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\swift.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\swiftgyb.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\sysctl.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\systemd.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\systemverilog.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\tcl.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\tcsh.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\terminfo.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\tex.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\text.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\tmux.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\treetop.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\tt2html.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\typescript.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\typescriptreact.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\udevconf.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\udevperm.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\udevrules.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\updatedb.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\vb.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\verilog.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\vhdl.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\vim.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\vroom.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\wast.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\xdefaults.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\xf86conf.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\xhtml.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\xinetd.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\xml.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\xmodmap.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\xs.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\xsd.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\xslt.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\yaml.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\zimbu.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\zsh.vim"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\arabic.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\autocmd.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\change.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\channel.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\cmdline.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\debug.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\debugger.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\develop.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\diff.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\digraph.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\editing.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\eval.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\farsi.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\filetype.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\fold.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\ft_ada.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\ft_rust.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\ft_sql.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\gui.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\gui_w32.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\gui_x11.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\hangulin.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\hebrew.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\help.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\helphelp.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\howto.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\if_cscop.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\if_lua.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\if_mzsch.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\if_ole.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\if_perl.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\if_pyth.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\if_ruby.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\if_sniff.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\if_tcl.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\indent.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\index.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\insert.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\intro.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\map.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\mbyte.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\message.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\mlang.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\motion.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\netbeans.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\options.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\os_390.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\os_amiga.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\os_beos.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\os_dos.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\os_haiku.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\os_mac.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\os_mint.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\os_msdos.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\os_os2.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\os_qnx.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\os_risc.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\os_unix.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\os_vms.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\os_win32.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\pattern.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\pi_getscript.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\pi_gzip.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\pi_logipat.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\pi_netrw.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\pi_paren.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\pi_spec.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\pi_tar.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\pi_vimball.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\pi_zip.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\popup.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\print.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\quickfix.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\quickref.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\quotes.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\recover.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\remote.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\repeat.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\rileft.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\russian.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\scroll.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\sign.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\spell.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\sponsor.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\starting.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\syntax.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\tabpage.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\tags"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\tagsrch.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\term.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\terminal.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\testing.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\textprop.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\tips.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\todo.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\uganda.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\undo.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\usr_01.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\usr_02.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\usr_03.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\usr_04.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\usr_05.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\usr_06.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\usr_07.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\usr_08.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\usr_09.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\usr_10.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\usr_11.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\usr_12.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\usr_20.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\usr_21.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\usr_22.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\usr_23.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\usr_24.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\usr_25.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\usr_26.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\usr_27.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\usr_28.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\usr_29.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\usr_30.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\usr_31.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\usr_32.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\usr_40.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\usr_41.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\usr_42.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\usr_43.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\usr_44.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\usr_45.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\usr_46.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\usr_90.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\usr_toc.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\various.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\version4.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\version5.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\version6.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\version7.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\version8.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\vim2html.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\vim9.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\visual.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\vi_diff.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\windows.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\doc\workshop.txt"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\compiler"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\compiler\ant.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\compiler\bcc.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\compiler\bdf.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\compiler\cargo.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\compiler\checkstyle.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\compiler\context.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\compiler\cs.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\compiler\csslint.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\compiler\cucumber.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\compiler\decada.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\compiler\dot.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\compiler\erlang.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\compiler\eruby.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\compiler\eslint.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\compiler\fortran_cv.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\compiler\fortran_elf90.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\compiler\fortran_F.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\compiler\fortran_g77.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\compiler\fortran_lf95.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\compiler\fpc.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\compiler\g95.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\compiler\gawk.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\compiler\gcc.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\compiler\gfortran.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\compiler\ghc.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\compiler\gjs.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\compiler\gnat.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\compiler\go.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\compiler\haml.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\compiler\hp_acc.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\compiler\icc.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\compiler\ifort.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\compiler\intel.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\compiler\irix5_c.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\compiler\irix5_cpp.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\compiler\javac.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\compiler\jest.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\compiler\jikes.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\compiler\jjs.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\compiler\jshint.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\compiler\jsonlint.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\compiler\mcs.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\compiler\mipspro_c89.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\compiler\mipspro_cpp.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\compiler\mips_c.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\compiler\modelsim_vcom.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\compiler\msbuild.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\compiler\msvc.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\compiler\neato.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\compiler\ocaml.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\compiler\onsgmls.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\compiler\pbx.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\compiler\perl.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\compiler\php.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\compiler\pylint.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\compiler\pyunit.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\compiler\rake.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\compiler\README.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\compiler\rspec.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\compiler\rst.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\compiler\rubocop.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\compiler\ruby.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\compiler\rubyunit.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\compiler\rustc.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\compiler\sass.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\compiler\se.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\compiler\splint.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\compiler\stack.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\compiler\standard.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\compiler\stylelint.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\compiler\tcl.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\compiler\tex.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\compiler\tidy.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\compiler\ts-node.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\compiler\tsc.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\compiler\typedoc.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\compiler\xbuild.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\compiler\xmllint.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\compiler\xmlwf.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\compiler\xo.vim"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\colors"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\colors\blue.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\colors\darkblue.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\colors\default.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\colors\delek.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\colors\desert.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\colors\elflord.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\colors\evening.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\colors\industry.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\colors\koehler.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\colors\morning.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\colors\murphy.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\colors\pablo.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\colors\peachpuff.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\colors\README.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\colors\ron.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\colors\shine.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\colors\slate.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\colors\torte.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\colors\zellner.vim"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\colors\tools"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\colors\tools\check_colors.vim"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\autoload"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\autoload\ada.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\autoload\adacomplete.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\autoload\ccomplete.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\autoload\clojurecomplete.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\autoload\context.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\autoload\contextcomplete.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\autoload\csscomplete.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\autoload\decada.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\autoload\getscript.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\autoload\gnat.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\autoload\gzip.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\autoload\haskellcomplete.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\autoload\htmlcomplete.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\autoload\javascriptcomplete.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\autoload\netrw.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\autoload\netrwFileHandlers.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\autoload\netrwSettings.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\autoload\netrw_gitignore.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\autoload\paste.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\autoload\phpcomplete.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\autoload\python3complete.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\autoload\pythoncomplete.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\autoload\README.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\autoload\RstFold.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\autoload\rubycomplete.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\autoload\rust.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\autoload\rustfmt.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\autoload\spellfile.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\autoload\sqlcomplete.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\autoload\syntaxcomplete.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\autoload\tar.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\autoload\tohtml.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\autoload\vimball.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\autoload\xmlcomplete.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\autoload\xmlformat.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\autoload\zip.vim"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\autoload\xml"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\autoload\xml\html32.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\autoload\xml\html401f.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\autoload\xml\html401s.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\autoload\xml\html401t.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\autoload\xml\html40f.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\autoload\xml\html40s.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\autoload\xml\html40t.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\autoload\xml\xhtml10f.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\autoload\xml\xhtml10s.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\autoload\xml\xhtml10t.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\autoload\xml\xhtml11.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\autoload\xml\xsd.vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\autoload\xml\xsl.vim"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\autoload\dist"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\vim\vim82\autoload\dist\ft.vim"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\78"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\78\xterm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\78\xterm+256color"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\78\xterm+256setaf"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\78\xterm+88color"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\78\xterm+alt+title"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\78\xterm+alt1049"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\78\xterm+app"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\78\xterm+direct"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\78\xterm+direct2"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\78\xterm+edit"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\78\xterm+indirect"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\78\xterm+kbs"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\78\xterm+keypad"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\78\xterm+noalt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\78\xterm+noapp"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\78\xterm+osc104"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\78\xterm+pc+edit"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\78\xterm+pcc0"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\78\xterm+pcc1"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\78\xterm+pcc2"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\78\xterm+pcc3"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\78\xterm+pce2"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\78\xterm+pcf0"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\78\xterm+pcf2"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\78\xterm+pcfkeys"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\78\xterm+r6f2"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\78\xterm+sl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\78\xterm+sl-twm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\78\xterm+sm+1002"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\78\xterm+sm+1003"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\78\xterm+sm+1005"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\78\xterm+sm+1006"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\78\xterm+titlestack"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\78\xterm+tmux"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\78\xterm+vt+edit"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\78\xterm+x10mouse"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\78\xterm+x11hilite"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\78\xterm+x11mouse"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\78\xterm-1002"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\78\xterm-1003"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\78\xterm-1005"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\78\xterm-1006"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\78\xterm-16color"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\78\xterm-24"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\78\xterm-256color"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\78\xterm-88color"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\78\xterm-8bit"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\78\xterm-basic"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\78\xterm-bold"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\78\xterm-color"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\78\xterm-direct"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\78\xterm-direct2"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\78\xterm-hp"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\78\xterm-mono"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\78\xterm-new"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\78\xterm-nic"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\78\xterm-noapp"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\78\xterm-old"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\78\xterm-pcolor"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\78\xterm-r5"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\78\xterm-r6"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\78\xterm-sco"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\78\xterm-sun"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\78\xterm-utf8"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\78\xterm-vt220"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\78\xterm-vt52"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\78\xterm-x10mouse"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\78\xterm-x11hilite"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\78\xterm-x11mouse"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\78\xterm-xf86-v32"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\78\xterm-xf86-v33"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\78\xterm-xf86-v333"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\78\xterm-xf86-v40"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\78\xterm-xf86-v43"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\78\xterm-xf86-v44"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\78\xterm-xfree86"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\78\xterm-xi"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\78\xterm.js"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\78\xterm1"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\78\xtermc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\78\xtermm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\78\xterms"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\78\xterms-sun"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\73"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\73\screen"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\73\screen+fkeys"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\73\screen+italics"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\73\screen-16color"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\73\screen-16color-bce"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\73\screen-16color-bce-s"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\73\screen-16color-s"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\73\screen-256color"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\73\screen-256color-bce"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\73\screen-256color-bce-s"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\73\screen-256color-s"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\73\screen-bce"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\73\screen-bce.Eterm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\73\screen-bce.gnome"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\73\screen-bce.konsole"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\73\screen-bce.linux"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\73\screen-bce.mrxvt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\73\screen-bce.rxvt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\73\screen-bce.xterm-new"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\73\screen-s"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\73\screen-w"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\73\screen.Eterm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\73\screen.gnome"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\73\screen.konsole"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\73\screen.konsole-256color"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\73\screen.linux"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\73\screen.linux-m1"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\73\screen.linux-m1b"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\73\screen.linux-m2"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\73\screen.minitel1"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\73\screen.minitel1-nb"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\73\screen.minitel12-80"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\73\screen.minitel1b"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\73\screen.minitel1b-80"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\73\screen.minitel1b-nb"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\73\screen.minitel2-80"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\73\screen.mlterm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\73\screen.mlterm-256color"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\73\screen.mrxvt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\73\screen.putty"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\73\screen.putty-256color"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\73\screen.putty-m1"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\73\screen.putty-m1b"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\73\screen.putty-m2"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\73\screen.rxvt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\73\screen.teraterm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\73\screen.vte"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\73\screen.vte-256color"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\73\screen.xterm-256color"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\73\screen.xterm-new"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\73\screen.xterm-r6"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\73\screen.xterm-xfree86"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\73\screen2"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\73\screen3"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\73\screen4"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\73\screen5"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\64"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\64\dumb"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\63"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\terminfo\63\cygwin"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\tabset"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\tabset\std"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\tabset\stdcrt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\tabset\vt100"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\tabset\vt300"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\pki\ca-trust-source"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\pki\ca-trust-source\ca-bundle.trust.crt"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\pki\ca-trust-legacy"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\pki\ca-trust-legacy\ca-bundle.legacy.default.crt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\pki\ca-trust-legacy\ca-bundle.legacy.disable.crt"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\Error.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\JSON.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\LWP.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\MailTools.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\TimeDate.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\WWW"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\WWW\RobotRules.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\WWW\RobotRules"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\WWW\RobotRules\AnyDBM_File.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI\data.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI\Escape.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI\file.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI\ftp.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI\gopher.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI\Heuristic.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI\http.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI\https.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI\IRI.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI\ldap.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI\ldapi.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI\ldaps.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI\mailto.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI\mms.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI\news.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI\nntp.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI\pop.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI\QueryParam.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI\rlogin.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI\rsync.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI\rtsp.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI\rtspu.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI\sftp.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI\sip.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI\sips.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI\snews.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI\Split.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI\ssh.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI\telnet.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI\tn3270.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI\URL.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI\urn.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI\WithBase.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI\_foreign.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI\_generic.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI\_idna.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI\_ldap.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI\_login.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI\_punycode.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI\_query.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI\_segment.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI\_server.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI\_userpass.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI\urn"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI\urn\isbn.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI\urn\oid.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI\file"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI\file\Base.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI\file\FAT.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI\file\Mac.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI\file\OS2.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI\file\QNX.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI\file\Unix.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI\file\Win32.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\Try"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\Try\Tiny.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\Time"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\Time\Zone.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\Net"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\Net\HTTP.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\Net\HTTPS.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\Net\SMTP"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\Net\SMTP\SSL.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\Net\HTTP"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\Net\HTTP\Methods.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\Net\HTTP\NB.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\MIME"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\MIME\Body.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\MIME\Decoder.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\MIME\Entity.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\MIME\Head.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\MIME\Parser.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\MIME\Tools.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\MIME\WordDecoder.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\MIME\Words.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\MIME\Parser"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\MIME\Parser\Filer.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\MIME\Parser\Reader.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\MIME\Parser\Results.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\MIME\Field"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\MIME\Field\ContDisp.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\MIME\Field\ConTraEnc.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\MIME\Field\ContType.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\MIME\Field\ParamVal.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\MIME\Decoder"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\MIME\Decoder\Base64.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\MIME\Decoder\Binary.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\MIME\Decoder\BinHex.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\MIME\Decoder\Gzip64.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\MIME\Decoder\NBit.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\MIME\Decoder\QuotedPrint.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\MIME\Decoder\UU.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\Mail"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\Mail\Address.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\Mail\Cap.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\Mail\Field.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\Mail\Filter.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\Mail\Header.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\Mail\Internet.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\Mail\Mailer.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\Mail\Send.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\Mail\Util.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\Mail\Mailer"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\Mail\Mailer\qmail.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\Mail\Mailer\rfc822.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\Mail\Mailer\sendmail.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\Mail\Mailer\smtp.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\Mail\Mailer\smtps.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\Mail\Mailer\testfile.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\Mail\Field"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\Mail\Field\AddrList.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\Mail\Field\Date.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\Mail\Field\Generic.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\LWP"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\LWP\ConnCache.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\LWP\Debug.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\LWP\DebugFile.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\LWP\media.types"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\LWP\MediaTypes.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\LWP\MemberMixin.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\LWP\Protocol.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\LWP\RobotUA.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\LWP\Simple.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\LWP\UserAgent.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\LWP\Protocol"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\LWP\Protocol\cpan.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\LWP\Protocol\data.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\LWP\Protocol\file.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\LWP\Protocol\ftp.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\LWP\Protocol\gopher.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\LWP\Protocol\http.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\LWP\Protocol\loopback.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\LWP\Protocol\mailto.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\LWP\Protocol\nntp.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\LWP\Protocol\nogo.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\LWP\Debug"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\LWP\Debug\TraceHTTP.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\LWP\Authen"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\LWP\Authen\Basic.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\LWP\Authen\Digest.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\LWP\Authen\Ntlm.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\JSON"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\JSON\backportPP.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\JSON\backportPP"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\JSON\backportPP\Boolean.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\JSON\backportPP\Compat5005.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\JSON\backportPP\Compat5006.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\IO"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\IO\AtomicFile.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\IO\HTML.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\IO\InnerFile.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\IO\Lines.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\IO\Scalar.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\IO\ScalarArray.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\IO\Stringy.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\IO\Wrap.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\IO\WrapTie.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\IO\Socket"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\IO\Socket\SSL.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\IO\Socket\SSL"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\IO\Socket\SSL\Intercept.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\IO\Socket\SSL\PublicSuffix.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\IO\Socket\SSL\Utils.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\HTTP"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\HTTP\Config.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\HTTP\Cookies.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\HTTP\Daemon.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\HTTP\Date.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\HTTP\Headers.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\HTTP\Message.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\HTTP\Negotiate.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\HTTP\Request.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\HTTP\Response.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\HTTP\Status.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\HTTP\Request"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\HTTP\Request\Common.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\HTTP\Headers"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\HTTP\Headers\Auth.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\HTTP\Headers\ETag.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\HTTP\Headers\Util.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\HTTP\Cookies"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\HTTP\Cookies\Microsoft.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\HTTP\Cookies\Netscape.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\HTML"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\HTML\Tagset.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\File"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\File\Listing.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\Error"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\Error\Simple.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\Encode"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\Encode\Locale.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\Date"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\Date\Format.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\Date\Language.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\Date\Parse.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\Date\Language"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\Date\Language\Afar.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\Date\Language\Amharic.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\Date\Language\Austrian.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\Date\Language\Brazilian.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\Date\Language\Bulgarian.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\Date\Language\Chinese.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\Date\Language\Chinese_GB.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\Date\Language\Czech.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\Date\Language\Danish.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\Date\Language\Dutch.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\Date\Language\English.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\Date\Language\Finnish.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\Date\Language\French.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\Date\Language\Gedeo.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\Date\Language\German.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\Date\Language\Greek.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\Date\Language\Hungarian.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\Date\Language\Icelandic.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\Date\Language\Italian.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\Date\Language\Norwegian.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\Date\Language\Occitan.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\Date\Language\Oromo.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\Date\Language\Romanian.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\Date\Language\Russian.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\Date\Language\Russian_cp1251.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\Date\Language\Russian_koi8r.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\Date\Language\Sidama.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\Date\Language\Somali.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\Date\Language\Spanish.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\Date\Language\Swedish.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\Date\Language\Tigrinya.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\Date\Language\TigrinyaEritrean.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\Date\Language\TigrinyaEthiopian.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\Date\Language\Turkish.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\Convert"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\Convert\BinHex.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\Authen"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\Authen\SASL.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\Authen\SASL"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\Authen\SASL\CRAM_MD5.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\Authen\SASL\EXTERNAL.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\Authen\SASL\Perl.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\Authen\SASL\Perl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\Authen\SASL\Perl\ANONYMOUS.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\Authen\SASL\Perl\CRAM_MD5.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\Authen\SASL\Perl\DIGEST_MD5.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\Authen\SASL\Perl\EXTERNAL.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\Authen\SASL\Perl\GSSAPI.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\Authen\SASL\Perl\LOGIN.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\vendor_perl\Authen\SASL\Perl\PLAIN.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\AnyDBM_File.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\autodie.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\AutoLoader.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\AutoSplit.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\autouse.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\base.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Benchmark.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\bigint.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\bignum.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\bigrat.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\blib.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\bytes.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\bytes_heavy.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Carp.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\charnames.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\constant.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\CPAN.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\DB.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\DBM_Filter.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\deprecate.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\diagnostics.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Digest.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\DirHandle.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Dumpvalue.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\dumpvar.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\English.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Env.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\experimental.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Exporter.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Fatal.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\feature.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\fields.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\FileCache.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\FileHandle.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\filetest.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\FindBin.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\if.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\integer.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\less.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\locale.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Memoize.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\meta_notation.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\NEXT.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\ok.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\open.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\overload.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\overloading.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\parent.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\perl5db.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\perlfaq.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\PerlIO.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Safe.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\SelectSaver.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\SelfLoader.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\sigtrap.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\sort.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\strict.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\subs.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Symbol.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Test.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Test2.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Thread.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\UNIVERSAL.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\utf8.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\vars.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\version.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\vmsish.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\warnings.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\XSLoader.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\_charnames.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Win32API\File"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Win32API\File\cFile.pc"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\warnings"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\warnings\register.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\version"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\version\regex.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\User"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\User\grent.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\User\pwent.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\Blocks.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\CombiningClass.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\Decomposition.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\Name.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\Name.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\NamedSequences.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\SpecialCasing.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\UCD.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\uni_keywords.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\version"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\To"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\To\Age.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\To\Bc.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\To\Bmg.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\To\Bpb.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\To\Bpt.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\To\Cf.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\To\Digit.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\To\Ea.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\To\EqUIdeo.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\To\Fold.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\To\Gc.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\To\GCB.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\To\Hst.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\To\Identif2.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\To\Identifi.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\To\InPC.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\To\InSC.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\To\Isc.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\To\Jg.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\To\Jt.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\To\Lb.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\To\Lc.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\To\Lower.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\To\Na1.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\To\NameAlia.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\To\NFCQC.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\To\NFDQC.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\To\NFKCCF.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\To\NFKCQC.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\To\NFKDQC.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\To\Nt.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\To\Nv.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\To\PerlDeci.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\To\SB.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\To\Sc.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\To\Scx.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\To\Tc.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\To\Title.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\To\Uc.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\To\Upper.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\To\Vo.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\To\WB.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\To\_PerlLB.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\To\_PerlSCX.pl"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\XIDS"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\XIDS\Y.pl"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\XIDC"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\XIDC\Y.pl"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\WB"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\WB\EX.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\WB\Extend.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\WB\FO.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\WB\HL.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\WB\KA.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\WB\LE.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\WB\MB.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\WB\ML.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\WB\MN.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\WB\NU.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\WB\WSegSpac.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\WB\XX.pl"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Vo"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Vo\R.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Vo\Tr.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Vo\Tu.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Vo\U.pl"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Upper"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Upper\Y.pl"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\UIdeo"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\UIdeo\Y.pl"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Term"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Term\Y.pl"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\STerm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\STerm\Y.pl"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\SD"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\SD\Y.pl"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Adlm.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Arab.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Armn.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Beng.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Bhks.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Bopo.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Cakm.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Cham.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Copt.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Cprt.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Cyrl.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Deva.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Diak.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Dupl.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Ethi.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Geor.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Glag.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Gong.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Gonm.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Gran.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Grek.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Gujr.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Guru.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Han.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Hang.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Hebr.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Hira.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Hmng.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Hmnp.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Kana.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Khar.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Khmr.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Khoj.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Knda.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Kthi.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Lana.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Lao.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Latn.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Limb.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Lina.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Linb.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Mlym.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Mong.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Mult.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Mymr.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Nand.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Orya.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Phlp.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Rohg.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Shrd.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Sind.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Sinh.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Syrc.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Tagb.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Takr.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Talu.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Taml.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Tang.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Telu.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Thaa.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Tibt.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Tirh.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Xsux.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Yezi.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Yi.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Zinh.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Zyyy.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Zzzz.pl"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Sc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Sc\Arab.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Sc\Beng.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Sc\Cprt.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Sc\Cyrl.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Sc\Deva.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Sc\Dupl.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Sc\Geor.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Sc\Glag.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Sc\Gong.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Sc\Gonm.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Sc\Gran.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Sc\Grek.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Sc\Gujr.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Sc\Guru.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Sc\Han.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Sc\Hang.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Sc\Hira.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Sc\Kana.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Sc\Knda.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Sc\Latn.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Sc\Limb.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Sc\Linb.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Sc\Mlym.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Sc\Mong.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Sc\Mult.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Sc\Orya.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Sc\Sinh.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Sc\Syrc.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Sc\Taml.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Sc\Telu.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Sc\Zinh.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Sc\Zyyy.pl"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\SB"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\SB\AT.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\SB\CL.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\SB\EX.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\SB\FO.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\SB\LE.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\SB\LO.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\SB\NU.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\SB\SC.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\SB\Sp.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\SB\ST.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\SB\UP.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\SB\XX.pl"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\QMark"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\QMark\Y.pl"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Perl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Perl\Alnum.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Perl\Assigned.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Perl\Blank.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Perl\Graph.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Perl\PerlWord.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Perl\PosixPun.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Perl\Print.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Perl\SpacePer.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Perl\Title.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Perl\Word.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Perl\XPosixPu.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Perl\_PerlAny.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Perl\_PerlCh2.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Perl\_PerlCha.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Perl\_PerlFol.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Perl\_PerlIDC.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Perl\_PerlIDS.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Perl\_PerlIsI.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Perl\_PerlNch.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Perl\_PerlPat.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Perl\_PerlPr2.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Perl\_PerlPro.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Perl\_PerlQuo.pl"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\PCM"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\PCM\Y.pl"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\PatSyn"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\PatSyn\Y.pl"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\0.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\1.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\10.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\100.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\1000.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\10000.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\100000.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\11.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\12.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\13.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\14.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\15.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\16.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\17.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\18.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\19.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\1_16.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\1_2.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\1_3.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\1_4.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\1_6.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\1_8.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\2.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\20.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\200.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\2000.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\20000.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\2_3.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\3.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\30.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\300.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\3000.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\30000.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\3_16.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\3_4.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\4.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\40.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\400.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\4000.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\40000.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\5.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\50.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\500.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\5000.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\50000.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\6.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\60.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\600.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\6000.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\60000.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\7.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\70.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\700.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\7000.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\70000.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\8.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\80.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\800.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\8000.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\80000.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\9.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\90.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\900.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\9000.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\90000.pl"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nt\Di.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nt\None.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nt\Nu.pl"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\NFKDQC"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\NFKDQC\N.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\NFKDQC\Y.pl"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\NFKCQC"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\NFKCQC\N.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\NFKCQC\Y.pl"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\NFDQC"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\NFDQC\N.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\NFDQC\Y.pl"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\NFCQC"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\NFCQC\M.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\NFCQC\Y.pl"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Math"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Math\Y.pl"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Lower"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Lower\Y.pl"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Lb"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Lb\AI.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Lb\AL.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Lb\BA.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Lb\BB.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Lb\CJ.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Lb\CL.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Lb\CM.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Lb\EX.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Lb\GL.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Lb\ID.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Lb\IN.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Lb\IS.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Lb\NS.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Lb\NU.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Lb\OP.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Lb\PO.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Lb\PR.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Lb\QU.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Lb\SA.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Lb\XX.pl"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Jt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Jt\C.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Jt\D.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Jt\L.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Jt\R.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Jt\T.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Jt\U.pl"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Jg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Jg\Ain.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Jg\Alef.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Jg\Beh.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Jg\Dal.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Jg\FarsiYeh.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Jg\Feh.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Jg\Gaf.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Jg\Hah.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Jg\HanifiRo.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Jg\Kaf.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Jg\Lam.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Jg\NoJoinin.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Jg\Qaf.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Jg\Reh.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Jg\Sad.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Jg\Seen.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Jg\Waw.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Jg\Yeh.pl"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\InSC"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\InSC\Avagraha.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\InSC\Bindu.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\InSC\Cantilla.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\InSC\Consona2.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\InSC\Consona3.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\InSC\Consona4.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\InSC\Consona5.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\InSC\Consona6.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\InSC\Consona7.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\InSC\Consona8.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\InSC\Consona9.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\InSC\Consonan.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\InSC\Invisibl.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\InSC\Nukta.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\InSC\Number.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\InSC\Other.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\InSC\PureKill.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\InSC\Syllable.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\InSC\ToneMark.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\InSC\Virama.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\InSC\Visarga.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\InSC\Vowel.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\InSC\VowelDep.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\InSC\VowelInd.pl"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\InPC"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\InPC\Bottom.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\InPC\BottomAn.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\InPC\Left.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\InPC\LeftAndR.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\InPC\NA.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\InPC\Overstru.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\InPC\Right.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\InPC\Top.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\InPC\TopAndBo.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\InPC\TopAndL2.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\InPC\TopAndLe.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\InPC\TopAndRi.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\InPC\VisualOr.pl"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\In"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\In\10_0.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\In\11_0.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\In\12_0.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\In\12_1.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\In\13_0.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\In\2_0.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\In\2_1.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\In\3_0.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\In\3_1.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\In\3_2.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\In\4_0.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\In\4_1.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\In\5_0.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\In\5_1.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\In\5_2.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\In\6_0.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\In\6_1.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\In\6_2.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\In\6_3.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\In\7_0.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\In\8_0.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\In\9_0.pl"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\IdType"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\IdType\DefaultI.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\IdType\Exclusio.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\IdType\Inclusio.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\IdType\LimitedU.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\IdType\NotChara.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\IdType\NotNFKC.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\IdType\NotXID.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\IdType\Obsolete.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\IdType\Recommen.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\IdType\Technica.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\IdType\Uncommon.pl"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\IdStatus"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\IdStatus\Allowed.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\IdStatus\Restrict.pl"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\IDS"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\IDS\Y.pl"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Ideo"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Ideo\Y.pl"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\IDC"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\IDC\Y.pl"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Hyphen"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Hyphen\T.pl"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Hst"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Hst\NA.pl"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Hex"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Hex\Y.pl"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\GrExt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\GrExt\Y.pl"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\GrBase"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\GrBase\Y.pl"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\GCB"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\GCB\CN.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\GCB\EX.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\GCB\LV.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\GCB\LVT.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\GCB\PP.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\GCB\SM.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\GCB\XX.pl"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Gc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Gc\C.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Gc\Cf.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Gc\Cn.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Gc\L.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Gc\LC.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Gc\Ll.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Gc\Lm.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Gc\Lo.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Gc\Lu.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Gc\M.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Gc\Mc.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Gc\Me.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Gc\Mn.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Gc\N.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Gc\Nd.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Gc\Nl.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Gc\No.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Gc\P.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Gc\Pc.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Gc\Pd.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Gc\Pe.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Gc\Pf.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Gc\Pi.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Gc\Po.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Gc\Ps.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Gc\S.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Gc\Sc.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Gc\Sk.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Gc\Sm.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Gc\So.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Gc\Z.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Gc\Zs.pl"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\ExtPict"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\ExtPict\Y.pl"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Ext"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Ext\Y.pl"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\EPres"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\EPres\Y.pl"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Emoji"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Emoji\Y.pl"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\EComp"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\EComp\Y.pl"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\EBase"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\EBase\Y.pl"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Ea"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Ea\A.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Ea\H.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Ea\N.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Ea\Na.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Ea\W.pl"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Dt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Dt\Com.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Dt\Enc.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Dt\Fin.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Dt\Font.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Dt\Init.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Dt\Iso.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Dt\Med.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Dt\Nar.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Dt\Nb.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Dt\NonCanon.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Dt\Sqr.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Dt\Sub.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Dt\Sup.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Dt\Vert.pl"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Dia"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Dia\Y.pl"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\DI"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\DI\Y.pl"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Dep"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Dep\Y.pl"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Dash"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Dash\Y.pl"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\CWU"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\CWU\Y.pl"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\CWT"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\CWT\Y.pl"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\CWL"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\CWL\Y.pl"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\CWKCF"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\CWKCF\Y.pl"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\CWCM"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\CWCM\Y.pl"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\CWCF"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\CWCF\Y.pl"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\CompEx"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\CompEx\Y.pl"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\CI"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\CI\Y.pl"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\CE"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\CE\Y.pl"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Ccc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Ccc\A.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Ccc\AL.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Ccc\AR.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Ccc\ATAR.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Ccc\B.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Ccc\BR.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Ccc\DB.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Ccc\NK.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Ccc\NR.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Ccc\OV.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Ccc\VR.pl"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Cased"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Cased\Y.pl"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Bpt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Bpt\C.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Bpt\N.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Bpt\O.pl"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Blk"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Blk\NB.pl"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\BidiM"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\BidiM\Y.pl"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\BidiC"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\BidiC\Y.pl"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Bc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Bc\AL.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Bc\AN.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Bc\B.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Bc\BN.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Bc\CS.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Bc\EN.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Bc\ES.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Bc\ET.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Bc\L.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Bc\NSM.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Bc\ON.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Bc\R.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Bc\WS.pl"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Alpha"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Alpha\Y.pl"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Age"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Age\NA.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Age\V100.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Age\V11.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Age\V110.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Age\V120.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Age\V130.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Age\V20.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Age\V30.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Age\V31.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Age\V32.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Age\V40.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Age\V41.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Age\V50.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Age\V51.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Age\V52.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Age\V60.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Age\V61.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Age\V70.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Age\V80.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Age\V90.pl"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Time"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Time\gmtime.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Time\Local.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Time\localtime.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Time\tm.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Tie"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Tie\Array.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Tie\File.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Tie\Handle.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Tie\Hash.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Tie\Memoize.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Tie\RefHash.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Tie\Scalar.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Tie\StdHandle.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Tie\SubstrHash.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Tie\Hash"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Tie\Hash\NamedCapture.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Thread"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Thread\Queue.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Thread\Semaphore.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Text"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Text\Abbrev.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Text\Balanced.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Text\ParseWords.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Text\Tabs.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Text\Wrap.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Test2"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\API.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\Event.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\EventFacet.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\Formatter.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\Hub.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\IPC.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\Util.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\Util"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\Util\ExternalMeta.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\Util\Facets2Legacy.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\Util\HashBase.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\Util\Trace.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\Tools"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\Tools\Tiny.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\IPC"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\IPC\Driver.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\IPC\Driver"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\IPC\Driver\Files.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\Hub"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\Hub\Interceptor.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\Hub\Subtest.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\Hub\Interceptor"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\Hub\Interceptor\Terminator.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\Formatter"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\Formatter\TAP.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\EventFacet"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\EventFacet\About.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\EventFacet\Amnesty.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\EventFacet\Assert.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\EventFacet\Control.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\EventFacet\Error.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\EventFacet\Hub.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\EventFacet\Info.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\EventFacet\Meta.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\EventFacet\Parent.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\EventFacet\Plan.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\EventFacet\Render.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\EventFacet\Trace.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\EventFacet\Info"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\EventFacet\Info\Table.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\Event"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\Event\Bail.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\Event\Diag.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\Event\Encoding.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\Event\Exception.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\Event\Fail.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\Event\Generic.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\Event\Note.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\Event\Ok.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\Event\Pass.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\Event\Plan.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\Event\Skip.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\Event\Subtest.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\Event\V2.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\Event\Waiting.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\Event\TAP"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\Event\TAP\Version.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\API"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\API\Breakage.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\API\Context.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\API\Instance.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\API\Stack.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Test"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Test\Builder.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Test\Harness.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Test\More.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Test\Simple.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Test\Tester.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Test\use"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Test\use\ok.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Test\Tester"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Test\Tester\Capture.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Test\Tester\CaptureRunner.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Test\Tester\Delegate.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Test\Builder"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Test\Builder\Formatter.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Test\Builder\Module.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Test\Builder\Tester.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Test\Builder\TodoDiag.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Test\Builder\Tester"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Test\Builder\Tester\Color.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Test\Builder\IO"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Test\Builder\IO\Scalar.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Term"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Term\ANSIColor.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Term\Cap.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Term\Complete.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Term\ReadLine.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Search"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Search\Dict.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\PerlIO\via"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\PerlIO\via\QuotedPrint.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Perl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Perl\OSType.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Parse\CPAN"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Parse\CPAN\Meta.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Params"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Params\Check.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\overload"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\overload\numbers.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Net"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Net\Cmd.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Net\Config.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Net\Domain.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Net\FTP.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Net\hostent.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Net\netent.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Net\Netrc.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Net\NNTP.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Net\Ping.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Net\POP3.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Net\protoent.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Net\servent.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Net\SMTP.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Net\Time.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Net\FTP"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Net\FTP\A.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Net\FTP\dataconn.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Net\FTP\E.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Net\FTP\I.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Net\FTP\L.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Module"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Module\CoreList.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Module\Load.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Module\Loaded.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Module\Metadata.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Module\Load"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Module\Load\Conditional.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Module\CoreList"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Module\CoreList\Utils.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Memoize"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Memoize\AnyDBM_File.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Memoize\Expire.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Memoize\ExpireFile.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Memoize\ExpireTest.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Memoize\NDBM_File.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Memoize\SDBM_File.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Memoize\Storable.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Math"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Math\BigFloat.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Math\BigInt.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Math\BigRat.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Math\Complex.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Math\Trig.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Math\BigInt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Math\BigInt\Calc.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Math\BigInt\Lib.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Math\BigInt\Trace.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Math\BigFloat"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Math\BigFloat\Trace.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\JSON"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\JSON\PP.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\JSON\PP"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\JSON\PP\Boolean.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\IPC"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\IPC\Cmd.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\IPC\Open2.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\IPC\Open3.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\IO"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\IO\Zlib.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\IO\Uncompress"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\IO\Uncompress\AnyInflate.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\IO\Uncompress\AnyUncompress.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\IO\Uncompress\Base.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\IO\Uncompress\Bunzip2.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\IO\Uncompress\Gunzip.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\IO\Uncompress\Inflate.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\IO\Uncompress\RawInflate.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\IO\Uncompress\Unzip.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\IO\Uncompress\Adapter"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\IO\Uncompress\Adapter\Bunzip2.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\IO\Uncompress\Adapter\Identity.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\IO\Uncompress\Adapter\Inflate.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\IO\Socket"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\IO\Socket\IP.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\IO\Compress"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\IO\Compress\Base.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\IO\Compress\Bzip2.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\IO\Compress\Deflate.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\IO\Compress\Gzip.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\IO\Compress\RawDeflate.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\IO\Compress\Zip.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\IO\Compress\Zlib"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\IO\Compress\Zlib\Constants.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\IO\Compress\Zlib\Extra.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\IO\Compress\Zip"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\IO\Compress\Zip\Constants.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\IO\Compress\Gzip"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\IO\Compress\Gzip\Constants.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\IO\Compress\Base"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\IO\Compress\Base\Common.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\IO\Compress\Adapter"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\IO\Compress\Adapter\Bzip2.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\IO\Compress\Adapter\Deflate.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\IO\Compress\Adapter\Identity.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\I18N"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\I18N\Collate.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\I18N\LangTags.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\I18N\LangTags"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\I18N\LangTags\Detect.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\I18N\LangTags\List.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\HTTP"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\HTTP\Tiny.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Getopt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Getopt\Long.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Getopt\Std.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Filter"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Filter\Simple.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\File"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\File\Basename.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\File\Compare.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\File\Copy.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\File\Fetch.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\File\Find.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\File\GlobMapper.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\File\Path.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\File\stat.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\File\Temp.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Exporter"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Exporter\Heavy.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\encoding"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\encoding\warnings.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Encode"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Encode\Changes.e2x"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Encode\ConfigLocal_PM.e2x"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Encode\Makefile_PL.e2x"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Encode\README.e2x"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Encode\_PM.e2x"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Encode\_T.e2x"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Digest"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Digest\base.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Digest\file.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Devel"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Devel\SelfStubber.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\DBM_Filter"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\DBM_Filter\compress.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\DBM_Filter\encode.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\DBM_Filter\int32.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\DBM_Filter\null.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\DBM_Filter\utf8.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Config"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Config\Extensions.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Config\Perl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Config\Perl\V.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Compress"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Compress\Zlib.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Class"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Class\Struct.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Carp"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Carp\Heavy.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\B"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\B\Deparse.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\B\Op_private.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\autodie"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\autodie\exception.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\autodie\hints.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\autodie\skip.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\autodie\Util.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\autodie\Scope"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\autodie\Scope\Guard.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\autodie\Scope\GuardStack.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\autodie\exception"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\autodie\exception\system.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Attribute"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Attribute\Handlers.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Archive"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Archive\Tar.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Archive\Tar"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Archive\Tar\Constant.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\Archive\Tar\File.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\App"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\App\Cpan.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\App\Prove.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\App\Prove"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\App\Prove\State.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\App\Prove\State"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\App\Prove\State\Result.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\App\Prove\State\Result"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\perl5\core_perl\App\Prove\State\Result\Test.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\p11-kit\modules"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\p11-kit\modules\p11-kit-trust.module"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\nano"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\nano\asm.nanorc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\nano\autoconf.nanorc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\nano\awk.nanorc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\nano\c.nanorc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\nano\changelog.nanorc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\nano\cmake.nanorc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\nano\css.nanorc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\nano\debian.nanorc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\nano\default.nanorc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\nano\elisp.nanorc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\nano\fortran.nanorc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\nano\gentoo.nanorc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\nano\git.nanorc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\nano\go.nanorc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\nano\groff.nanorc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\nano\guile.nanorc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\nano\html.nanorc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\nano\java.nanorc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\nano\javascript.nanorc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\nano\json.nanorc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\nano\lua.nanorc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\nano\makefile.nanorc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\nano\man.nanorc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\nano\mgp.nanorc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\nano\mutt.nanorc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\nano\nanohelp.nanorc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\nano\nanorc.nanorc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\nano\nftables.nanorc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\nano\objc.nanorc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\nano\ocaml.nanorc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\nano\patch.nanorc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\nano\perl.nanorc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\nano\php.nanorc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\nano\po.nanorc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\nano\postgresql.nanorc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\nano\pov.nanorc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\nano\python.nanorc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\nano\ruby.nanorc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\nano\rust.nanorc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\nano\sh.nanorc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\nano\spec.nanorc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\nano\tcl.nanorc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\nano\tex.nanorc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\nano\texinfo.nanorc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\nano\xml.nanorc"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\misc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\misc\magic.mgc"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\mintty\themes"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\mintty\themes\dracula"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\mintty\themes\flat-ui"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\mintty\themes\gruvbox"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\mintty\themes\html"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\mintty\themes\mintty"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\mintty\themes\nord"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\mintty\themes\rosipov"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\mintty\themes\vga"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\mintty\themes\windows10"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\mintty\themes\xterm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\mintty\lang"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\mintty\lang\de.po"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\mintty\lang\en.po"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\mintty\lang\en_US.po"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\mintty\lang\es.po"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\mintty\lang\fr.po"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\mintty\lang\hr.po"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\mintty\lang\ja.po"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\mintty\lang\messages.pot"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\mintty\lang\nb.po"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\mintty\lang\pt_BR.po"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\mintty\lang\ru.po"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\mintty\lang\sv.po"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\mintty\lang\zh_CN.po"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\mintty\lang\zh_TW.po"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\makepkg-template"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\makepkg-template\perl-binary-module-dependency-1.template"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\makepkg-template\perl-binary-module-dependency.template"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\makepkg\lint_package"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\makepkg\lint_package\zzz_rm_stackdumps.sh"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\licenses\zlib"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\licenses\zlib\LICENSE"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\licenses\vim"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\licenses\vim\license.txt"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\licenses\unzip"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\licenses\unzip\LICENSE"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\licenses\tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\licenses\tcl\LICENSE"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\licenses\perl-Try-Tiny"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\licenses\perl-Try-Tiny\LICENSE"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\licenses\perl-TermReadKey"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\licenses\perl-TermReadKey\LICENSE"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\licenses\perl-Net-SSLeay"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\licenses\perl-Net-SSLeay\LICENSE"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\licenses\p11-kit"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\licenses\p11-kit\COPYING"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\licenses\openssl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\licenses\openssl\LICENSE"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\licenses\openssh"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\licenses\openssh\LICENCE"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\licenses\ncurses"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\licenses\ncurses\license.txt"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\licenses\mintty"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\licenses\mintty\LICENSE"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\licenses\mintty\LICENSE.Oxygen"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\licenses\mintty\LICENSE.PuTTY"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\licenses\libxslt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\licenses\libxslt\COPYING"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\licenses\libxml2"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\licenses\libxml2\COPYING"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\licenses\libssh2"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\licenses\libssh2\LICENSE"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\licenses\libsqlite"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\licenses\libsqlite\LICENSE"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\licenses\libsasl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\licenses\libsasl\COPYING"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\licenses\libpsl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\licenses\libpsl\COPYING"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\licenses\libnghttp2"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\licenses\libnghttp2\COPYING"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\licenses\libksba"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\licenses\libksba\COPYING"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\licenses\libffi"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\licenses\libffi\LICENSE"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\licenses\libedit"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\licenses\libedit\LICENSE"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\licenses\libassuan"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\licenses\libassuan\COPYING"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\licenses\gcc-libs"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\licenses\gcc-libs\RUNTIME.LIBRARY.EXCEPTION"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\licenses\file"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\licenses\file\COPYING"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\licenses\expat"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\licenses\expat\COPYING"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\licenses\dos2unix"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\licenses\dos2unix\LICENSE"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\icons\locolor\32x32\apps"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\icons\locolor\32x32\apps\gvim.png"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\icons\locolor\16x16\apps"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\icons\locolor\16x16\apps\gvim.png"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\icons\hicolor\48x48\apps"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\icons\hicolor\48x48\apps\gvim.png"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\gnupg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\gnupg\distsigkey.gpg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\gnupg\help.be.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\gnupg\help.ca.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\gnupg\help.cs.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\gnupg\help.da.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\gnupg\help.de.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\gnupg\help.el.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\gnupg\help.eo.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\gnupg\help.es.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\gnupg\help.et.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\gnupg\help.fi.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\gnupg\help.fr.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\gnupg\help.gl.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\gnupg\help.hu.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\gnupg\help.id.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\gnupg\help.it.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\gnupg\help.ja.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\gnupg\help.nb.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\gnupg\help.pl.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\gnupg\help.pt.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\gnupg\help.pt_BR.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\gnupg\help.ro.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\gnupg\help.ru.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\gnupg\help.sk.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\gnupg\help.sv.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\gnupg\help.tr.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\gnupg\help.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\gnupg\help.zh_CN.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\gnupg\help.zh_TW.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\gnupg\sks-keyservers.netCA.pem"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\glib-2.0\schemas"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\glib-2.0\schemas\gschema.dtd"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\glib-2.0\gdb"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\glib-2.0\gdb\glib_gdb.py"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\glib-2.0\gdb\gobject_gdb.py"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\git"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\git\git-for-windows.ico"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\git\git.ico"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\git\msys2-32.ico"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\gdb\auto-load\usr\lib"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\gdb\auto-load\usr\lib\msys-glib-2.0-0.dll-gdb.py"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\gdb\auto-load\usr\lib\msys-gobject-2.0-0.dll-gdb.py"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\fish\vendor_conf.d"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\fish\vendor_conf.d\perlbin.fish"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\cygwin"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\cygwin\cygwin.ldif"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\bash-completion\completions"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\bash-completion\completions\gapplication"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\bash-completion\completions\gdbus"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\bash-completion\completions\gio"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\bash-completion\completions\gresource"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\bash-completion\completions\gsettings"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\bash-completion\completions\sdk"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\bash-completion\completions\subversion"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\bash-completion\completions\svn"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\bash-completion\completions\svnadmin"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\bash-completion\completions\svndumpfilter"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\bash-completion\completions\svnlook"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\bash-completion\completions\svnsync"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\bash-completion\completions\svnversion"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\bash-completion\completions\tig"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\bash-completion\completions\vim"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\awk"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\awk\assert.awk"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\awk\bits2str.awk"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\awk\cliff_rand.awk"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\awk\ctime.awk"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\awk\ftrans.awk"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\awk\getopt.awk"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\awk\gettime.awk"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\awk\group.awk"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\awk\have_mpfr.awk"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\awk\inplace.awk"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\awk\intdiv0.awk"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\awk\join.awk"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\awk\libintl.awk"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\awk\noassign.awk"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\awk\ns_passwd.awk"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\awk\ord.awk"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\awk\passwd.awk"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\awk\processarray.awk"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\awk\quicksort.awk"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\awk\readable.awk"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\awk\readfile.awk"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\awk\rewind.awk"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\awk\round.awk"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\awk\shellquote.awk"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\awk\strtonum.awk"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\awk\walkarray.awk"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\awk\zerofile.awk"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\share\applications"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\applications\gvim.desktop"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\share\applications\vim.desktop"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\libexec"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\libexec\frcode.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\libexec\getprocaddr32.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\libexec\getprocaddr64.exe"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\libexec\p11-kit"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\libexec\p11-kit\p11-kit-remote.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\libexec\p11-kit\p11-kit-server.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\libexec\p11-kit\trust-extract-compat"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tclConfig.sh"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tclooConfig.sh"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\winpty.lib"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\78"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\78\xterm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\78\xterm+256color"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\78\xterm+256setaf"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\78\xterm+88color"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\78\xterm+alt+title"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\78\xterm+alt1049"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\78\xterm+app"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\78\xterm+direct"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\78\xterm+direct2"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\78\xterm+edit"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\78\xterm+indirect"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\78\xterm+kbs"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\78\xterm+keypad"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\78\xterm+noalt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\78\xterm+noapp"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\78\xterm+osc104"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\78\xterm+pc+edit"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\78\xterm+pcc0"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\78\xterm+pcc1"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\78\xterm+pcc2"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\78\xterm+pcc3"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\78\xterm+pce2"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\78\xterm+pcf0"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\78\xterm+pcf2"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\78\xterm+pcfkeys"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\78\xterm+r6f2"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\78\xterm+sl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\78\xterm+sl-twm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\78\xterm+sm+1002"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\78\xterm+sm+1003"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\78\xterm+sm+1005"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\78\xterm+sm+1006"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\78\xterm+titlestack"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\78\xterm+tmux"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\78\xterm+vt+edit"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\78\xterm+x10mouse"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\78\xterm+x11hilite"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\78\xterm+x11mouse"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\78\xterm-1002"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\78\xterm-1003"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\78\xterm-1005"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\78\xterm-1006"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\78\xterm-16color"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\78\xterm-24"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\78\xterm-256color"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\78\xterm-88color"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\78\xterm-8bit"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\78\xterm-basic"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\78\xterm-bold"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\78\xterm-color"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\78\xterm-direct"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\78\xterm-direct2"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\78\xterm-hp"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\78\xterm-mono"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\78\xterm-new"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\78\xterm-nic"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\78\xterm-noapp"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\78\xterm-old"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\78\xterm-pcolor"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\78\xterm-r5"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\78\xterm-r6"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\78\xterm-sco"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\78\xterm-sun"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\78\xterm-utf8"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\78\xterm-vt220"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\78\xterm-vt52"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\78\xterm-x10mouse"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\78\xterm-x11hilite"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\78\xterm-x11mouse"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\78\xterm-xf86-v32"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\78\xterm-xf86-v33"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\78\xterm-xf86-v333"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\78\xterm-xf86-v40"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\78\xterm-xf86-v43"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\78\xterm-xf86-v44"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\78\xterm-xfree86"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\78\xterm-xi"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\78\xterm.js"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\78\xterm1"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\78\xtermc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\78\xtermm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\78\xterms"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\78\xterms-sun"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\73"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\73\screen"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\73\screen+fkeys"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\73\screen+italics"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\73\screen-16color"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\73\screen-16color-bce"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\73\screen-16color-bce-s"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\73\screen-16color-s"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\73\screen-256color"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\73\screen-256color-bce"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\73\screen-256color-bce-s"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\73\screen-256color-s"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\73\screen-bce"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\73\screen-bce.Eterm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\73\screen-bce.gnome"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\73\screen-bce.konsole"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\73\screen-bce.linux"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\73\screen-bce.mrxvt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\73\screen-bce.rxvt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\73\screen-bce.xterm-new"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\73\screen-s"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\73\screen-w"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\73\screen.Eterm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\73\screen.gnome"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\73\screen.konsole"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\73\screen.konsole-256color"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\73\screen.linux"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\73\screen.linux-m1"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\73\screen.linux-m1b"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\73\screen.linux-m2"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\73\screen.minitel1"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\73\screen.minitel1-nb"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\73\screen.minitel12-80"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\73\screen.minitel1b"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\73\screen.minitel1b-80"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\73\screen.minitel1b-nb"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\73\screen.minitel2-80"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\73\screen.mlterm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\73\screen.mlterm-256color"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\73\screen.mrxvt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\73\screen.putty"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\73\screen.putty-256color"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\73\screen.putty-m1"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\73\screen.putty-m1b"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\73\screen.putty-m2"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\73\screen.rxvt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\73\screen.teraterm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\73\screen.vte"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\73\screen.vte-256color"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\73\screen.xterm-256color"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\73\screen.xterm-new"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\73\screen.xterm-r6"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\73\screen.xterm-xfree86"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\73\screen2"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\73\screen3"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\73\screen4"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\73\screen5"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\64"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\64\dumb"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\63"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\terminfo\63\cygwin"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\auto.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\clock.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\history.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\init.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\package.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\parray.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\safe.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\tclConfig.sh"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\tclIndex"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\tm.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\word.tcl"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\opt0.4"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\opt0.4\optparse.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\opt0.4\pkgIndex.tcl"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\af.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\af_za.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\ar.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\ar_in.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\ar_jo.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\ar_lb.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\ar_sy.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\be.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\bg.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\bn.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\bn_in.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\ca.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\cs.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\da.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\de.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\de_at.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\de_be.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\el.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\en_au.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\en_be.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\en_bw.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\en_ca.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\en_gb.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\en_hk.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\en_ie.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\en_in.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\en_nz.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\en_ph.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\en_sg.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\en_za.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\en_zw.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\eo.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\es.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\es_ar.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\es_bo.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\es_cl.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\es_co.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\es_cr.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\es_do.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\es_ec.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\es_gt.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\es_hn.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\es_mx.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\es_ni.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\es_pa.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\es_pe.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\es_pr.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\es_py.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\es_sv.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\es_uy.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\es_ve.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\et.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\eu.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\eu_es.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\fa.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\fa_in.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\fa_ir.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\fi.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\fo.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\fo_fo.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\fr.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\fr_be.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\fr_ca.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\fr_ch.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\ga.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\ga_ie.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\gl.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\gl_es.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\gv.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\gv_gb.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\he.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\hi.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\hi_in.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\hr.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\hu.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\id.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\id_id.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\is.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\it.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\it_ch.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\ja.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\kl.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\kl_gl.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\ko.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\kok.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\kok_in.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\ko_kr.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\kw.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\kw_gb.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\lt.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\lv.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\mk.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\mr.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\mr_in.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\ms.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\ms_my.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\mt.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\nb.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\nl.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\nl_be.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\nn.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\pl.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\pt.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\pt_br.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\ro.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\ru.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\ru_ua.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\sh.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\sk.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\sl.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\sq.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\sr.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\sv.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\sw.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\ta.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\ta_in.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\te.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\te_in.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\th.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\tr.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\uk.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\vi.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\zh.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\zh_cn.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\zh_hk.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\zh_sg.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\msgs\zh_tw.msg"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\http1.0"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\http1.0\http.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\http1.0\pkgIndex.tcl"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\encoding"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\encoding\ascii.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\encoding\big5.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\encoding\cp1250.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\encoding\cp1251.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\encoding\cp1252.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\encoding\cp1253.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\encoding\cp1254.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\encoding\cp1255.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\encoding\cp1256.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\encoding\cp1257.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\encoding\cp1258.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\encoding\cp437.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\encoding\cp737.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\encoding\cp775.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\encoding\cp850.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\encoding\cp852.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\encoding\cp855.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\encoding\cp857.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\encoding\cp860.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\encoding\cp861.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\encoding\cp862.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\encoding\cp863.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\encoding\cp864.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\encoding\cp865.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\encoding\cp866.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\encoding\cp869.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\encoding\cp874.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\encoding\cp932.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\encoding\cp936.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\encoding\cp949.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\encoding\cp950.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\encoding\dingbats.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\encoding\ebcdic.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\encoding\euc-cn.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\encoding\euc-jp.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\encoding\euc-kr.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\encoding\gb12345.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\encoding\gb1988.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\encoding\gb2312-raw.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\encoding\gb2312.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\encoding\iso2022-jp.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\encoding\iso2022-kr.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\encoding\iso2022.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\encoding\iso8859-1.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\encoding\iso8859-10.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\encoding\iso8859-13.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\encoding\iso8859-14.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\encoding\iso8859-15.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\encoding\iso8859-16.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\encoding\iso8859-2.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\encoding\iso8859-3.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\encoding\iso8859-4.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\encoding\iso8859-5.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\encoding\iso8859-6.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\encoding\iso8859-7.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\encoding\iso8859-8.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\encoding\iso8859-9.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\encoding\jis0201.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\encoding\jis0208.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\encoding\jis0212.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\encoding\koi8-r.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\encoding\koi8-u.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\encoding\ksc5601.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\encoding\macCentEuro.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\encoding\macCroatian.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\encoding\macCyrillic.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\encoding\macDingbats.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\encoding\macGreek.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\encoding\macIceland.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\encoding\macJapan.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\encoding\macRoman.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\encoding\macRomania.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\encoding\macThai.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\encoding\macTurkish.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\encoding\macUkraine.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\encoding\shiftjis.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\encoding\symbol.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8.6\encoding\tis-620.enc"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8\8.6"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8\8.6\http-2.9.1.tm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8\8.6\tdbc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8\8.6\tdbc\sqlite3-1.1.1.tm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8\8.5"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8\8.5\msgcat-1.6.1.tm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8\8.5\tcltest-2.5.1.tm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8\8.4"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8\8.4\platform-1.0.14.tm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8\8.4\platform"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tcl8\8.4\platform\shell-1.1.4.tm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\tar"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tar\backup.sh"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tar\dump-remind"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\tar\rmt.exe"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\ssh"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\ssh\sftp-server.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\ssh\ssh-keysign.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\ssh\ssh-pkcs11-helper.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\ssh\ssh-sk-helper.exe"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\sasl2"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\sasl2\msys-anonymous-3.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\sasl2\msys-crammd5-3.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\sasl2\msys-digestmd5-3.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\sasl2\msys-gs2-3.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\sasl2\msys-gssapiv2-3.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\sasl2\msys-otp-3.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\sasl2\msys-plain-3.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\sasl2\msys-scram-3.dll"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\vendor_perl\Clone.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\Term"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\vendor_perl\Term\ReadKey.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\SVN"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\vendor_perl\SVN\Base.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\vendor_perl\SVN\Client.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\vendor_perl\SVN\Core.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\vendor_perl\SVN\Delta.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\vendor_perl\SVN\Fs.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\vendor_perl\SVN\Ra.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\vendor_perl\SVN\Repos.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\vendor_perl\SVN\Wc.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\Net"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\vendor_perl\Net\SSLeay.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\Net\SSLeay"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\vendor_perl\Net\SSLeay\Handle.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\HTML"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\vendor_perl\HTML\Entities.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\vendor_perl\HTML\Filter.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\vendor_perl\HTML\HeadParser.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\vendor_perl\HTML\LinkExtor.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\vendor_perl\HTML\Parser.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\vendor_perl\HTML\PullParser.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\vendor_perl\HTML\TokeParser.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Term\ReadKey"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Term\ReadKey\ReadKey.dll"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\SVN\_Wc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\SVN\_Wc\_Wc.dll"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\SVN\_Repos"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\SVN\_Repos\_Repos.dll"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\SVN\_Ra"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\SVN\_Ra\_Ra.dll"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\SVN\_Fs"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\SVN\_Fs\_Fs.dll"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\SVN\_Delta"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\SVN\_Delta\_Delta.dll"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\SVN\_Core"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\SVN\_Core\_Core.dll"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\SVN\_Client"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\SVN\_Client\_Client.dll"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\autosplit.ix"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\debug_read.al"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\do_https.al"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\do_https2.al"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\do_https3.al"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\do_https4.al"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\do_httpx2.al"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\do_httpx3.al"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\do_httpx4.al"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\dump_peer_certificate.al"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\get_http.al"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\get_http3.al"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\get_http4.al"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\get_https.al"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\get_https3.al"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\get_https4.al"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\get_httpx.al"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\get_httpx3.al"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\get_httpx4.al"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\head_http.al"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\head_http3.al"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\head_http4.al"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\head_https.al"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\head_https3.al"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\head_https4.al"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\head_httpx.al"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\head_httpx3.al"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\head_httpx4.al"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\https_cat.al"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\httpx_cat.al"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\http_cat.al"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\initialize.al"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\make_form.al"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\make_headers.al"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\new_x_ctx.al"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\open_proxy_tcp_connection.al"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\open_tcp_connection.al"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\post_http.al"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\post_http3.al"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\post_http4.al"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\post_https.al"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\post_https3.al"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\post_https4.al"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\post_httpx.al"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\post_httpx3.al"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\post_httpx4.al"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\put_http.al"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\put_http3.al"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\put_http4.al"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\put_https.al"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\put_https3.al"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\put_https4.al"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\put_httpx.al"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\put_httpx3.al"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\put_httpx4.al"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\randomize.al"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\set_cert_and_key.al"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\set_proxy.al"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\set_server_cert_and_key.al"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\sslcat.al"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\SSLeay.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\ssl_read_all.al"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\ssl_read_CRLF.al"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\ssl_read_until.al"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\ssl_write_all.al"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\ssl_write_CRLF.al"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\tcpcat.al"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\tcpxcat.al"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\tcp_read_all.al"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\tcp_read_CRLF.al"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\tcp_read_until.al"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\tcp_write_all.al"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\tcp_write_CRLF.al"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\want_nothing.al"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\want_read.al"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\want_write.al"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\want_X509_lookup.al"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\HTML\Parser"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\HTML\Parser\Parser.dll"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Clone"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Clone\autosplit.ix"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Clone\Clone.dll"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\attributes.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\B.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\Config.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\Config_git.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\Config_heavy.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\Cwd.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\DynaLoader.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\Encode.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\encoding.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\Errno.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\Fcntl.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\IO.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\lib.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\mro.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\NDBM_File.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\O.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\Opcode.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\ops.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\POSIX.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\re.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\SDBM_File.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\Socket.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\Storable.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\threads.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\Win32.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\Win32CORE.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\Win32API"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\Win32API\File.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\Unicode"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\Unicode\Collate.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\Unicode\Normalize.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\Unicode\Collate"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\Unicode\Collate\Locale.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\Time"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\Time\HiRes.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\Time\Piece.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\Time\Seconds.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\threads"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\threads\shared.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\Sys"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\Sys\Hostname.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\Sys\Syslog.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\Sub"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\Sub\Util.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\Scalar"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\Scalar\Util.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\PerlIO"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\PerlIO\encoding.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\PerlIO\mmap.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\PerlIO\scalar.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\PerlIO\via.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\MIME"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\MIME\Base64.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\MIME\QuotedPrint.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\Math\BigInt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\Math\BigInt\FastCalc.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\List"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\List\Util.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\List\Util"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\List\Util\XS.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\IPC"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\IPC\Msg.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\IPC\Semaphore.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\IPC\SharedMem.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\IPC\SysV.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\IO"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\IO\Dir.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\IO\File.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\IO\Handle.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\IO\Pipe.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\IO\Poll.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\IO\Seekable.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\IO\Select.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\IO\Socket.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\IO\Socket"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\IO\Socket\INET.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\IO\Socket\UNIX.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\I18N"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\I18N\Langinfo.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\Hash"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\Hash\Util.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\Hash\Util"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\Hash\Util\FieldHash.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\Filter\Util"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\Filter\Util\Call.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\File"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\File\DosGlob.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\File\Glob.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\File\Spec.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\File\Spec"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\File\Spec\AmigaOS.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\File\Spec\Cygwin.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\File\Spec\Epoc.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\File\Spec\Functions.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\File\Spec\Mac.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\File\Spec\OS2.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\File\Spec\Unix.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\File\Spec\VMS.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\File\Spec\Win32.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\Encode"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\Encode\Alias.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\Encode\Byte.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\Encode\CJKConstants.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\Encode\CN.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\Encode\Config.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\Encode\EBCDIC.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\Encode\Encoder.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\Encode\Encoding.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\Encode\GSM0338.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\Encode\Guess.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\Encode\JP.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\Encode\KR.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\Encode\Symbol.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\Encode\TW.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\Encode\Unicode.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\Encode\Unicode"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\Encode\Unicode\UTF7.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\Encode\MIME"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\Encode\MIME\Header.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\Encode\MIME\Name.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\Encode\MIME\Header"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\Encode\MIME\Header\ISO_2022_JP.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\Encode\KR"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\Encode\KR\2022_KR.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\Encode\JP"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\Encode\JP\H2Z.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\Encode\JP\JIS7.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\Encode\CN"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\Encode\CN\HZ.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\Digest"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\Digest\MD5.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\Digest\SHA.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\Devel"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\Devel\Peek.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\Devel\PPPort.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\Data"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\Data\Dumper.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\CORE"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\CORE\msys-perl5_32.dll"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\Compress\Raw"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\Compress\Raw\Bzip2.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\Compress\Raw\Zlib.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\B"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\B\Concise.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\B\Showlex.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\B\Terse.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\B\Xref.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\XS\Typemap"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\XS\Typemap\Typemap.dll"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\XS\APItest"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\XS\APItest\APItest.dll"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Win32CORE"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Win32CORE\extralibs.ld"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Win32API\File"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Win32API\File\File.dll"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Win32"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Win32\Win32.dll"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Unicode\Normalize"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Unicode\Normalize\Normalize.dll"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Unicode\Collate"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Unicode\Collate\Collate.dll"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Time\Piece"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Time\Piece\Piece.dll"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Time\HiRes"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Time\HiRes\HiRes.dll"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\threads"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\threads\threads.dll"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\threads\shared"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\threads\shared\shared.dll"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Sys\Syslog"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Sys\Syslog\Syslog.dll"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Sys\Hostname"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Sys\Hostname\Hostname.dll"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Storable"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Storable\Storable.dll"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Socket"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Socket\Socket.dll"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\SDBM_File"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\SDBM_File\SDBM_File.dll"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\re"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\re\re.dll"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\POSIX"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\POSIX\POSIX.dll"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\PerlIO\via"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\PerlIO\via\via.dll"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\PerlIO\scalar"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\PerlIO\scalar\scalar.dll"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\PerlIO\mmap"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\PerlIO\mmap\mmap.dll"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\PerlIO\encoding"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\PerlIO\encoding\encoding.dll"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Opcode"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Opcode\Opcode.dll"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\NDBM_File"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\NDBM_File\NDBM_File.dll"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\mro"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\mro\mro.dll"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\MIME\Base64"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\MIME\Base64\Base64.dll"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Math\BigInt\FastCalc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Math\BigInt\FastCalc\FastCalc.dll"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\List\Util"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\List\Util\Util.dll"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\IPC\SysV"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\IPC\SysV\SysV.dll"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\IO"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\IO\IO.dll"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\I18N\Langinfo"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\I18N\Langinfo\Langinfo.dll"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Hash\Util"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Hash\Util\Util.dll"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Hash\Util\FieldHash"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Hash\Util\FieldHash\FieldHash.dll"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Filter\Util\Call"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Filter\Util\Call\Call.dll"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\File\Glob"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\File\Glob\Glob.dll"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\File\DosGlob"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\File\DosGlob\DosGlob.dll"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Fcntl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Fcntl\Fcntl.dll"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Encode"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Encode\Encode.dll"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Encode\Unicode"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Encode\Unicode\Unicode.dll"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Encode\TW"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Encode\TW\TW.dll"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Encode\Symbol"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Encode\Symbol\Symbol.dll"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Encode\KR"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Encode\KR\KR.dll"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Encode\JP"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Encode\JP\JP.dll"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Encode\EBCDIC"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Encode\EBCDIC\EBCDIC.dll"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Encode\CN"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Encode\CN\CN.dll"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Encode\Byte"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Encode\Byte\Byte.dll"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Digest\SHA"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Digest\SHA\SHA.dll"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Digest\MD5"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Digest\MD5\MD5.dll"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Devel\Peek"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Devel\Peek\Peek.dll"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Data\Dumper"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Data\Dumper\Dumper.dll"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Cwd"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Cwd\Cwd.dll"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Compress\Raw\Zlib"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Compress\Raw\Zlib\Zlib.dll"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Compress\Raw\Bzip2"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Compress\Raw\Bzip2\Bzip2.dll"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\B"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\B\B.dll"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\attributes"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\attributes\attributes.dll"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\p11-kit"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\p11-kit\p11-kit-extract-trust"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\openssl\engines-1.1"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\openssl\engines-1.1\capi.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\openssl\engines-1.1\padlock.dll"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\gnupg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\gnupg\gpg-check-pattern.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\gnupg\gpg-preset-passphrase.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\gnupg\gpg-protect-tool.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\gnupg\gpg-wks-client.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\gnupg\scdaemon.exe"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\gettext"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\gettext\cldr-plurals.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\gettext\hostname.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\gettext\project-id"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\gettext\urlget.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\gettext\user-email"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\gawk"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\gawk\filefuncs.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\gawk\fnmatch.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\gawk\fork.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\gawk\inplace.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\gawk\intdiv.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\gawk\ordchr.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\gawk\readdir.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\gawk\readfile.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\gawk\revoutput.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\gawk\revtwoway.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\gawk\rwarray.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\gawk\time.dll"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\lib\awk"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\awk\grcat.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\lib\awk\pwcat.exe"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\etc\profile.d"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\etc\profile.d\gawk.csh"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\etc\profile.d\gawk.sh"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\bin"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\addgnupghome"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\applygnupgdefaults"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\arch.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\astextplain"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\autopoint"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\awk.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\b2sum.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\backup"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\base32.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\base64.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\basename.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\basenc.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\bash.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\bashbug"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\bunzip2.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\bzcat.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\bzcmp"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\bzdiff"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\bzegrep"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\bzfgrep"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\bzgrep"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\bzip2.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\bzip2recover.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\bzless"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\bzmore"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\captoinfo.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\cat.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\chattr.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\chcon.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\chgrp.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\chmod.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\chown.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\chroot.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\cksum.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\clear.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\cmp.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\column.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\comm.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\cp.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\csplit.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\cut.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\cygcheck.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\cygpath.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\cygwin-console-helper.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\c_rehash"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\d2u.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\dash.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\date.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\dd.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\df.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\diff.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\diff3.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\dir.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\dircolors.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\dirmngr-client.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\dirmngr.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\dirname.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\docx2txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\docx2txt.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\dos2unix.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\du.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\dumpsexp.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\echo.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\egrep"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\env.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\envsubst.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\ex.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\expand.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\expr.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\factor.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\false.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\fgrep"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\fido2-assert.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\fido2-cred.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\fido2-token.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\file.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\find.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\findssl.sh"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\fmt.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\fold.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\funzip.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\gapplication.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\gawk-5.0.0.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\gawk.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\gdbus.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\gencat.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\getconf.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\getemojis"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\getfacl.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\getopt.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\gettext.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\gettext.sh"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\gettextize"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\gio-querymodules.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\git-flow"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\git-flow-bugfix"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\git-flow-config"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\git-flow-feature"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\git-flow-hotfix"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\git-flow-init"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\git-flow-log"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\git-flow-release"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\git-flow-support"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\git-flow-version"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\gitflow-common"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\gitflow-shFlags"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\gkill.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\glib-compile-schemas.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\gobject-query.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\gpg-agent.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\gpg-connect-agent.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\gpg-error.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\gpg-wks-server.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\gpg.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\gpgconf.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\gpgparsemail.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\gpgscm.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\gpgsm.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\gpgsplit.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\gpgtar.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\gpgv.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\grep.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\groups.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\gsettings.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\gunzip"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\gzexe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\gzip.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\head.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\hmac256.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\hostid.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\hostname.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\iconv.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\id.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\infocmp.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\infotocap.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\install.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\join.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\kbxutil.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\kill.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\ldd.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\ldh.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\less.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\lessecho.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\lesskey.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\libtcl8.6.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\link.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\ln.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\locale.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\locate.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\logname.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\ls.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\lsattr.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\mac2unix.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\md5sum.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\minidumper.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\mintheme"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\mintty.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\mkdir.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\mkfifo.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\mkgroup.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\mknod.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\mkpasswd.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\mktemp.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\mount.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\mpicalc.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\msgattrib.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\msgcat.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\msgcmp.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\msgcomm.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\msgconv.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\msgen.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\msgexec.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\msgfilter.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\msgfmt.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\msggrep.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\msginit.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\msgmerge.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\msgunfmt.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\msguniq.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\msys-2.0.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\msys-apr-1-0.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\msys-aprutil-1-0.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\msys-asn1-8.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\msys-assuan-0.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\msys-bz2-1.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\msys-cbor-0.8.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\msys-com_err-1.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\msys-crypt-0.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\msys-crypto-1.1.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\msys-edit-0.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\msys-expat-1.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\msys-ffi-7.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\msys-fido2-1.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\msys-gcc_s-seh-1.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\msys-gcrypt-20.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\msys-gettextlib-0-19-8-1.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\msys-gettextsrc-0-19-8-1.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\msys-gio-2.0-0.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\msys-glib-2.0-0.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\msys-gmodule-2.0-0.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\msys-gmp-10.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\msys-gnutls-30.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\msys-gobject-2.0-0.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\msys-gpg-error-0.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\msys-gssapi-3.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\msys-hcrypto-4.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\msys-heimbase-1.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\msys-heimntlm-0.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\msys-hogweed-6.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\msys-hx509-5.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\msys-iconv-2.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\msys-idn2-0.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\msys-intl-8.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\msys-kafs-0.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\msys-krb5-26.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\msys-ksba-8.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\msys-lz4-1.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\msys-magic-1.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\msys-mpfr-6.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\msys-ncursesw6.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\msys-nettle-8.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\msys-npth-0.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\msys-p11-kit-0.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\msys-pcre-1.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\msys-perl5_32.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\msys-psl-5.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\msys-readline8.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\msys-roken-18.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\msys-sasl2-3.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\msys-serf-1-0.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\msys-smartcols-1.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\msys-sqlite3-0.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\msys-ssl-1.1.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\msys-svn_client-1-0.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\msys-svn_delta-1-0.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\msys-svn_diff-1-0.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\msys-svn_fs-1-0.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\msys-svn_fs_fs-1-0.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\msys-svn_fs_util-1-0.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\msys-svn_fs_x-1-0.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\msys-svn_ra-1-0.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\msys-svn_ra_local-1-0.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\msys-svn_ra_serf-1-0.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\msys-svn_ra_svn-1-0.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\msys-svn_repos-1-0.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\msys-svn_subr-1-0.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\msys-svn_swig_perl-1-0.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\msys-svn_wc-1-0.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\msys-tasn1-6.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\msys-ticw6.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\msys-unistring-2.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\msys-uuid-1.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\msys-wind-0.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\msys-z.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\mv.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\nano.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\nettle-hash.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\nettle-lfib-stream.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\nettle-pbkdf2.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\ngettext.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\nice.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\nl.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\nohup.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\notepad"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\nproc.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\numfmt.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\od.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\openssl.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\p11-kit.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\passwd.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\paste.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\patch.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\pathchk.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\perl.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\perl5.32.0.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\pinentry-w32.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\pinentry.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\pinky.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\pkcs1-conv.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\pldd.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\pluginviewer.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\pr.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\printenv.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\printf.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\ps.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\psl-make-dafsa"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\psl.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\ptx.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\pwd.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\readlink.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\realpath.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\rebase.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\rebaseall"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\recode-sr-latin.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\regtool.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\reset.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\restore"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\rm.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\rmdir.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\rnano.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\runcon.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\rview.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\rvim.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\scp.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\sdiff.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\sed.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\seq.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\setfacl.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\setmetamode.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\sexp-conv.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\sftp.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\sh.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\sha1sum.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\sha224sum.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\sha256sum.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\sha384sum.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\sha512sum.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\shred.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\shuf.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\sleep.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\sort.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\split.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\ssh-add.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\ssh-agent.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\ssh-copy-id"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\ssh-keygen.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\ssh-keyscan.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\ssh-pageant.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\ssh.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\sshd.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\ssp.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\start"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\stat.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\strace.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\stty.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\sum.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\sync.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\tabs.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\tac.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\tail.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\tar.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\tclsh.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\tclsh8.6.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\tee.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\test.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\tic.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\tig.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\timeout.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\toe.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\touch.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\tput.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\tr.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\true.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\truncate.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\trust.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\tset.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\tsort.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\tty.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\tzset.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\u2d.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\umount.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\uname.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\uncompress"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\unexpand.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\uniq.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\unix2dos.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\unix2mac.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\unlink.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\unzip.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\unzipsfx.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\update-ca-trust"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\updatedb"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\users.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\vdir.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\vi"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\view.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\vim.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\vimdiff.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\vimtutor"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\watchgnupg.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\wc.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\which.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\who.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\whoami.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\winpty-agent.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\winpty-debugserver.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\winpty.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\winpty.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\wordpad"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\xargs.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\xgettext.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\xxd.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\yat2m.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\yes.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\zcat"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\zcmp"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\zdiff"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\zegrep"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\zfgrep"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\zforce"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\zgrep"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\zipgrep"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\zipinfo.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\zless"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\zmore"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\znew"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\[.exe"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\bin\vendor_perl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\vendor_perl\binhex.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\vendor_perl\debinhex.pl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\vendor_perl\lwp-download"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\vendor_perl\lwp-dump"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\vendor_perl\lwp-mirror"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\vendor_perl\lwp-request"
SetOutPath "$INSTDIR\vendor\git-for-windows\usr\bin\core_perl"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\core_perl\corelist"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\core_perl\cpan"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\core_perl\enc2xs"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\core_perl\encguess"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\core_perl\h2ph"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\core_perl\h2xs"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\core_perl\instmodsh"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\core_perl\json_pp"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\core_perl\libnetcfg"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\core_perl\perlbug"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\core_perl\perldoc"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\core_perl\perlivp"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\core_perl\perlthanks"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\core_perl\piconv"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\core_perl\pl2pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\core_perl\pod2html"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\core_perl\pod2man"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\core_perl\pod2text"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\core_perl\pod2usage"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\core_perl\podchecker"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\core_perl\prove"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\core_perl\ptar"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\core_perl\ptardiff"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\core_perl\ptargrep"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\core_perl\shasum"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\core_perl\splain"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\core_perl\streamzip"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\core_perl\xsubpp"
File ".\Versions\${VERSION}\vendor\git-for-windows\usr\bin\core_perl\zipdetails"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\ssl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\ssl\cert.pem"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\ssl\ct_log_list.cnf"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\ssl\ct_log_list.cnf.dist"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\ssl\openssl.cnf"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\ssl\openssl.cnf.dist"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\ssl\certs"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\ssl\certs\ca-bundle.crt"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\ssl\certs\ca-bundle.trust.crt"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\share\pki\ca-trust-source"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\pki\ca-trust-source\ca-bundle.trust.crt"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\share\pki\ca-trust-legacy"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\pki\ca-trust-legacy\ca-bundle.legacy.default.crt"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\pki\ca-trust-legacy\ca-bundle.legacy.disable.crt"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\share\perl5"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\perl5\Git.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\share\perl5\Git"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\perl5\Git\I18N.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\perl5\Git\IndexInfo.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\perl5\Git\LoadCPAN.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\perl5\Git\Packet.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\perl5\Git\SVN.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\share\perl5\Git\SVN"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\perl5\Git\SVN\Editor.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\perl5\Git\SVN\Fetcher.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\perl5\Git\SVN\GlobSpec.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\perl5\Git\SVN\Log.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\perl5\Git\SVN\Migration.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\perl5\Git\SVN\Prompt.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\perl5\Git\SVN\Ra.pm"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\perl5\Git\SVN\Utils.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\share\perl5\Git\SVN\Memoize"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\perl5\Git\SVN\Memoize\YAML.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\share\perl5\Git\LoadCPAN"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\perl5\Git\LoadCPAN\Error.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\share\perl5\Git\LoadCPAN\Mail"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\perl5\Git\LoadCPAN\Mail\Address.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\share\perl5\FromCPAN"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\perl5\FromCPAN\Error.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\share\perl5\FromCPAN\Mail"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\perl5\FromCPAN\Mail\Address.pm"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\share\licenses\zstd"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\licenses\zstd\LICENSE"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\share\licenses\zlib"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\licenses\zlib\LICENSE"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\share\licenses\xz"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\licenses\xz\COPYING"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\licenses\xz\COPYING.GPLv2"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\licenses\xz\COPYING.GPLv3"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\licenses\xz\COPYING.LGPLv2.1"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\share\licenses\wineditline"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\licenses\wineditline\LICENSE"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\share\licenses\pcre2"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\licenses\pcre2\COPYING"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\licenses\pcre2\LICENCE"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\share\licenses\pcre"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\licenses\pcre\COPYING"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\licenses\pcre\LICENCE"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\share\licenses\openssl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\licenses\openssl\LICENSE"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\share\licenses\libzip"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\licenses\libzip\LICENSE"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\share\licenses\libwinpthread"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\licenses\libwinpthread\COPYING"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\share\licenses\libwinpthread\mingw-w64-libraries\winpthreads"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\licenses\libwinpthread\mingw-w64-libraries\winpthreads\COPYING"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\share\licenses\libunistring"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\licenses\libunistring\LICENSE"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\licenses\libunistring\LICENSE.LIB"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\share\licenses\libtre"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\licenses\libtre\LICENSE"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\share\licenses\libtasn1"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\licenses\libtasn1\LICENSE"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\share\licenses\libsystre"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\licenses\libsystre\LICENSE"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\share\licenses\libssh2"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\licenses\libssh2\LICENSE"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\share\licenses\libiconv"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\licenses\libiconv\COPYING"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\licenses\libiconv\COPYING.LIB"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\licenses\libiconv\README"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\share\licenses\libiconv\libcharset"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\licenses\libiconv\libcharset\COPYING.LIB"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\share\licenses\libffi"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\licenses\libffi\LICENSE"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\share\licenses\jemalloc"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\licenses\jemalloc\COPYING"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\share\licenses\gettext"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\licenses\gettext\COPYING"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\share\licenses\gettext\gnulib-local\lib\libxml"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\licenses\gettext\gnulib-local\lib\libxml\COPYING"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\share\licenses\gettext\gettext-tools"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\licenses\gettext\gettext-tools\COPYING"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\share\licenses\gettext\gettext-tools\gnulib-lib\libxml"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\licenses\gettext\gettext-tools\gnulib-lib\libxml\COPYING"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\share\licenses\gettext\gettext-runtime"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\licenses\gettext\gettext-runtime\COPYING"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\share\licenses\gettext\gettext-runtime\libasprintf"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\licenses\gettext\gettext-runtime\libasprintf\COPYING"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\licenses\gettext\gettext-runtime\libasprintf\COPYING.LIB"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\share\licenses\gettext\gettext-runtime\intl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\licenses\gettext\gettext-runtime\intl\COPYING.LIB"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\share\licenses\gcc-libs"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\licenses\gcc-libs\COPYING.LIB"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\licenses\gcc-libs\COPYING.RUNTIME"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\licenses\gcc-libs\COPYING3"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\licenses\gcc-libs\README"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\share\licenses\expat"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\licenses\expat\COPYING"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\share\licenses\bzip2"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\licenses\bzip2\LICENSE"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\share\licenses\brotli"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\licenses\brotli\LICENSE"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\share\git-gui\lib"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\git-gui\lib\about.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\git-gui\lib\blame.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\git-gui\lib\branch.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\git-gui\lib\branch_checkout.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\git-gui\lib\branch_create.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\git-gui\lib\branch_delete.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\git-gui\lib\branch_rename.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\git-gui\lib\browser.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\git-gui\lib\checkout_op.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\git-gui\lib\choose_font.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\git-gui\lib\choose_repository.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\git-gui\lib\choose_rev.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\git-gui\lib\chord.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\git-gui\lib\class.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\git-gui\lib\commit.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\git-gui\lib\console.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\git-gui\lib\database.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\git-gui\lib\date.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\git-gui\lib\diff.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\git-gui\lib\encoding.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\git-gui\lib\error.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\git-gui\lib\git-gui.ico"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\git-gui\lib\index.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\git-gui\lib\line.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\git-gui\lib\logo.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\git-gui\lib\merge.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\git-gui\lib\mergetool.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\git-gui\lib\option.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\git-gui\lib\remote.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\git-gui\lib\remote_add.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\git-gui\lib\remote_branch_delete.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\git-gui\lib\search.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\git-gui\lib\shortcut.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\git-gui\lib\spellcheck.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\git-gui\lib\sshkey.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\git-gui\lib\status_bar.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\git-gui\lib\tclIndex"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\git-gui\lib\themed.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\git-gui\lib\tools.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\git-gui\lib\tools_dlg.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\git-gui\lib\transport.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\git-gui\lib\win32.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\git-gui\lib\win32_shortcut.js"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\share\git-core\templates"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\git-core\templates\description"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\share\git-core\templates\info"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\git-core\templates\info\exclude"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\share\git-core\templates\hooks"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\git-core\templates\hooks\applypatch-msg.sample"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\git-core\templates\hooks\commit-msg.sample"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\git-core\templates\hooks\fsmonitor-watchman.sample"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\git-core\templates\hooks\post-update.sample"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\git-core\templates\hooks\pre-applypatch.sample"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\git-core\templates\hooks\pre-commit.sample"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\git-core\templates\hooks\pre-merge-commit.sample"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\git-core\templates\hooks\pre-push.sample"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\git-core\templates\hooks\pre-rebase.sample"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\git-core\templates\hooks\pre-receive.sample"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\git-core\templates\hooks\prepare-commit-msg.sample"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\git-core\templates\hooks\update.sample"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\share\git"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\git\builtins.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\git\compat-bash.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\git\edit-git-bash.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\git\git-for-windows.ico"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\git\git-wrapper.exe"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\share\git\completion"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\git\completion\git-completion.bash"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\git\completion\git-completion.tcsh"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\git\completion\git-completion.zsh"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\git\completion\git-prompt.sh"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\share\gettext-0.19.8\its"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\gettext-0.19.8\its\appdata.its"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\gettext-0.19.8\its\appdata.loc"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\gettext-0.19.8\its\glade.loc"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\gettext-0.19.8\its\glade1.its"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\gettext-0.19.8\its\glade2.its"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\gettext-0.19.8\its\gsettings.its"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\gettext-0.19.8\its\gsettings.loc"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\gettext-0.19.8\its\gtkbuilder.its"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\xz"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\xz\AUTHORS"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\xz\COPYING"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\xz\COPYING.GPLv2"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\xz\faq.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\xz\history.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\xz\liblzma.def"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\xz\lzma-file-format.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\xz\NEWS"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\xz\README"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\xz\THANKS"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\xz\TODO"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\xz\xz-file-format.txt"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\xz\examples"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\xz\examples\00_README.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\xz\examples\Makefile"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\nghttp2"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\nghttp2\README.rst"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\mpfr"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\mpfr\AUTHORS"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\mpfr\BUGS"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\mpfr\COPYING"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\mpfr\COPYING.LESSER"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\mpfr\FAQ.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\mpfr\NEWS"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\mpfr\TODO"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\mpfr\examples"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\mpfr\examples\ReadMe"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\jemalloc"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\jemalloc\jemalloc.html"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\gnutls"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\gnutls\gnutls-client-server-use-case.png"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\gnutls\gnutls-handshake-sequence.png"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\gnutls\gnutls-handshake-state.png"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\gnutls\gnutls-internals.png"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\gnutls\gnutls-layers.png"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\gnutls\gnutls-logo.png"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\gnutls\gnutls-modauth.png"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\gnutls\gnutls-x509.png"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\gnutls\pkcs11-vision.png"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-lfs"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-lfs\README.md"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\docbook-xsl.css"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\everyday.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-add.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-am.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-annotate.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-apply.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-archive.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-bash.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-bisect-lk2009.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-bisect.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-blame.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-branch.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-bugreport.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-bundle.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-cat-file.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-check-attr.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-check-ignore.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-check-mailmap.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-check-ref-format.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-checkout-index.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-checkout.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-cherry-pick.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-cherry.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-citool.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-clean.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-clone.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-column.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-commit-graph.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-commit-tree.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-commit.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-config.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-count-objects.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-credential-cache--daemon.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-credential-cache.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-credential-store.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-credential.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-daemon.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-describe.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-diff-files.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-diff-index.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-diff-tree.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-diff.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-difftool.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-fast-export.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-fast-import.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-fetch-pack.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-fetch.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-filter-branch.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-fmt-merge-msg.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-for-each-ref.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-format-patch.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-fsck-objects.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-fsck.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-gc.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-get-tar-commit-id.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-grep.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-gui.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-hash-object.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-help.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-http-backend.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-http-fetch.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-http-push.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-imap-send.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-index-pack.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-init-db.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-init.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-instaweb.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-interpret-trailers.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-log.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-ls-files.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-ls-remote.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-ls-tree.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-mailinfo.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-mailsplit.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-maintenance.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-merge-base.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-merge-file.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-merge-index.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-merge-one-file.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-merge-tree.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-merge.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-mergetool--lib.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-mergetool.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-mktag.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-mktree.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-multi-pack-index.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-mv.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-name-rev.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-notes.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-p4.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-pack-objects.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-pack-redundant.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-pack-refs.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-parse-remote.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-patch-id.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-prune-packed.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-prune.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-pull.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-push.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-quiltimport.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-range-diff.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-read-tree.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-rebase.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-receive-pack.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-reflog.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-remote-ext.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-remote-fd.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-remote-helpers.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-remote.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-repack.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-replace.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-request-pull.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-rerere.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-reset.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-restore.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-rev-list.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-rev-parse.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-revert.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-rm.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-send-email.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-send-pack.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-sh-i18n--envsubst.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-sh-i18n.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-sh-setup.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-shell.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-shortlog.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-show-branch.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-show-index.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-show-ref.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-show.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-sparse-checkout.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-stage.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-stash.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-status.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-stripspace.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-submodule.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-subtree.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-svn.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-switch.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-symbolic-ref.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-tag.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-tools.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-unpack-file.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-unpack-objects.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-update-index.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-update-ref.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-update-server-info.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-upload-archive.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-upload-pack.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-var.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-verify-commit.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-verify-pack.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-verify-tag.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-web--browse.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-whatchanged.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-worktree.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git-write-tree.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\git.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\gitattributes.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\gitcli.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\gitcore-tutorial.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\gitcredentials.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\gitcvs-migration.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\gitdiffcore.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\giteveryday.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\gitfaq.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\gitglossary.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\githooks.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\gitignore.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\gitk.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\gitmodules.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\gitnamespaces.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\gitremote-helpers.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\gitrepository-layout.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\gitrevisions.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\gitsubmodules.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\gittutorial-2.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\gittutorial.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\gitweb.conf.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\gitweb.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\gitworkflows.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\howto-index.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\index.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\MyFirstContribution.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\MyFirstObjectWalk.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\SubmittingPatches.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\user-manual.html"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\technical"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\technical\api-error-handling.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\technical\api-index.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\technical\api-merge.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\technical\api-parse-options.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\technical\api-trace2.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\technical\hash-function-transition.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\technical\http-protocol.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\technical\index-format.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\technical\long-running-process-protocol.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\technical\multi-pack-index.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\technical\pack-format.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\technical\pack-heuristics.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\technical\pack-protocol.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\technical\partial-clone.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\technical\protocol-capabilities.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\technical\protocol-common.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\technical\protocol-v2.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\technical\racy-git.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\technical\reftable.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\technical\send-pack-pipeline.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\technical\shallow.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\technical\signature-format.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\technical\trivial-merge.html"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\howto"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\howto\keep-canonical-history-correct.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\howto\maintain-git.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\howto\new-command.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\howto\rebase-from-internal-branch.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\howto\rebuild-from-update-hook.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\howto\recover-corrupted-blob-object.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\howto\recover-corrupted-object-harder.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\howto\revert-a-faulty-merge.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\howto\revert-branch-rebase.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\howto\separating-topic-branches.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\howto\setup-git-server-over-http.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\howto\update-hook-example.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\howto\use-git-daemon.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\howto\using-merge-subtree.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\git-doc\howto\using-signed-tag-in-pull-request.html"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\expat"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\expat\AUTHORS"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\expat\changelog"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\connect"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\connect\manual.html"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\doc\connect\manual.txt"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\share\antiword"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\antiword\8859-1.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\antiword\8859-10.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\antiword\8859-11.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\antiword\8859-13.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\antiword\8859-14.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\antiword\8859-15.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\antiword\8859-16.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\antiword\8859-2.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\antiword\8859-3.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\antiword\8859-4.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\antiword\8859-5.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\antiword\8859-6.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\antiword\8859-7.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\antiword\8859-8.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\antiword\8859-9.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\antiword\cp1250.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\antiword\cp1251.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\antiword\cp1252.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\antiword\cp437.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\antiword\cp850.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\antiword\cp852.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\antiword\cp862.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\antiword\cp864.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\antiword\cp866.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\antiword\fontnames"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\antiword\koi8-r.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\antiword\koi8-u.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\antiword\MacCyrillic.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\antiword\MacRoman.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\antiword\roman.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\share\antiword\UTF-8.txt"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\Atlassian.Bitbucket.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\Atlassian.Bitbucket.UI.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\Atlassian.Bitbucket.UI.exe.config"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\AzureDevOps.Authentication.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\Bitbucket.Authentication.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\edit.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-add--interactive"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-add.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-am.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-annotate.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-apply.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-archive.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-askpass.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-bisect"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-bisect--helper.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-blame.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-branch.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-bugreport.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-bundle.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-cat-file.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-check-attr.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-check-ignore.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-check-mailmap.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-check-ref-format.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-checkout-index.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-checkout.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-cherry-pick.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-cherry.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-citool"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-clean.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-clone.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-column.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-commit-graph.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-commit-tree.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-commit.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-config.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-count-objects.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-credential-cache--daemon.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-credential-cache.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-credential-manager-core.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-credential-manager-core.exe.config"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-credential-manager.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-credential-store.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-credential-wincred.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-credential.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-daemon.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-describe.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-diff-files.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-diff-index.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-diff-tree.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-diff.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-difftool--helper"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-difftool.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-env--helper.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-fast-export.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-fast-import.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-fetch-pack.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-fetch.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-filter-branch"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-fmt-merge-msg.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-for-each-ref.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-format-patch.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-fsck-objects.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-fsck.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-gc.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-get-tar-commit-id.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-grep.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-gui"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-gui--askpass"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-gui--askyesno"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-gui.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-hash-object.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-help.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-http-backend.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-http-fetch.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-http-push.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-imap-send.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-index-pack.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-init-db.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-init.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-instaweb"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-interpret-trailers.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-log.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-ls-files.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-ls-remote.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-ls-tree.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-mailinfo.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-mailsplit.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-merge-base.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-merge-file.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-merge-index.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-merge-octopus"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-merge-one-file"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-merge-ours.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-merge-recursive.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-merge-resolve"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-merge-subtree.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-merge-tree.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-merge.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-mergetool"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-mergetool--lib"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-mktag.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-mktree.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-multi-pack-index.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-mv.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-name-rev.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-notes.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-p4"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-pack-objects.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-pack-redundant.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-pack-refs.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-parse-remote"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-patch-id.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-prune-packed.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-prune.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-pull.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-push.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-quiltimport"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-range-diff.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-read-tree.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-rebase--preserve-merges"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-rebase.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-receive-pack.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-reflog.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-remote-ext.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-remote-fd.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-remote-ftp.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-remote-ftps.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-remote-http.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-remote-https.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-remote.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-repack.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-replace.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-request-pull"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-rerere.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-reset.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-restore.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-rev-list.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-rev-parse.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-revert.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-rm.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-send-email"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-send-pack.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-sh-i18n"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-sh-i18n--envsubst.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-sh-setup"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-shortlog.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-show-branch.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-show-index.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-show-ref.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-show.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-sparse-checkout.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-stage.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-stash.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-status.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-stripspace.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-submodule"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-submodule--helper.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-subtree"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-svn"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-switch.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-symbolic-ref.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-tag.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-unpack-file.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-unpack-objects.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-update"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-update-git-for-windows"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-update-index.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-update-ref.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-update-server-info.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-upload-archive.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-upload-pack.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-var.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-verify-commit.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-verify-pack.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-verify-tag.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-web--browse"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-whatchanged.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-worktree.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git-write-tree.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\git.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\GitHub.Authentication.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\GitHub.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\GitHub.UI.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\GitHub.UI.exe.config"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\libbrotlicommon.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\libbrotlidec.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\libbz2-1.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\libcares-4.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\libcrypto-1_1-x64.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\libcurl-4.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\libexpat-1.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\libgcc_s_seh-1.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\libgmp-10.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\libhogweed-6.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\libiconv-2.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\libidn2-0.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\libintl-8.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\libjansson-4.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\libjemalloc.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\liblzma-5.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\libmetalink-3.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\libnettle-8.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\libnghttp2-14.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\libpcre-1.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\libpcre2-8-0.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\libpcreposix-0.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\libssh2-1.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\libssl-1_1-x64.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\libssp-0.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\libstdc++-6.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\libtre-5.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\libunistring-2.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\libwinpthread-1.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\libzstd.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\Microsoft.Alm.Authentication.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\Microsoft.AzureRepos.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\Microsoft.Git.CredentialManager.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\Microsoft.Git.CredentialManager.UI.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\Microsoft.Identity.Client.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\Microsoft.Identity.Client.Extensions.Msal.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\Microsoft.IdentityModel.Clients.ActiveDirectory.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\Microsoft.IdentityModel.JsonWebTokens.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\Microsoft.IdentityModel.Logging.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\Microsoft.IdentityModel.Tokens.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\Newtonsoft.Json.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\tcl86.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\tk86.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\zlib1.dll"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\mergetools"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\mergetools\araxis"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\mergetools\bc"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\mergetools\codecompare"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\mergetools\deltawalker"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\mergetools\diffmerge"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\mergetools\diffuse"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\mergetools\ecmerge"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\mergetools\emerge"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\mergetools\examdiff"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\mergetools\guiffy"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\mergetools\gvimdiff"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\mergetools\kdiff3"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\mergetools\kompare"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\mergetools\meld"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\mergetools\nvimdiff"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\mergetools\opendiff"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\mergetools\p4merge"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\mergetools\smerge"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\mergetools\tkdiff"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\mergetools\tortoisemerge"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\mergetools\vimdiff"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\mergetools\winmerge"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\libexec\git-core\mergetools\xxdiff"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\lib"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tclConfig.sh"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tkConfig.sh"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\bgerror.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\button.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\choosedir.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\clrpick.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\comdlg.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\console.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\dialog.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\entry.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\focus.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\fontchooser.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\iconlist.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\icons.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\listbox.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\megawidget.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\menu.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\mkpsenc.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\msgbox.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\obsolete.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\optMenu.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\palette.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\panedwindow.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\pkgIndex.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\safetk.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\scale.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\scrlbar.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\spinbox.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\tclIndex"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\tearoff.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\text.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\tk.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\tkfbox.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\unsupported.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\xmfbox.tcl"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\ttk"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\ttk\altTheme.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\ttk\aquaTheme.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\ttk\button.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\ttk\clamTheme.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\ttk\classicTheme.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\ttk\combobox.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\ttk\cursors.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\ttk\defaults.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\ttk\entry.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\ttk\fonts.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\ttk\menubutton.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\ttk\notebook.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\ttk\panedwindow.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\ttk\progress.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\ttk\scale.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\ttk\scrollbar.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\ttk\sizegrip.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\ttk\spinbox.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\ttk\treeview.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\ttk\ttk.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\ttk\utils.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\ttk\vistaTheme.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\ttk\winTheme.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\ttk\xpTheme.tcl"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\msgs"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\msgs\cs.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\msgs\da.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\msgs\de.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\msgs\el.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\msgs\en.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\msgs\en_gb.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\msgs\eo.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\msgs\es.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\msgs\fr.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\msgs\hu.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\msgs\it.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\msgs\nl.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\msgs\pl.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\msgs\pt.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\msgs\ru.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\msgs\sv.msg"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\images"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\images\logo.eps"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\images\logo100.gif"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\images\logo64.gif"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\images\logoLarge.gif"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\images\logoMed.gif"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\images\pwrdLogo.eps"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\images\pwrdLogo100.gif"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\images\pwrdLogo150.gif"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\images\pwrdLogo175.gif"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\images\pwrdLogo200.gif"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\images\pwrdLogo75.gif"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\images\README"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\images\tai-ku.gif"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\demos"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\demos\anilabel.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\demos\aniwave.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\demos\arrow.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\demos\bind.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\demos\bitmap.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\demos\browse"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\demos\button.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\demos\check.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\demos\clrpick.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\demos\colors.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\demos\combo.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\demos\cscroll.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\demos\ctext.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\demos\dialog1.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\demos\dialog2.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\demos\en.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\demos\entry1.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\demos\entry2.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\demos\entry3.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\demos\filebox.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\demos\floor.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\demos\fontchoose.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\demos\form.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\demos\goldberg.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\demos\hello"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\demos\hscale.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\demos\icon.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\demos\image1.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\demos\image2.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\demos\items.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\demos\ixset"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\demos\knightstour.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\demos\label.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\demos\labelframe.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\demos\license.terms"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\demos\mclist.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\demos\menu.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\demos\menubu.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\demos\msgbox.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\demos\nl.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\demos\paned1.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\demos\paned2.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\demos\pendulum.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\demos\plot.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\demos\puzzle.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\demos\radio.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\demos\README"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\demos\rmt"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\demos\rolodex"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\demos\ruler.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\demos\sayings.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\demos\search.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\demos\spin.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\demos\states.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\demos\style.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\demos\tclIndex"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\demos\tcolor"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\demos\text.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\demos\textpeer.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\demos\timer"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\demos\toolbar.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\demos\tree.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\demos\ttkbut.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\demos\ttkmenu.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\demos\ttknote.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\demos\ttkpane.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\demos\ttkprogress.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\demos\ttkscale.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\demos\twind.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\demos\unicodeout.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\demos\vscale.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\demos\widget"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\demos\images"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\demos\images\earth.gif"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\demos\images\earthmenu.png"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\demos\images\earthris.gif"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\demos\images\flagdown.xbm"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\demos\images\flagup.xbm"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\demos\images\gray25.xbm"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\demos\images\letters.xbm"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\demos\images\noletter.xbm"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\demos\images\ouster.png"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\demos\images\pattern.xbm"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\demos\images\tcllogo.gif"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tk8.6\demos\images\teapot.ppm"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\lib\thread2.8.5"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\thread2.8.5\pkgIndex.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\thread2.8.5\thread285.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\thread2.8.5\ttrace.tcl"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\auto.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\clock.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\history.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\init.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\package.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\parray.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\safe.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tclIndex"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tm.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\word.tcl"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\CET"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\CST6CDT"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Cuba"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\EET"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Egypt"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Eire"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\EST"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\EST5EDT"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\GB"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\GB-Eire"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\GMT"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\GMT+0"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\GMT-0"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\GMT0"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Greenwich"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Hongkong"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\HST"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Iceland"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Iran"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Israel"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Jamaica"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Japan"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Kwajalein"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Libya"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\MET"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\MST"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\MST7MDT"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Navajo"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\NZ"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\NZ-CHAT"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Poland"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Portugal"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\PRC"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\PST8PDT"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\ROC"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\ROK"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Singapore"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Turkey"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\UCT"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Universal"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\UTC"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\W-SU"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\WET"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Zulu"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\US"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\US\Alaska"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\US\Aleutian"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\US\Arizona"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\US\Central"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\US\East-Indiana"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\US\Eastern"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\US\Hawaii"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\US\Indiana-Starke"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\US\Michigan"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\US\Mountain"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\US\Pacific"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\US\Pacific-New"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\US\Samoa"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\SystemV"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\SystemV\AST4"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\SystemV\AST4ADT"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\SystemV\CST6"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\SystemV\CST6CDT"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\SystemV\EST5"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\SystemV\EST5EDT"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\SystemV\HST10"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\SystemV\MST7"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\SystemV\MST7MDT"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\SystemV\PST8"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\SystemV\PST8PDT"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\SystemV\YST9"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\SystemV\YST9YDT"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Pacific"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Pacific\Apia"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Pacific\Auckland"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Pacific\Bougainville"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Pacific\Chatham"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Pacific\Chuuk"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Pacific\Easter"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Pacific\Efate"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Pacific\Enderbury"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Pacific\Fakaofo"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Pacific\Fiji"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Pacific\Funafuti"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Pacific\Galapagos"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Pacific\Gambier"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Pacific\Guadalcanal"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Pacific\Guam"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Pacific\Honolulu"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Pacific\Johnston"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Pacific\Kiritimati"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Pacific\Kosrae"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Pacific\Kwajalein"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Pacific\Majuro"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Pacific\Marquesas"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Pacific\Midway"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Pacific\Nauru"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Pacific\Niue"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Pacific\Norfolk"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Pacific\Noumea"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Pacific\Pago_Pago"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Pacific\Palau"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Pacific\Pitcairn"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Pacific\Pohnpei"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Pacific\Ponape"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Pacific\Port_Moresby"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Pacific\Rarotonga"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Pacific\Saipan"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Pacific\Samoa"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Pacific\Tahiti"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Pacific\Tarawa"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Pacific\Tongatapu"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Pacific\Truk"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Pacific\Wake"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Pacific\Wallis"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Pacific\Yap"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Mexico"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Mexico\BajaNorte"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Mexico\BajaSur"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Mexico\General"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Indian"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Indian\Antananarivo"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Indian\Chagos"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Indian\Christmas"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Indian\Cocos"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Indian\Comoro"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Indian\Kerguelen"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Indian\Mahe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Indian\Maldives"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Indian\Mauritius"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Indian\Mayotte"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Indian\Reunion"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Amsterdam"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Andorra"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Astrakhan"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Athens"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Belfast"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Belgrade"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Berlin"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Bratislava"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Brussels"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Bucharest"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Budapest"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Busingen"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Chisinau"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Copenhagen"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Dublin"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Gibraltar"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Guernsey"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Helsinki"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Isle_of_Man"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Istanbul"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Jersey"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Kaliningrad"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Kiev"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Kirov"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Lisbon"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Ljubljana"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\London"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Luxembourg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Madrid"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Malta"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Mariehamn"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Minsk"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Monaco"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Moscow"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Nicosia"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Oslo"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Paris"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Podgorica"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Prague"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Riga"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Rome"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Samara"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\San_Marino"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Sarajevo"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Saratov"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Simferopol"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Skopje"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Sofia"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Stockholm"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Tallinn"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Tirane"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Tiraspol"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Ulyanovsk"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Uzhgorod"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Vaduz"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Vatican"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Vienna"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Vilnius"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Volgograd"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Warsaw"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Zagreb"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Zaporozhye"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Zurich"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Etc"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Etc\GMT"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Etc\GMT+0"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Etc\GMT+1"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Etc\GMT+10"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Etc\GMT+11"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Etc\GMT+12"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Etc\GMT+2"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Etc\GMT+3"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Etc\GMT+4"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Etc\GMT+5"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Etc\GMT+6"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Etc\GMT+7"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Etc\GMT+8"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Etc\GMT+9"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Etc\GMT-0"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Etc\GMT-1"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Etc\GMT-10"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Etc\GMT-11"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Etc\GMT-12"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Etc\GMT-13"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Etc\GMT-14"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Etc\GMT-2"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Etc\GMT-3"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Etc\GMT-4"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Etc\GMT-5"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Etc\GMT-6"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Etc\GMT-7"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Etc\GMT-8"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Etc\GMT-9"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Etc\GMT0"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Etc\Greenwich"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Etc\UCT"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Etc\Universal"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Etc\UTC"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Etc\Zulu"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Chile"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Chile\Continental"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Chile\EasterIsland"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Canada"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Canada\Atlantic"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Canada\Central"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Canada\East-Saskatchewan"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Canada\Eastern"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Canada\Mountain"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Canada\Newfoundland"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Canada\Pacific"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Canada\Saskatchewan"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Canada\Yukon"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Brazil"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Brazil\Acre"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Brazil\DeNoronha"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Brazil\East"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Brazil\West"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Australia"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Australia\ACT"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Australia\Adelaide"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Australia\Brisbane"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Australia\Broken_Hill"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Australia\Canberra"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Australia\Currie"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Australia\Darwin"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Australia\Eucla"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Australia\Hobart"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Australia\LHI"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Australia\Lindeman"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Australia\Lord_Howe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Australia\Melbourne"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Australia\North"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Australia\NSW"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Australia\Perth"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Australia\Queensland"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Australia\South"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Australia\Sydney"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Australia\Tasmania"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Australia\Victoria"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Australia\West"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Australia\Yancowinna"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Atlantic"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Atlantic\Azores"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Atlantic\Bermuda"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Atlantic\Canary"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Atlantic\Cape_Verde"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Atlantic\Faeroe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Atlantic\Faroe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Atlantic\Jan_Mayen"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Atlantic\Madeira"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Atlantic\Reykjavik"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Atlantic\South_Georgia"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Atlantic\Stanley"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Atlantic\St_Helena"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Aden"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Almaty"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Amman"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Anadyr"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Aqtau"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Aqtobe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Ashgabat"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Ashkhabad"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Atyrau"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Baghdad"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Bahrain"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Baku"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Bangkok"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Barnaul"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Beirut"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Bishkek"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Brunei"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Calcutta"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Chita"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Choibalsan"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Chongqing"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Chungking"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Colombo"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Dacca"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Damascus"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Dhaka"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Dili"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Dubai"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Dushanbe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Famagusta"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Gaza"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Harbin"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Hebron"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Hong_Kong"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Hovd"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Ho_Chi_Minh"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Irkutsk"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Istanbul"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Jakarta"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Jayapura"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Jerusalem"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Kabul"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Kamchatka"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Karachi"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Kashgar"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Kathmandu"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Katmandu"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Khandyga"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Kolkata"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Krasnoyarsk"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Kuala_Lumpur"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Kuching"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Kuwait"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Macao"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Macau"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Magadan"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Makassar"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Manila"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Muscat"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Nicosia"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Novokuznetsk"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Novosibirsk"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Omsk"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Oral"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Phnom_Penh"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Pontianak"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Pyongyang"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Qatar"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Qostanay"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Qyzylorda"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Rangoon"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Riyadh"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Saigon"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Sakhalin"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Samarkand"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Seoul"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Shanghai"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Singapore"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Srednekolymsk"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Taipei"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Tashkent"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Tbilisi"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Tehran"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Tel_Aviv"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Thimbu"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Thimphu"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Tokyo"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Tomsk"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Ujung_Pandang"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Ulaanbaatar"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Ulan_Bator"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Urumqi"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Ust-Nera"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Vientiane"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Vladivostok"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Yakutsk"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Yangon"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Yekaterinburg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Yerevan"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Arctic"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Arctic\Longyearbyen"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Antarctica"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Antarctica\Casey"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Antarctica\Davis"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Antarctica\DumontDUrville"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Antarctica\Macquarie"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Antarctica\Mawson"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Antarctica\McMurdo"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Antarctica\Palmer"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Antarctica\Rothera"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Antarctica\South_Pole"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Antarctica\Syowa"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Antarctica\Troll"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Antarctica\Vostok"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Adak"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Anchorage"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Anguilla"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Antigua"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Araguaina"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Aruba"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Asuncion"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Atikokan"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Atka"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Bahia"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Bahia_Banderas"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Barbados"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Belem"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Belize"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Blanc-Sablon"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Boa_Vista"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Bogota"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Boise"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Buenos_Aires"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Cambridge_Bay"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Campo_Grande"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Cancun"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Caracas"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Catamarca"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Cayenne"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Cayman"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Chicago"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Chihuahua"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Coral_Harbour"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Cordoba"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Costa_Rica"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Creston"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Cuiaba"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Curacao"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Danmarkshavn"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Dawson"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Dawson_Creek"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Denver"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Detroit"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Dominica"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Edmonton"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Eirunepe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\El_Salvador"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Ensenada"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Fortaleza"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Fort_Nelson"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Fort_Wayne"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Glace_Bay"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Godthab"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Goose_Bay"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Grand_Turk"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Grenada"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Guadeloupe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Guatemala"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Guayaquil"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Guyana"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Halifax"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Havana"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Hermosillo"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Indianapolis"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Inuvik"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Iqaluit"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Jamaica"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Jujuy"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Juneau"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Knox_IN"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Kralendijk"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\La_Paz"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Lima"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Los_Angeles"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Louisville"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Lower_Princes"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Maceio"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Managua"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Manaus"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Marigot"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Martinique"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Matamoros"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Mazatlan"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Mendoza"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Menominee"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Merida"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Metlakatla"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Mexico_City"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Miquelon"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Moncton"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Monterrey"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Montevideo"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Montreal"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Montserrat"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Nassau"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\New_York"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Nipigon"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Nome"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Noronha"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Ojinaga"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Panama"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Pangnirtung"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Paramaribo"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Phoenix"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Port-au-Prince"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Porto_Acre"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Porto_Velho"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Port_of_Spain"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Puerto_Rico"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Punta_Arenas"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Rainy_River"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Rankin_Inlet"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Recife"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Regina"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Resolute"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Rio_Branco"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Rosario"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Santarem"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Santa_Isabel"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Santiago"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Santo_Domingo"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Sao_Paulo"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Scoresbysund"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Shiprock"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Sitka"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\St_Barthelemy"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\St_Johns"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\St_Kitts"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\St_Lucia"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\St_Thomas"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\St_Vincent"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Swift_Current"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Tegucigalpa"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Thule"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Thunder_Bay"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Tijuana"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Toronto"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Tortola"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Vancouver"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Virgin"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Whitehorse"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Winnipeg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Yakutat"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Yellowknife"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\North_Dakota"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\North_Dakota\Beulah"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\North_Dakota\Center"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\North_Dakota\New_Salem"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Kentucky"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Kentucky\Louisville"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Kentucky\Monticello"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Indiana"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Indiana\Indianapolis"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Indiana\Knox"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Indiana\Marengo"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Indiana\Petersburg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Indiana\Tell_City"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Indiana\Vevay"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Indiana\Vincennes"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Indiana\Winamac"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Argentina"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Argentina\Buenos_Aires"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Argentina\Catamarca"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Argentina\ComodRivadavia"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Argentina\Cordoba"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Argentina\Jujuy"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Argentina\La_Rioja"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Argentina\Mendoza"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Argentina\Rio_Gallegos"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Argentina\Salta"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Argentina\San_Juan"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Argentina\San_Luis"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Argentina\Tucuman"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Argentina\Ushuaia"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa\Abidjan"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa\Accra"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa\Addis_Ababa"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa\Algiers"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa\Asmara"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa\Asmera"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa\Bamako"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa\Bangui"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa\Banjul"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa\Bissau"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa\Blantyre"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa\Brazzaville"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa\Bujumbura"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa\Cairo"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa\Casablanca"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa\Ceuta"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa\Conakry"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa\Dakar"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa\Dar_es_Salaam"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa\Djibouti"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa\Douala"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa\El_Aaiun"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa\Freetown"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa\Gaborone"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa\Harare"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa\Johannesburg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa\Juba"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa\Kampala"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa\Khartoum"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa\Kigali"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa\Kinshasa"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa\Lagos"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa\Libreville"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa\Lome"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa\Luanda"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa\Lubumbashi"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa\Lusaka"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa\Malabo"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa\Maputo"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa\Maseru"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa\Mbabane"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa\Mogadishu"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa\Monrovia"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa\Nairobi"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa\Ndjamena"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa\Niamey"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa\Nouakchott"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa\Ouagadougou"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa\Porto-Novo"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa\Sao_Tome"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa\Timbuktu"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa\Tripoli"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa\Tunis"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa\Windhoek"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\opt0.4"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\opt0.4\optparse.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\opt0.4\pkgIndex.tcl"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\af.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\af_za.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\ar.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\ar_in.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\ar_jo.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\ar_lb.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\ar_sy.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\be.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\bg.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\bn.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\bn_in.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\ca.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\cs.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\da.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\de.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\de_at.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\de_be.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\el.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\en_au.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\en_be.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\en_bw.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\en_ca.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\en_gb.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\en_hk.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\en_ie.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\en_in.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\en_nz.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\en_ph.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\en_sg.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\en_za.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\en_zw.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\eo.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\es.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\es_ar.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\es_bo.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\es_cl.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\es_co.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\es_cr.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\es_do.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\es_ec.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\es_gt.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\es_hn.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\es_mx.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\es_ni.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\es_pa.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\es_pe.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\es_pr.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\es_py.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\es_sv.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\es_uy.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\es_ve.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\et.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\eu.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\eu_es.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\fa.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\fa_in.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\fa_ir.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\fi.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\fo.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\fo_fo.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\fr.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\fr_be.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\fr_ca.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\fr_ch.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\ga.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\ga_ie.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\gl.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\gl_es.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\gv.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\gv_gb.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\he.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\hi.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\hi_in.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\hr.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\hu.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\id.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\id_id.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\is.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\it.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\it_ch.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\ja.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\kl.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\kl_gl.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\ko.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\kok.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\kok_in.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\ko_kr.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\kw.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\kw_gb.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\lt.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\lv.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\mk.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\mr.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\mr_in.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\ms.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\ms_my.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\mt.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\nb.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\nl.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\nl_be.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\nn.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\pl.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\pt.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\pt_br.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\ro.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\ru.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\ru_ua.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\sh.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\sk.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\sl.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\sq.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\sr.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\sv.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\sw.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\ta.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\ta_in.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\te.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\te_in.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\th.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\tr.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\uk.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\vi.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\zh.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\zh_cn.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\zh_hk.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\zh_sg.msg"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\zh_tw.msg"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\http1.0"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\http1.0\http.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\http1.0\pkgIndex.tcl"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\ascii.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\big5.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\cp1250.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\cp1251.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\cp1252.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\cp1253.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\cp1254.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\cp1255.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\cp1256.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\cp1257.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\cp1258.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\cp437.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\cp737.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\cp775.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\cp850.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\cp852.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\cp855.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\cp857.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\cp860.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\cp861.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\cp862.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\cp863.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\cp864.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\cp865.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\cp866.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\cp869.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\cp874.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\cp932.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\cp936.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\cp949.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\cp950.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\dingbats.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\ebcdic.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\euc-cn.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\euc-jp.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\euc-kr.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\gb12345.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\gb1988.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\gb2312-raw.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\gb2312.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\iso2022-jp.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\iso2022-kr.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\iso2022.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\iso8859-1.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\iso8859-10.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\iso8859-13.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\iso8859-14.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\iso8859-15.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\iso8859-16.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\iso8859-2.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\iso8859-3.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\iso8859-4.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\iso8859-5.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\iso8859-6.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\iso8859-7.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\iso8859-8.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\iso8859-9.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\jis0201.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\jis0208.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\jis0212.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\koi8-r.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\koi8-u.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\ksc5601.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\macCentEuro.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\macCroatian.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\macCyrillic.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\macDingbats.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\macGreek.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\macIceland.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\macJapan.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\macRoman.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\macRomania.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\macThai.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\macTurkish.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\macUkraine.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\shiftjis.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\symbol.enc"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\tis-620.enc"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8\tclConfig.sh"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8\8.6"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8\8.6\http-2.9.1.tm"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8\8.6\tdbc"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8\8.6\tdbc\sqlite3-1.1.1.tm"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8\8.5"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8\8.5\msgcat-1.6.1.tm"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8\8.5\tcltest-2.5.1.tm"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8\8.4"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8\8.4\platform-1.0.14.tm"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8\8.4\platform"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\tcl8\8.4\platform\shell-1.1.4.tm"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\lib\reg1.3"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\reg1.3\pkgIndex.tcl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\reg1.3\tclreg13.dll"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\lib\p11-kit"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\p11-kit\p11-kit-extract-trust"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\lib\engines-1_1"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\engines-1_1\capi.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\lib\engines-1_1\padlock.dll"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\etc\pki\ca-trust\extracted\pem"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\etc\pki\ca-trust\extracted\pem\email-ca-bundle.pem"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\etc\pki\ca-trust\extracted\pem\objsign-ca-bundle.pem"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\etc\pki\ca-trust\extracted\pem\tls-ca-bundle.pem"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\etc\pki\ca-trust\extracted\openssl"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\etc\pki\ca-trust\extracted\openssl\ca-bundle.trust.crt"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\etc\pki\ca-trust\extracted\java"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\etc\pki\ca-trust\extracted\java\cacerts"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\doc\git-credential-manager-core"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\doc\git-credential-manager-core\LICENSE"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\doc\git-credential-manager-core\NOTICE"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\doc\git-credential-manager-core\README.md"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\doc\git-credential-manager"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\doc\git-credential-manager\LICENSE.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\doc\git-credential-manager\README.md"
SetOutPath "$INSTDIR\vendor\git-for-windows\mingw64\bin"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\bin\acountry.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\bin\adig.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\bin\ahost.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\bin\antiword.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\bin\blocked-file-util.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\bin\brotli.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\bin\bunzip2.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\bin\bzcat.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\bin\bzcmp"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\bin\bzdiff"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\bin\bzegrep"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\bin\bzfgrep"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\bin\bzgrep"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\bin\bzip2.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\bin\bzip2recover.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\bin\bzless"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\bin\bzmore"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\bin\connect.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\bin\create-shortcut.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\bin\curl.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\bin\edit.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\bin\edit_test.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\bin\edit_test_dll.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\bin\envsubst.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\bin\gettext.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\bin\gettext.sh"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\bin\gettextize"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\bin\git-askyesno.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\bin\git-credential-helper-selector.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\bin\git-lfs.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\bin\git-receive-pack.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\bin\git-upload-archive.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\bin\git-upload-pack.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\bin\git.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\bin\gitk"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\bin\jemalloc.sh"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\bin\jeprof"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\bin\libbrotlicommon.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\bin\libbrotlidec.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\bin\libbz2-1.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\bin\libcares-4.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\bin\libcrypto-1_1-x64.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\bin\libcurl-4.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\bin\libexpat-1.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\bin\libgcc_s_seh-1.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\bin\libgmp-10.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\bin\libhogweed-6.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\bin\libiconv-2.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\bin\libidn2-0.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\bin\libintl-8.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\bin\libjansson-4.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\bin\libjemalloc.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\bin\liblzma-5.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\bin\libmetalink-3.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\bin\libnettle-8.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\bin\libnghttp2-14.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\bin\libpcre-1.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\bin\libpcre2-8-0.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\bin\libpcreposix-0.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\bin\libssh2-1.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\bin\libssl-1_1-x64.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\bin\libssp-0.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\bin\libstdc++-6.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\bin\libtre-5.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\bin\libunistring-2.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\bin\libwinpthread-1.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\bin\libzstd.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\bin\lzmadec.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\bin\lzmainfo.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\bin\odt2txt.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\bin\openssl.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\bin\pcre2-config"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\bin\pdftotext.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\bin\pkcs1-conv.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\bin\proxy-lookup.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\bin\sexp-conv.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\bin\sqlite3_analyzer.sh"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\bin\tcl86.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\bin\tclsh.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\bin\tclsh86.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\bin\tk86.dll"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\bin\unxz.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\bin\update-ca-trust"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\bin\WhoUses.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\bin\wish.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\bin\wish86.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\bin\x86_64-w64-mingw32-agrep.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\bin\x86_64-w64-mingw32-deflatehd.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\bin\x86_64-w64-mingw32-inflatehd.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\bin\xmlwf.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\bin\xz.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\bin\xzcat.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\bin\xzcmp"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\bin\xzdec.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\bin\xzdiff"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\bin\xzegrep"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\bin\xzfgrep"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\bin\xzgrep"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\bin\xzless"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\bin\xzmore"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\bin\zipcmp.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\bin\zipmerge.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\bin\ziptool.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\mingw64\bin\zlib1.dll"
SetOutPath "$INSTDIR\vendor\git-for-windows\etc"
File ".\Versions\${VERSION}\vendor\git-for-windows\etc\bash.bashrc"
File ".\Versions\${VERSION}\vendor\git-for-windows\etc\bash.bash_logout"
File ".\Versions\${VERSION}\vendor\git-for-windows\etc\DIR_COLORS"
File ".\Versions\${VERSION}\vendor\git-for-windows\etc\docx2txt.config"
File ".\Versions\${VERSION}\vendor\git-for-windows\etc\fstab"
File ".\Versions\${VERSION}\vendor\git-for-windows\etc\gitattributes"
File ".\Versions\${VERSION}\vendor\git-for-windows\etc\gitconfig"
File ".\Versions\${VERSION}\vendor\git-for-windows\etc\inputrc"
File ".\Versions\${VERSION}\vendor\git-for-windows\etc\msystem"
File ".\Versions\${VERSION}\vendor\git-for-windows\etc\nanorc"
File ".\Versions\${VERSION}\vendor\git-for-windows\etc\nsswitch.conf"
File ".\Versions\${VERSION}\vendor\git-for-windows\etc\package-versions.txt"
File ".\Versions\${VERSION}\vendor\git-for-windows\etc\profile"
File ".\Versions\${VERSION}\vendor\git-for-windows\etc\tigrc"
File ".\Versions\${VERSION}\vendor\git-for-windows\etc\vimrc"
SetOutPath "$INSTDIR\vendor\git-for-windows\etc\ssh"
File ".\Versions\${VERSION}\vendor\git-for-windows\etc\ssh\moduli"
File ".\Versions\${VERSION}\vendor\git-for-windows\etc\ssh\sshd_config"
File ".\Versions\${VERSION}\vendor\git-for-windows\etc\ssh\ssh_config"
SetOutPath "$INSTDIR\vendor\git-for-windows\etc\profile.d"
File ".\Versions\${VERSION}\vendor\git-for-windows\etc\profile.d\aliases.sh"
File ".\Versions\${VERSION}\vendor\git-for-windows\etc\profile.d\bash_profile.sh"
File ".\Versions\${VERSION}\vendor\git-for-windows\etc\profile.d\cmder.sh"
File ".\Versions\${VERSION}\vendor\git-for-windows\etc\profile.d\env.sh"
File ".\Versions\${VERSION}\vendor\git-for-windows\etc\profile.d\git-prompt.sh"
File ".\Versions\${VERSION}\vendor\git-for-windows\etc\profile.d\git-prompt.sh.bak"
File ".\Versions\${VERSION}\vendor\git-for-windows\etc\profile.d\lang.sh"
File ".\Versions\${VERSION}\vendor\git-for-windows\etc\profile.d\perlbin.csh"
File ".\Versions\${VERSION}\vendor\git-for-windows\etc\profile.d\perlbin.sh"
SetOutPath "$INSTDIR\vendor\git-for-windows\etc\post-install"
File ".\Versions\${VERSION}\vendor\git-for-windows\etc\post-install\01-devices.post"
File ".\Versions\${VERSION}\vendor\git-for-windows\etc\post-install\03-mtab.post"
File ".\Versions\${VERSION}\vendor\git-for-windows\etc\post-install\06-windows-files.post"
File ".\Versions\${VERSION}\vendor\git-for-windows\etc\post-install\13-copy-dlls.post"
File ".\Versions\${VERSION}\vendor\git-for-windows\etc\post-install\99-post-install-cleanup.post"
SetOutPath "$INSTDIR\vendor\git-for-windows\etc\pki\ca-trust\extracted\pem"
File ".\Versions\${VERSION}\vendor\git-for-windows\etc\pki\ca-trust\extracted\pem\email-ca-bundle.pem"
File ".\Versions\${VERSION}\vendor\git-for-windows\etc\pki\ca-trust\extracted\pem\objsign-ca-bundle.pem"
File ".\Versions\${VERSION}\vendor\git-for-windows\etc\pki\ca-trust\extracted\pem\tls-ca-bundle.pem"
SetOutPath "$INSTDIR\vendor\git-for-windows\etc\pki\ca-trust\extracted\openssl"
File ".\Versions\${VERSION}\vendor\git-for-windows\etc\pki\ca-trust\extracted\openssl\ca-bundle.trust.crt"
SetOutPath "$INSTDIR\vendor\git-for-windows\etc\pki\ca-trust\extracted\java"
File ".\Versions\${VERSION}\vendor\git-for-windows\etc\pki\ca-trust\extracted\java\cacerts"
SetOutPath "$INSTDIR\vendor\git-for-windows\etc\pkcs11"
File ".\Versions\${VERSION}\vendor\git-for-windows\etc\pkcs11\pkcs11.conf.example"
SetOutPath "$INSTDIR\vendor\git-for-windows\cmd"
File ".\Versions\${VERSION}\vendor\git-for-windows\cmd\git-gui.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\cmd\git.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\cmd\gitk.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\cmd\start-ssh-agent.cmd"
File ".\Versions\${VERSION}\vendor\git-for-windows\cmd\start-ssh-pageant.cmd"
SetOutPath "$INSTDIR\vendor\git-for-windows\bin"
File ".\Versions\${VERSION}\vendor\git-for-windows\bin\bash.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\bin\git.exe"
File ".\Versions\${VERSION}\vendor\git-for-windows\bin\sh.exe"
SetOutPath "$INSTDIR\vendor\conemu-maximus5"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\.cmderver"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu.exe"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu.map"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu64.exe"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu64.map"
SetOutPath "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\ConEmu.dll"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\ConEmu.map"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\ConEmu.x64.dll"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\ConEmu.x64.map"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\ConEmuPlugin_en.lng"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\ConEmuPlugin_ru.lng"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\Readme.txt"
SetOutPath "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Thumbs"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\Thumbs\ConEmuTh.dll"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\Thumbs\ConEmuTh.map"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\Thumbs\ConEmuTh.x64.dll"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\Thumbs\ConEmuTh.x64.map"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\Thumbs\ConEmuTh_en.lng"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\Thumbs\ConEmuTh_ru.lng"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\Thumbs\gdi+.t32"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\Thumbs\gdi+.t32.map"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\Thumbs\gdi+.t64"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\Thumbs\gdi+.t64.map"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\Thumbs\ico.t32"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\Thumbs\ico.t32.map"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\Thumbs\ico.t64"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\Thumbs\ico.t64.map"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\Thumbs\pe.t32"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\Thumbs\pe.t32.map"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\Thumbs\pe.t64"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\Thumbs\pe.t64.map"
SetOutPath "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Lines"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\Lines\ConEmuLn.dll"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\Lines\ConEmuLn.map"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\Lines\ConEmuLn.x64.dll"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\Lines\ConEmuLn.x64.map"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\Lines\ConEmuLn_en.lng"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\Lines\ConEmuLn_ru.lng"
SetOutPath "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Background"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\Background\Background.xml"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\Background\ConEmuBg.dll"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\Background\ConEmuBg.map"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\Background\ConEmuBg.x64.dll"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\Background\ConEmuBg.x64.map"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\Background\ConEmuBg_en.lng"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\Background\ConEmuBg_ru.lng"
SetOutPath "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Background\img"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\Background\img\archive.png"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\Background\img\caution.png"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\Background\img\database.png"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\Background\img\downloads.png"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\Background\img\drive_cdrom.png"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\Background\img\drive_cloud.png"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\Background\img\drive_fixed.png"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\Background\img\drive_network.png"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\Background\img\drive_ramdisk.png"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\Background\img\drive_removable.png"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\Background\img\dropbox.png"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\Background\img\globe.png"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\Background\img\music.png"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\Background\img\network.png"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\Background\img\plugin.png"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\Background\img\recycle.png"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\Background\img\science.png"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\plugins\ConEmu\Background\img\trash.png"
SetOutPath "$INSTDIR\vendor\conemu-maximus5\ConEmu"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\About-ConEmu.txt"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Attach.cmd"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\cecho.cmd"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\ClsEx.cmd"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\CmdInit.cmd"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Cmd_Autorun.cmd"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\ColorPrompt.cmd"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Command Processor Off.reg"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Command Processor.reg"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\conemu-cyg-32.exe"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\conemu-cyg-64.exe"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\conemu-msys-32.exe"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\conemu-msys2-32.exe"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\conemu-msys2-64.exe"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\ConEmu.l10n"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\ConEmuC.exe"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\ConEmuC64.exe"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\ConEmuCD.dll"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\ConEmuCD64.dll"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\ConEmuHk.dll"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\ConEmuHk64.dll"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\ConEmu_MinGW.xml"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\ConEmu_Sample.xml"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\ConEmu_Tilde.xml"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\csudo.cmd"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\ExtendedConsole.dll"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\ExtendedConsole64.dll"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\FAQ-ConEmu.txt"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\GitShowBranch.cmd"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\IsConEmu.cmd"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\License.txt"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Portable.txt"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\RenameTab.cmd"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\SetConTitle.cmd"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\SetEscChar.cmd"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\SetProgress.cmd"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Settings-ConEmu.reg"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\TypeBuildErrors.cmd"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\WhatsNew-ConEmu.txt"
SetOutPath "$INSTDIR\vendor\conemu-maximus5\ConEmu\wsl"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\wsl\.gitattributes"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\wsl\256colors2.pl"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\wsl\cygwin1.dll"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\wsl\hashlist.sha256"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\wsl\README.md"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\wsl\wsl-boot.sh"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\wsl\wsl-con.cmd"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\wsl\wslbridge-backend"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\wsl\wslbridge.exe"
SetOutPath "$INSTDIR\vendor\conemu-maximus5\ConEmu\Scripts"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Scripts\git-log.cmd"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Scripts\git-push-set-upstream.cmd"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Scripts\readme.txt"
SetOutPath "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far3_lua"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Far3_lua\ConEmu.CtrlNumber.lua"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Far3_lua\ConEmu.CtrlO.lua"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Far3_lua\ConEmu.CtrlShiftT.lua"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Far3_lua\ConEmu.Editor.lua"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Far3_lua\ConEmu.FontSize.lua"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Far3_lua\ConEmu.PanelsList.lua"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Far3_lua\ConEmu.ShiftEnter.lua"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Far3_lua\ConEmu.TabList.lua"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Far3_lua\ConEmu.Thumbnails.lua"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Far3_lua\Editor.MsRClick.lua"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Far3_lua\Thumbnails_KeyBar.farconfig"
SetOutPath "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far3_fml"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Far3_fml\ConEmu.CtrlO.fml"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Far3_fml\ConEmu.CtrlShiftT.fml"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Far3_fml\ConEmu.Editor.fml"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Far3_fml\ConEmu.FontSize.fml"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Far3_fml\ConEmu.ShiftEnter.fml"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Far3_fml\ConEmu.TabList.fml"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Far3_fml\ConEmu.Thumbnails.fml"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Far3_fml\Editor.MsRClick.fml"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Far3_fml\Thumbnails_KeyBar.farconfig"
SetOutPath "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far2_reg"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Far2_reg\AltEnter_Exec.reg"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Far2_reg\AltEnter_Props.reg"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Far2_reg\CtrlAltD.reg"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Far2_reg\CtrlO.reg"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Far2_reg\CtrlO_View.reg"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Far2_reg\CtrlShiftT.reg"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Far2_reg\FarWhite.reg"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Far2_reg\FAR_AutoAttach.reg"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Far2_reg\FontSize.reg"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Far2_reg\ShiftEnter.reg"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Far2_reg\Thumbnails.reg"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Far2_reg\Thumbnails_KeyBar.reg"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Far2_reg\UCharMap.reg"
SetOutPath "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far2_fml"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Far2_fml\ConEmu.Editor.fml"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Far2_fml\ConEmu.fml"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Far2_fml\ConEmu.FontSize.fml"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Far2_fml\ConEmu.GuiMacro.fml"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Far2_fml\ConEmu.ShiftEnter.fml"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Far2_fml\ConEmu.TabList.fml"
SetOutPath "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far1_reg"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Far1_reg\AltEnter_Exec.reg"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Far1_reg\AltEnter_Props.reg"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Far1_reg\CtrlAltD.reg"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Far1_reg\CtrlO.reg"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Far1_reg\CtrlO_View.reg"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Far1_reg\CtrlShiftT.reg"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Far1_reg\FAR_AutoAttach.reg"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Far1_reg\FontSize.reg"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Far1_reg\ShiftEnter.reg"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Far1_reg\TabList.reg"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Far1_reg\Thumbnails.reg"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Far1_reg\Thumbnails_KeyBar.reg"
SetOutPath "$INSTDIR\vendor\conemu-maximus5\ConEmu\DosBox"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\DosBox\DosBox_Sample.conf"
SetOutPath "$INSTDIR\vendor\conemu-maximus5\ConEmu\clink"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\clink\Readme.txt"
SetOutPath "$INSTDIR\vendor\conemu-maximus5\ConEmu\Addons"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Addons\AnsiColors16.ans"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Addons\AnsiColors16t.ans"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Addons\AnsiColors24bit.ps1"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Addons\AnsiColors256.ans"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Addons\Blues16.bmp"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Addons\CallPlugin.txt"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Addons\ChocolateyAbout.cmd"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Addons\ConEmu_Inside.reg"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Addons\ConEmu_Inside_Delete.reg"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Addons\Disable_ConIme.reg"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Addons\FarHere.dat"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Addons\FarHereInstall.cmd"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Addons\FarHereUninstall.cmd"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Addons\git_sample.cmd"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Addons\Greys16.bmp"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Addons\Lines16.bmp"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Addons\Lines16a.bmp"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Addons\Lines18.bmp"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Addons\Lines18a.bmp"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Addons\RevokeMouseInput.ps1"
File ".\Versions\${VERSION}\vendor\conemu-maximus5\ConEmu\Addons\utf-8-test.cmd"
SetOutPath "$INSTDIR\vendor\clink-completions"
File ".\Versions\${VERSION}\vendor\clink-completions\.appveyor.yml"
File ".\Versions\${VERSION}\vendor\clink-completions\.busted"
File ".\Versions\${VERSION}\vendor\clink-completions\.cmderver"
File ".\Versions\${VERSION}\vendor\clink-completions\.gitignore"
File ".\Versions\${VERSION}\vendor\clink-completions\.init.lua"
File ".\Versions\${VERSION}\vendor\clink-completions\.luacheckrc"
File ".\Versions\${VERSION}\vendor\clink-completions\.luacov"
File ".\Versions\${VERSION}\vendor\clink-completions\angular-cli.lua"
File ".\Versions\${VERSION}\vendor\clink-completions\chocolatey.lua"
File ".\Versions\${VERSION}\vendor\clink-completions\coho.lua"
File ".\Versions\${VERSION}\vendor\clink-completions\cordova.lua"
File ".\Versions\${VERSION}\vendor\clink-completions\dotnet.lua"
File ".\Versions\${VERSION}\vendor\clink-completions\git.lua"
File ".\Versions\${VERSION}\vendor\clink-completions\git_prompt.lua"
File ".\Versions\${VERSION}\vendor\clink-completions\kubectl.lua"
File ".\Versions\${VERSION}\vendor\clink-completions\LICENSE"
File ".\Versions\${VERSION}\vendor\clink-completions\net.lua"
File ".\Versions\${VERSION}\vendor\clink-completions\npm.lua"
File ".\Versions\${VERSION}\vendor\clink-completions\nvm.lua"
File ".\Versions\${VERSION}\vendor\clink-completions\pip.lua"
File ".\Versions\${VERSION}\vendor\clink-completions\pipenv.lua"
File ".\Versions\${VERSION}\vendor\clink-completions\README.md"
File ".\Versions\${VERSION}\vendor\clink-completions\RELEASENOTES.md"
File ".\Versions\${VERSION}\vendor\clink-completions\scoop.lua"
File ".\Versions\${VERSION}\vendor\clink-completions\ssh.lua"
File ".\Versions\${VERSION}\vendor\clink-completions\test.bat"
File ".\Versions\${VERSION}\vendor\clink-completions\vagrant.lua"
File ".\Versions\${VERSION}\vendor\clink-completions\yarn.lua"
SetOutPath "$INSTDIR\vendor\clink-completions\spec"
File ".\Versions\${VERSION}\vendor\clink-completions\spec\color_spec.lua"
File ".\Versions\${VERSION}\vendor\clink-completions\spec\funclib_spec.lua"
File ".\Versions\${VERSION}\vendor\clink-completions\spec\path_spec.lua"
SetOutPath "$INSTDIR\vendor\clink-completions\modules"
File ".\Versions\${VERSION}\vendor\clink-completions\modules\color.lua"
File ".\Versions\${VERSION}\vendor\clink-completions\modules\funclib.lua"
File ".\Versions\${VERSION}\vendor\clink-completions\modules\gitutil.lua"
File ".\Versions\${VERSION}\vendor\clink-completions\modules\JSON.lua"
File ".\Versions\${VERSION}\vendor\clink-completions\modules\matchers.lua"
File ".\Versions\${VERSION}\vendor\clink-completions\modules\path.lua"
File ".\Versions\${VERSION}\vendor\clink-completions\modules\tables.lua"
SetOutPath "$INSTDIR\vendor\clink-completions\.vscode"
File ".\Versions\${VERSION}\vendor\clink-completions\.vscode\tasks.json"
SetOutPath "$INSTDIR\vendor\clink"
File ".\Versions\${VERSION}\vendor\clink\.cmderver"
File ".\Versions\${VERSION}\vendor\clink\CHANGES"
File ".\Versions\${VERSION}\vendor\clink\clink.bat"
File ".\Versions\${VERSION}\vendor\clink\clink.html"
File ".\Versions\${VERSION}\vendor\clink\clink.lua"
File ".\Versions\${VERSION}\vendor\clink\clink_dll_x64.dll"
File ".\Versions\${VERSION}\vendor\clink\clink_dll_x86.dll"
File ".\Versions\${VERSION}\vendor\clink\clink_x64.exe"
File ".\Versions\${VERSION}\vendor\clink\clink_x86.exe"
File ".\Versions\${VERSION}\vendor\clink\LICENSE"
SetOutPath "$INSTDIR\vendor\bin"
File ".\Versions\${VERSION}\vendor\bin\alias.cmd"
File ".\Versions\${VERSION}\vendor\bin\cexec.cmd"
File ".\Versions\${VERSION}\vendor\bin\cmder_diag.cmd"
File ".\Versions\${VERSION}\vendor\bin\cmder_diag.ps1"
File ".\Versions\${VERSION}\vendor\bin\cmder_diag.sh"
File ".\Versions\${VERSION}\vendor\bin\timer.cmd"
File ".\Versions\${VERSION}\vendor\bin\vscode_init.cmd"
File ".\Versions\${VERSION}\vendor\bin\vscode_init_args.cmd.default"
SetOutPath "$INSTDIR\opt"
File ".\Versions\${VERSION}\opt\Readme.md"
SetOutPath "$INSTDIR\icons"
File ".\Versions\${VERSION}\icons\cmder.ico"
File ".\Versions\${VERSION}\icons\cmder_blue.ico"
File ".\Versions\${VERSION}\icons\cmder_green.ico"
File ".\Versions\${VERSION}\icons\cmder_orange.ico"
File ".\Versions\${VERSION}\icons\cmder_purple.ico"
File ".\Versions\${VERSION}\icons\cmder_red.ico"
File ".\Versions\${VERSION}\icons\cmder_yellow.ico"
SetOutPath "$INSTDIR\config"
File ".\Versions\${VERSION}\config\Readme.md"
SetOutPath "$INSTDIR\bin"
File ".\Versions\${VERSION}\bin\Readme.md"
SectionEnd

######################################################################

Section -Icons_Reg
SetOutPath "$INSTDIR"
WriteUninstaller "$INSTDIR\uninstall.exe"

!ifdef REG_START_MENU
!insertmacro MUI_STARTMENU_WRITE_BEGIN Application
CreateDirectory "$SMPROGRAMS\$SM_Folder"
CreateShortCut "$SMPROGRAMS\$SM_Folder\${APP_NAME}.lnk" "$INSTDIR\${MAIN_APP_EXE}"
CreateShortCut "$SMPROGRAMS\$SM_Folder\Uninstall ${APP_NAME}.lnk" "$INSTDIR\uninstall.exe"

!ifdef WEB_SITE
WriteIniStr "$INSTDIR\${APP_NAME} website.url" "InternetShortcut" "URL" "${WEB_SITE}"
CreateShortCut "$SMPROGRAMS\$SM_Folder\${APP_NAME} Website.lnk" "$INSTDIR\${APP_NAME} website.url"
!endif
!insertmacro MUI_STARTMENU_WRITE_END
!endif

!ifndef REG_START_MENU
CreateDirectory "$SMPROGRAMS\Cmder"
CreateShortCut "$SMPROGRAMS\Cmder\${APP_NAME}.lnk" "$INSTDIR\${MAIN_APP_EXE}"
CreateShortCut "$SMPROGRAMS\Cmder\Uninstall ${APP_NAME}.lnk" "$INSTDIR\uninstall.exe"

!ifdef WEB_SITE
WriteIniStr "$INSTDIR\${APP_NAME} website.url" "InternetShortcut" "URL" "${WEB_SITE}"
CreateShortCut "$SMPROGRAMS\Cmder\${APP_NAME} Website.lnk" "$INSTDIR\${APP_NAME} website.url"
!endif
!endif

WriteRegStr ${REG_ROOT} "${REG_APP_PATH}" "" "$INSTDIR\${MAIN_APP_EXE}"
WriteRegStr ${REG_ROOT} "${UNINSTALL_PATH}"  "DisplayName" "${APP_NAME}"
WriteRegStr ${REG_ROOT} "${UNINSTALL_PATH}"  "UninstallString" "$INSTDIR\uninstall.exe"
WriteRegStr ${REG_ROOT} "${UNINSTALL_PATH}"  "DisplayIcon" "$INSTDIR\${MAIN_APP_EXE}"
WriteRegStr ${REG_ROOT} "${UNINSTALL_PATH}"  "DisplayVersion" "${VERSION}"
WriteRegStr ${REG_ROOT} "${UNINSTALL_PATH}"  "Publisher" "${COMP_NAME}"

!ifdef WEB_SITE
WriteRegStr ${REG_ROOT} "${UNINSTALL_PATH}"  "URLInfoAbout" "${WEB_SITE}"
!endif
SectionEnd

######################################################################

Section Uninstall
${INSTALL_TYPE}
Delete "$INSTDIR\Cmder.exe"
Delete "$INSTDIR\cmder.zip"
Delete "$INSTDIR\LICENSE"
Delete "$INSTDIR\Version ${VERSION}"
Delete "$INSTDIR\vendor\clink.lua"
Delete "$INSTDIR\vendor\clink_settings.default"
Delete "$INSTDIR\vendor\cmder_exinit"
Delete "$INSTDIR\vendor\ConEmu.xml.default"
Delete "$INSTDIR\vendor\init.bat"
Delete "$INSTDIR\vendor\profile.ps1"
Delete "$INSTDIR\vendor\Readme.md"
Delete "$INSTDIR\vendor\sources.json"
Delete "$INSTDIR\vendor\user_aliases.cmd.default"
Delete "$INSTDIR\vendor\user_profile.cmd.default"
Delete "$INSTDIR\vendor\user_profile.ps1.default"
Delete "$INSTDIR\vendor\user_profile.sh.default"
Delete "$INSTDIR\vendor\psmodules\Cmder.ps1"
Delete "$INSTDIR\vendor\psmodules\PsGet\PsGet.psm1"
Delete "$INSTDIR\vendor\lib\lib_base.cmd"
Delete "$INSTDIR\vendor\lib\lib_console.cmd"
Delete "$INSTDIR\vendor\lib\lib_git.cmd"
Delete "$INSTDIR\vendor\lib\lib_path.cmd"
Delete "$INSTDIR\vendor\lib\lib_profile.cmd"
Delete "$INSTDIR\vendor\lib\start-ssh-agent.sh"
Delete "$INSTDIR\vendor\git-for-windows\.cmderver"
Delete "$INSTDIR\vendor\git-for-windows\git-bash.exe"
Delete "$INSTDIR\vendor\git-for-windows\git-cmd.exe"
Delete "$INSTDIR\vendor\git-for-windows\LICENSE.txt"
Delete "$INSTDIR\vendor\git-for-windows\post-install.bat"
Delete "$INSTDIR\vendor\git-for-windows\README.portable"
Delete "$INSTDIR\vendor\git-for-windows\usr\ssl\cert.pem"
Delete "$INSTDIR\vendor\git-for-windows\usr\ssl\ct_log_list.cnf"
Delete "$INSTDIR\vendor\git-for-windows\usr\ssl\ct_log_list.cnf.dist"
Delete "$INSTDIR\vendor\git-for-windows\usr\ssl\openssl.cnf"
Delete "$INSTDIR\vendor\git-for-windows\usr\ssl\openssl.cnf.dist"
Delete "$INSTDIR\vendor\git-for-windows\usr\ssl\misc\CA.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\ssl\misc\tsget"
Delete "$INSTDIR\vendor\git-for-windows\usr\ssl\misc\tsget.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\ssl\certs\ca-bundle.crt"
Delete "$INSTDIR\vendor\git-for-windows\usr\ssl\certs\ca-bundle.trust.crt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\bugreport.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\defaults.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\delmenu.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\evim.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\filetype.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftoff.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugof.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\gvimrc_example.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indoff.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\menu.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\mswin.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\optwin.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\rgb.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\scripts.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\synmenu.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\vimrc_example.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\tutor\README.el.cp737.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\tutor\README.el.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\tutor\README.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.bar"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.bar.utf-8"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.bg.utf-8"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.ca"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.ca.utf-8"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.cs"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.cs.cp1250"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.cs.utf-8"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.da"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.da.utf-8"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.de"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.de.utf-8"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.el"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.el.cp737"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.el.utf-8"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.eo"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.eo.utf-8"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.es"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.es.utf-8"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.fr"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.fr.utf-8"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.hr"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.hr.cp1250"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.hr.utf-8"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.hu"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.hu.cp1250"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.hu.utf-8"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.it"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.it.utf-8"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.ja.euc"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.ja.sjis"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.ja.utf-8"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.ko"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.ko.euc"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.ko.utf-8"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.lv.utf-8"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.nb"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.nb.utf-8"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.nl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.nl.utf-8"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.no"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.no.utf-8"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.pl.cp1250"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.pl.utf-8"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.pt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.pt.utf-8"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.ru"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.ru.cp1251"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.ru.utf-8"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.sk"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.sk.cp1250"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.sk.utf-8"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.sr.cp1250"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.sr.utf-8"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.sv"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.sv.utf-8"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.tr.iso9"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.tr.utf-8"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.uk.utf-8"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.utf-8"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.vi.utf-8"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.zh.big5"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.zh.euc"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.zh.utf-8"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.zh_cn.utf-8"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\tutor\tutor.zh_tw.utf-8"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\tools\ccfilter.1"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\tools\ccfilter_README.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\tools\demoserver.py"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\tools\efm_filter.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\tools\efm_filter.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\tools\efm_perl.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\tools\mve.awk"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\tools\mve.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\tools\pltags.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\tools\README.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\tools\ref"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\tools\shtags.1"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\tools\shtags.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\tools\unicode.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\tools\vim132"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\tools\vimm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\tools\vimspell.sh"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\tools\vimspell.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\tools\vim_vs_net.cmd"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\2html.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\8th.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\a2ps.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\a65.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\aap.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\abap.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\abaqus.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\abc.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\abel.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\acedb.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\ada.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\aflex.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\ahdl.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\aidl.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\alsaconf.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\amiga.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\aml.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\ampl.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\ant.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\antlr.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\apache.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\apachestyle.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\aptconf.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\arch.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\arduino.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\art.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\asciidoc.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\asm.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\asm68k.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\asmh8300.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\asn.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\aspperl.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\aspvbs.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\asterisk.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\asteriskvm.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\atlas.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\autodoc.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\autohotkey.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\autoit.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\automake.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\ave.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\avra.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\awk.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\ayacc.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\b.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\baan.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\bash.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\basic.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\bc.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\bdf.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\bib.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\bindzone.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\blank.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\bsdl.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\bst.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\btm.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\bzl.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\bzr.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\c.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\cabal.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\calendar.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\catalog.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\cdl.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\cdrdaoconf.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\cdrtoc.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\cf.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\cfg.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\ch.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\chaiscript.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\change.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\changelog.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\chaskell.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\cheetah.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\chicken.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\chill.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\chordpro.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\cl.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\clean.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\clipper.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\clojure.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\cmake.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\cmod.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\cmusrc.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\cobol.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\coco.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\colortest.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\conaryrecipe.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\conf.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\config.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\context.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\cpp.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\crm.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\crontab.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\cs.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\csc.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\csdl.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\csh.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\csp.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\css.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\cterm.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\ctrlh.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\cucumber.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\cuda.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\cupl.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\cuplsim.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\cvs.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\cvsrc.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\cweb.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\cynlib.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\cynpp.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\d.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\dart.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\datascript.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\dcd.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\dcl.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\debchangelog.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\debcontrol.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\debcopyright.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\debsources.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\def.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\denyhosts.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\desc.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\desktop.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\dictconf.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\dictdconf.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\diff.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\dircolors.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\dirpager.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\diva.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\django.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\dns.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\dnsmasq.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\docbk.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\docbksgml.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\docbkxml.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\dockerfile.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\dosbatch.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\dosini.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\dot.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\doxygen.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\dracula.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\dsl.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\dtd.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\dtml.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\dtrace.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\dts.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\dune.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\dylan.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\dylanintr.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\dylanlid.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\ecd.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\edif.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\eiffel.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\elf.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\elinks.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\elm.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\elmfilt.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\erlang.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\eruby.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\esmtprc.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\esqlc.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\esterel.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\eterm.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\euphoria3.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\euphoria4.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\eviews.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\exim.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\expect.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\exports.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\falcon.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\fan.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\fasm.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\fdcc.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\fetchmail.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\fgl.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\flexwiki.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\focexec.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\form.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\forth.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\fortran.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\foxpro.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\framescript.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\freebasic.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\fstab.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\fvwm.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\fvwm2m4.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\gdb.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\gdmo.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\gedcom.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\git.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\gitcommit.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\gitconfig.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\gitolite.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\gitrebase.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\gitsendemail.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\gkrellmrc.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\gnash.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\gnuplot.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\go.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\godoc.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\gp.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\gpg.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\gprof.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\grads.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\gretl.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\groff.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\groovy.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\group.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\grub.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\gsp.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\gtkrc.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\haml.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\hamster.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\haskell.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\haste.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\hastepreproc.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\hb.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\help.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\hercules.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\hex.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\hgcommit.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\hitest.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\hog.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\hollywood.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\hostconf.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\hostsaccess.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\html.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\htmlcheetah.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\htmldjango.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\htmlm4.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\htmlos.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\ia64.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\ibasic.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\icemenu.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\icon.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\idl.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\idlang.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\indent.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\inform.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\initex.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\initng.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\inittab.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\ipfilter.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\ishd.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\iss.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\ist.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\j.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\jal.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\jam.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\jargon.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\java.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\javacc.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\javascript.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\javascriptreact.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\jess.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\jgraph.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\jovial.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\jproperties.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\json.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\jsp.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\kconfig.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\kivy.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\kix.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\kscript.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\kwt.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\lace.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\latte.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\ld.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\ldapconf.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\ldif.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\less.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\lex.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\lftp.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\lhaskell.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\libao.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\lifelines.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\lilo.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\limits.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\liquid.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\lisp.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\lite.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\litestep.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\loginaccess.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\logindefs.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\logtalk.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\lotos.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\lout.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\lpc.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\lprolog.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\lscript.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\lsl.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\lss.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\lua.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\lynx.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\m4.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\mail.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\mailaliases.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\mailcap.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\make.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\mallard.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\man.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\manconf.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\manual.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\maple.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\markdown.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\masm.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\mason.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\master.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\matlab.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\maxima.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\mel.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\meson.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\messages.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\mf.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\mgl.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\mgp.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\mib.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\mix.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\mma.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\mmix.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\mmp.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\modconf.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\model.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\modsim3.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\modula2.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\modula3.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\monk.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\moo.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\mp.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\mplayerconf.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\mrxvtrc.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\msidl.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\msmessages.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\msql.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\mupad.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\murphi.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\mush.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\muttrc.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\mysql.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\n1ql.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\named.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\nanorc.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\nasm.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\nastran.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\natural.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\ncf.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\neomuttrc.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\netrc.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\netrw.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\ninja.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\nosyntax.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\nqc.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\nroff.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\nsis.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\obj.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\objc.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\objcpp.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\ocaml.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\occam.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\omnimark.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\openroad.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\opl.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\ora.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\pamconf.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\pamenv.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\papp.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\pascal.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\passwd.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\pcap.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\pccts.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\pdf.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\perl.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\perl6.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\pf.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\pfmain.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\php.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\phtml.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\pic.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\pike.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\pilrc.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\pine.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\pinfo.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\plaintex.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\pli.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\plm.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\plp.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\plsql.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\po.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\pod.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\postscr.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\pov.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\povini.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\ppd.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\ppwiz.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\prescribe.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\privoxy.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\procmail.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\progress.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\prolog.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\promela.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\proto.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\protocols.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\psf.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\ptcap.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\purifylog.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\pyrex.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\python.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\qf.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\quake.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\r.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\racc.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\radiance.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\raml.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\ratpoison.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\rc.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\rcs.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\rcslog.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\readline.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\README.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\rebol.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\redif.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\registry.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\rego.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\remind.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\resolv.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\reva.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\rexx.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\rhelp.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\rib.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\rmd.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\rnc.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\rng.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\rnoweb.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\robots.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\rpcgen.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\rpl.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\rrst.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\rst.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\rtf.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\ruby.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\rust.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\samba.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\sas.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\sass.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\sather.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\sbt.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\scala.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\scheme.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\scilab.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\screen.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\scss.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\sd.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\sdc.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\sdl.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\sed.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\sendpr.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\sensors.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\services.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\setserial.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\sgml.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\sgmldecl.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\sgmllnx.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\sh.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\sicad.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\sieve.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\sil.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\simula.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\sinda.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\sindacmp.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\sindaout.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\sisu.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\skill.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\sl.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\slang.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\slice.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\slpconf.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\slpreg.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\slpspi.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\slrnrc.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\slrnsc.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\sm.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\smarty.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\smcl.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\smil.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\smith.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\sml.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\snnsnet.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\snnspat.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\snnsres.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\snobol4.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\spec.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\specman.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\spice.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\splint.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\spup.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\spyce.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\sql.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\sqlanywhere.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\sqlforms.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\sqlhana.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\sqlinformix.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\sqlj.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\sqloracle.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\sqr.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\squid.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\srec.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\sshconfig.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\sshdconfig.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\st.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\stata.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\stp.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\strace.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\sudoers.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\svg.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\svn.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\swift.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\swiftgyb.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\syncolor.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\synload.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\syntax.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\sysctl.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\systemd.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\systemverilog.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\tads.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\tags.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\tak.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\takcmp.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\takout.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\tap.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\tar.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\taskdata.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\taskedit.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\tasm.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\tcl.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\tcsh.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\template.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\teraterm.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\terminfo.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\tex.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\texinfo.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\texmf.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\tf.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\tidy.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\tilde.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\tli.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\tmux.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\tpp.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\trasys.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\treetop.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\trustees.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\tsalt.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\tsscl.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\tssgm.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\tssop.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\tt2.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\tt2html.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\tt2js.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\typescript.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\typescriptcommon.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\typescriptreact.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\uc.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\udevconf.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\udevperm.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\udevrules.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\uil.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\updatedb.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\upstart.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\upstreamdat.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\upstreaminstalllog.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\upstreamlog.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\upstreamrpt.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\usserverlog.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\usw2kagtlog.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\valgrind.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\vb.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\vera.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\verilog.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\verilogams.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\vgrindefs.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\vhdl.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\vim.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\viminfo.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\virata.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\vmasm.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\voscm.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\vrml.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\vroom.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\vsejcl.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\vue.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\wast.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\wdiff.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\web.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\webmacro.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\wget.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\whitespace.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\winbatch.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\wml.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\wsh.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\wsml.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\wvdial.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\xbl.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\xdefaults.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\xf86conf.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\xhtml.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\xinetd.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\xkb.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\xmath.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\xml.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\xmodmap.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\xpm.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\xpm2.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\xquery.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\xs.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\xsd.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\xslt.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\xxd.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\yacc.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\yaml.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\z8a.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\zimbu.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax\zsh.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\spell\check_locales.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\spell\cleanadd.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\spell\en.ascii.spl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\spell\en.ascii.sug"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\spell\en.latin1.spl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\spell\en.latin1.sug"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\spell\en.utf-8.spl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\spell\en.utf-8.sug"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\spell\fixdup.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\spell\he.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\spell\spell.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\spell\yi.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\print\ascii.ps"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\print\cidfont.ps"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\print\cns_roman.ps"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\print\cp1250.ps"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\print\cp1251.ps"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\print\cp1252.ps"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\print\cp1253.ps"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\print\cp1254.ps"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\print\cp1255.ps"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\print\cp1257.ps"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\print\dec-mcs.ps"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\print\ebcdic-uk.ps"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\print\gb_roman.ps"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\print\hp-roman8.ps"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\print\iso-8859-10.ps"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\print\iso-8859-11.ps"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\print\iso-8859-13.ps"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\print\iso-8859-14.ps"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\print\iso-8859-15.ps"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\print\iso-8859-2.ps"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\print\iso-8859-3.ps"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\print\iso-8859-4.ps"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\print\iso-8859-5.ps"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\print\iso-8859-7.ps"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\print\iso-8859-8.ps"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\print\iso-8859-9.ps"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\print\jis_roman.ps"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\print\koi8-r.ps"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\print\koi8-u.ps"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\print\ks_roman.ps"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\print\latin1.ps"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\print\mac-roman.ps"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\print\prolog.ps"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\plugin\getscriptPlugin.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\plugin\gzip.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\plugin\logiPat.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\plugin\manpager.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\plugin\matchparen.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\plugin\netrwPlugin.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\plugin\README.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\plugin\rrhelper.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\plugin\spellfile.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\plugin\tarPlugin.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\plugin\tohtml.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\plugin\vimballPlugin.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\plugin\zipPlugin.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\pack\dist\opt\termdebug\plugin\termdebug.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\pack\dist\opt\swapmouse\plugin\swapmouse.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\pack\dist\opt\shellmenu\plugin\shellmenu.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\pack\dist\opt\matchit\plugin\matchit.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\pack\dist\opt\matchit\doc\matchit.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\pack\dist\opt\matchit\doc\tags"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\pack\dist\opt\matchit\autoload\matchit.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\pack\dist\opt\justify\plugin\justify.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\pack\dist\opt\editexisting\plugin\editexisting.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\pack\dist\opt\dvorak\plugin\dvorak.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\pack\dist\opt\dvorak\dvorak\disable.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\pack\dist\opt\dvorak\dvorak\enable.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\pack\dist\opt\cfilter\plugin\cfilter.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\macros\editexisting.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\macros\justify.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\macros\less.bat"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\macros\less.sh"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\macros\less.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\macros\matchit.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\macros\README.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\macros\shellmenu.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\macros\swapmous.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\macros\urm\examples"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\macros\urm\README.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\macros\urm\urm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\macros\urm\urm.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\macros\maze\Makefile"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\macros\maze\maze_5.78"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\macros\maze\maze_mac"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\macros\maze\poster"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\macros\maze\README.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\macros\life\click.me"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\macros\life\life.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\macros\hanoi\click.me"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\macros\hanoi\hanoi.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\macros\hanoi\poster"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_af.latin1.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_af.utf-8.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_af_af.latin1.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_af_af.utf-8.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_ca.latin1.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_ca.utf-8.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_ca_es.latin1.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_ca_es.utf-8.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_chinese(gb)_gb.936.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_chinese(taiwan)_taiwan.950.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_chinese_gb.936.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_chinese_taiwan.950.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_cs.cp1250.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_cs.latin1.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_cs_cz.cp1250.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_cs_cz.iso_8859-2.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_cs_cz.latin1.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_cs_cz.utf-8.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_czech_czech_republic.1250.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_czech_czech_republic.1252.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_czech_czech_republic.ascii.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_da.latin1.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_da.utf-8.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_de.latin1.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_de.utf-8.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_de_de.latin1.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_de_de.utf-8.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_english_united_kingdom.1252.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_english_united_kingdom.ascii.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_en_gb.latin1.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_en_gb.utf-8.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_eo.utf-8.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_eo_eo.utf-8.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_eo_xx.utf-8.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_es.latin1.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_es.utf-8.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_es_es.latin1.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_es_es.utf-8.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_fi.latin1.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_fi.utf-8.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_finnish_finland.1252.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_fi_fi.latin1.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_fi_fi.utf-8.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_fr.latin1.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_fr.utf-8.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_french_france.1252.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_fr_fr.latin1.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_fr_fr.utf-8.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_german_germany.1252.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_hu.iso_8859-2.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_hu.utf-8.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_hu_hu.iso_8859-2.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_hu_hu.utf-8.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_is.latin1.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_is.utf-8.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_is_is.latin1.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_is_is.utf-8.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_it.latin1.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_it.utf-8.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_italian_italy.1252.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_it_it.latin1.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_it_it.utf-8.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_ja.cp932.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_ja.euc-jp.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_ja.eucjp.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_ja.ujis.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_ja.utf-8.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_japanese_japan.932.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_ja_jp.cp932.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_ja_jp.euc-jp.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_ja_jp.eucjp.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_ja_jp.ujis.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_ja_jp.utf-8.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_ko.utf-8.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_ko_kr.euckr.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_ko_kr.utf-8.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_ko_kr.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_nl.latin1.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_nl.utf-8.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_nl_nl.latin1.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_nl_nl.utf-8.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_no.latin1.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_no.utf-8.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_no_no.latin1.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_no_no.utf-8.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_pl.cp1250.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_pl_pl.cp1250.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_pl_pl.iso_8859-2.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_pl_pl.utf-8.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_polish_poland.1250.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_pt_br.latin1.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_pt_br.utf-8.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_pt_br.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_pt_pt.latin1.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_pt_pt.utf-8.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_pt_pt.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_ru.utf-8.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_ru_ru.koi8-r.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_ru_ru.utf-8.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_ru_ru.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_sk.cp1250.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_sk_sk.1250.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_sk_sk.cp1250.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_sk_sk.iso_8859-2.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_sk_sk.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_slovak_slovak_republic.1250.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_sl_si.cp1250.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_sl_si.latin2.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_sl_si.utf-8.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_spanish_spain.850.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_sr.utf-8.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_sr_rs.ascii.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_sr_rs.iso_8859-2.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_sr_rs.iso_8859-5.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_sr_rs.utf-8.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_sr_yu.ascii.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_sr_yu.iso_8859-2.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_sr_yu.iso_8859-5.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_sr_yu.utf-8.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_sv.latin1.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_sv.utf-8.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_sv_se.latin1.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_sv_se.utf-8.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_tr.cp1254.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_tr.iso_8859-9.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_tr.utf-8.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_tr_tr.cp1254.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_tr_tr.iso_8859-9.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_tr_tr.utf-8.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_uk_ua.cp1251.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_uk_ua.koi8-u.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_vi_vn.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_zh.big5.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_zh.cp936.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_zh.cp950.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_zh.gb2312.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_zh_cn.18030.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_zh_cn.cp936.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_zh_cn.gb2312.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_zh_cn.gbk.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_zh_cn.utf-8.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_zh_tw.big5.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_zh_tw.cp950.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\menu_zh_tw.utf-8.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\README.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\zh_TW.UTF-8\LC_MESSAGES\vim.mo"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\zh_TW\LC_MESSAGES\vim.mo"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\zh_CN.UTF-8\LC_MESSAGES\vim.mo"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\zh_CN.cp936\LC_MESSAGES\vim.mo"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\zh_CN\LC_MESSAGES\vim.mo"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\vi\LC_MESSAGES\vim.mo"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\uk.cp1251\LC_MESSAGES\vim.mo"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\uk\LC_MESSAGES\vim.mo"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\tr\LC_MESSAGES\vim.mo"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\sv\LC_MESSAGES\vim.mo"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\sr\LC_MESSAGES\vim.mo"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\sk.cp1250\LC_MESSAGES\vim.mo"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\sk\LC_MESSAGES\vim.mo"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\ru.cp1251\LC_MESSAGES\vim.mo"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\ru\LC_MESSAGES\vim.mo"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\pt_BR\LC_MESSAGES\vim.mo"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\pl.UTF-8\LC_MESSAGES\vim.mo"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\pl.cp1250\LC_MESSAGES\vim.mo"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\pl\LC_MESSAGES\vim.mo"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\no\LC_MESSAGES\vim.mo"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\nl\LC_MESSAGES\vim.mo"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\nb\LC_MESSAGES\vim.mo"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\lv\LC_MESSAGES\vim.mo"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\ko.UTF-8\LC_MESSAGES\vim.mo"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\ko\LC_MESSAGES\vim.mo"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\ja.sjis\LC_MESSAGES\vim.mo"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\ja.euc-jp\LC_MESSAGES\vim.mo"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\ja\LC_MESSAGES\vim.mo"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\it\LC_MESSAGES\vim.mo"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\ga\LC_MESSAGES\vim.mo"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\fr\LC_MESSAGES\vim.mo"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\fi\LC_MESSAGES\vim.mo"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\es\LC_MESSAGES\vim.mo"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\eo\LC_MESSAGES\vim.mo"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\en_GB\LC_MESSAGES\vim.mo"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\de\LC_MESSAGES\vim.mo"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\da\LC_MESSAGES\vim.mo"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\cs.cp1250\LC_MESSAGES\vim.mo"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\cs\LC_MESSAGES\vim.mo"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\ca\LC_MESSAGES\vim.mo"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\af\LC_MESSAGES\vim.mo"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\keymap\accents.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\keymap\arabic.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\keymap\arabic_utf-8.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\keymap\armenian-eastern_utf-8.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\keymap\armenian-western_utf-8.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\keymap\belarusian-jcuken.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\keymap\bulgarian-bds.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\keymap\bulgarian-phonetic.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\keymap\canfr-win.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\keymap\croatian.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\keymap\croatian_cp1250.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\keymap\croatian_iso-8859-2.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\keymap\croatian_utf-8.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\keymap\czech.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\keymap\czech_utf-8.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\keymap\dvorak.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\keymap\esperanto.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\keymap\esperanto_utf-8.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\keymap\greek.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\keymap\greek_cp1253.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\keymap\greek_cp737.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\keymap\greek_iso-8859-7.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\keymap\greek_utf-8.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\keymap\hebrew.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\keymap\hebrewp.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\keymap\hebrewp_cp1255.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\keymap\hebrewp_iso-8859-8.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\keymap\hebrewp_utf-8.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\keymap\hebrew_cp1255.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\keymap\hebrew_iso-8859-8.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\keymap\hebrew_utf-8.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\keymap\kana.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\keymap\kazakh-jcuken.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\keymap\lithuanian-baltic.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\keymap\magyar_utf-8.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\keymap\mongolian_utf-8.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\keymap\oldturkic-orkhon_utf-8.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\keymap\oldturkic-yenisei_utf-8.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\keymap\persian-iranian_utf-8.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\keymap\persian.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\keymap\pinyin.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\keymap\polish-slash.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\keymap\polish-slash_cp1250.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\keymap\polish-slash_cp852.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\keymap\polish-slash_iso-8859-2.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\keymap\polish-slash_utf-8.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\keymap\README.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\keymap\russian-dvorak.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\keymap\russian-jcuken.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\keymap\russian-jcukenmac.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\keymap\russian-jcukenwin.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\keymap\russian-jcukenwintype.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\keymap\russian-yawerty.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\keymap\serbian-latin.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\keymap\serbian-latin_utf-8.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\keymap\serbian.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\keymap\serbian_cp1250.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\keymap\serbian_cp1251.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\keymap\serbian_iso-8859-2.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\keymap\serbian_iso-8859-5.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\keymap\serbian_utf-8.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\keymap\sinhala-phonetic_utf-8.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\keymap\sinhala.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\keymap\slovak.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\keymap\slovak_cp1250.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\keymap\slovak_iso-8859-2.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\keymap\slovak_utf-8.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\keymap\tamil_tscii.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\keymap\thaana-phonetic_utf-8.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\keymap\thaana.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\keymap\turkish-f.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\keymap\turkish-q.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\keymap\ukrainian-dvorak.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\keymap\ukrainian-jcuken.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\keymap\vietnamese-telex_utf-8.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\keymap\vietnamese-viqr_utf-8.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\keymap\vietnamese-vni_utf-8.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\aap.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\ada.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\ant.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\automake.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\awk.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\bash.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\bib.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\bst.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\bzl.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\c.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\cdl.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\ch.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\chaiscript.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\changelog.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\clojure.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\cmake.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\cobol.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\config.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\context.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\cpp.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\cs.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\css.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\cucumber.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\cuda.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\d.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\dictconf.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\dictdconf.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\docbk.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\dosbatch.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\dtd.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\dtrace.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\dylan.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\eiffel.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\elm.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\erlang.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\eruby.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\eterm.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\falcon.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\fortran.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\framescript.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\gitconfig.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\gitolite.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\go.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\haml.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\hamster.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\hog.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\html.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\htmldjango.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\idlang.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\ishd.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\j.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\java.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\javascript.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\javascriptreact.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\json.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\jsp.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\ld.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\less.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\lifelines.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\liquid.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\lisp.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\logtalk.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\lua.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\mail.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\make.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\matlab.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\meson.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\mf.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\mma.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\mp.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\nsis.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\objc.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\ocaml.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\occam.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\pascal.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\perl.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\perl6.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\php.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\postscr.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\pov.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\prolog.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\pyrex.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\python.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\r.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\raml.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\readline.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\README.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\rhelp.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\rmd.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\rnoweb.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\rpl.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\rrst.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\rst.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\ruby.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\rust.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\sas.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\sass.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\scala.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\scheme.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\scss.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\sdl.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\sh.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\sml.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\sql.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\sqlanywhere.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\sshconfig.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\systemd.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\systemverilog.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\tcl.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\tcsh.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\teraterm.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\tex.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\tf.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\tilde.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\treetop.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\typescript.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\vb.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\verilog.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\vhdl.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\vim.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\vroom.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\wast.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\xf86conf.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\xhtml.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\xinetd.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\xml.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\xsd.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\xslt.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\yacc.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\yaml.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\zimbu.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent\zsh.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\8th.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\a2ps.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\aap.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\abap.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\abaqus.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\ada.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\alsaconf.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\ant.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\arch.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\art.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\asm.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\aspvbs.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\automake.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\awk.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\bash.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\bdf.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\bst.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\btm.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\bzl.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\c.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\calendar.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\cdrdaoconf.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\cfg.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\ch.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\changelog.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\chicken.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\clojure.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\cmake.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\cobol.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\conf.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\config.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\context.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\cpp.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\crm.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\cs.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\csc.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\csh.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\css.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\cucumber.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\cvsrc.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\debchangelog.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\debcontrol.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\denyhosts.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\dictconf.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\dictdconf.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\diff.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\dircolors.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\docbk.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\dockerfile.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\dosbatch.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\dosini.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\dtd.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\dtrace.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\dune.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\eiffel.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\elinks.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\elm.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\erlang.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\eruby.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\eterm.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\falcon.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\fetchmail.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\flexwiki.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\fortran.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\framescript.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\fvwm.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\gdb.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\git.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\gitcommit.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\gitconfig.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\gitrebase.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\gitsendemail.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\go.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\gpg.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\gprof.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\groovy.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\group.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\grub.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\haml.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\hamster.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\haskell.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\help.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\hgcommit.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\hog.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\hostconf.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\hostsaccess.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\html.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\htmldjango.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\indent.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\initex.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\ishd.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\j.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\java.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\javascript.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\javascriptreact.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\jproperties.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\json.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\jsp.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\kconfig.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\kwt.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\ld.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\less.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\lftp.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\libao.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\limits.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\liquid.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\lisp.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\logcheck.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\loginaccess.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\logindefs.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\logtalk.dict"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\logtalk.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\lprolog.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\lua.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\m4.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\mail.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\mailaliases.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\mailcap.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\make.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\man.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\manconf.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\markdown.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\masm.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\matlab.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\meson.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\mf.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\mma.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\modconf.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\mp.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\mplayerconf.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\mrxvtrc.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\msmessages.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\muttrc.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\nanorc.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\neomuttrc.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\netrc.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\nroff.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\nsis.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\objc.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\ocaml.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\occam.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\pamconf.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\pascal.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\passwd.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\pdf.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\perl.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\perl6.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\php.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\pinfo.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\plaintex.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\postscr.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\procmail.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\prolog.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\protocols.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\pyrex.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\python.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\qf.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\quake.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\r.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\racc.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\readline.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\README.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\registry.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\reva.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\rhelp.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\rmd.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\rnc.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\rnoweb.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\rpl.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\rrst.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\rst.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\ruby.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\rust.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\sass.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\sbt.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\scala.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\scheme.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\screen.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\scss.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\sensors.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\services.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\setserial.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\sgml.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\sh.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\sieve.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\slpconf.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\slpreg.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\slpspi.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\spec.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\sql.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\sshconfig.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\sudoers.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\svg.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\swift.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\swiftgyb.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\sysctl.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\systemd.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\systemverilog.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\tcl.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\tcsh.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\terminfo.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\tex.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\text.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\tmux.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\treetop.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\tt2html.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\typescript.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\typescriptreact.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\udevconf.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\udevperm.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\udevrules.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\updatedb.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\vb.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\verilog.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\vhdl.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\vim.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\vroom.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\wast.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\xdefaults.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\xf86conf.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\xhtml.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\xinetd.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\xml.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\xmodmap.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\xs.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\xsd.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\xslt.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\yaml.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\zimbu.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin\zsh.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\arabic.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\autocmd.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\change.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\channel.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\cmdline.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\debug.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\debugger.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\develop.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\diff.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\digraph.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\editing.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\eval.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\farsi.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\filetype.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\fold.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\ft_ada.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\ft_rust.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\ft_sql.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\gui.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\gui_w32.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\gui_x11.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\hangulin.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\hebrew.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\help.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\helphelp.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\howto.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\if_cscop.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\if_lua.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\if_mzsch.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\if_ole.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\if_perl.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\if_pyth.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\if_ruby.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\if_sniff.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\if_tcl.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\indent.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\index.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\insert.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\intro.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\map.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\mbyte.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\message.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\mlang.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\motion.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\netbeans.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\options.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\os_390.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\os_amiga.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\os_beos.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\os_dos.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\os_haiku.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\os_mac.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\os_mint.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\os_msdos.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\os_os2.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\os_qnx.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\os_risc.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\os_unix.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\os_vms.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\os_win32.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\pattern.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\pi_getscript.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\pi_gzip.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\pi_logipat.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\pi_netrw.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\pi_paren.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\pi_spec.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\pi_tar.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\pi_vimball.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\pi_zip.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\popup.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\print.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\quickfix.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\quickref.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\quotes.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\recover.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\remote.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\repeat.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\rileft.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\russian.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\scroll.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\sign.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\spell.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\sponsor.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\starting.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\syntax.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\tabpage.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\tags"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\tagsrch.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\term.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\terminal.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\testing.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\textprop.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\tips.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\todo.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\uganda.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\undo.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\usr_01.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\usr_02.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\usr_03.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\usr_04.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\usr_05.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\usr_06.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\usr_07.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\usr_08.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\usr_09.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\usr_10.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\usr_11.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\usr_12.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\usr_20.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\usr_21.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\usr_22.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\usr_23.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\usr_24.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\usr_25.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\usr_26.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\usr_27.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\usr_28.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\usr_29.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\usr_30.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\usr_31.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\usr_32.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\usr_40.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\usr_41.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\usr_42.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\usr_43.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\usr_44.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\usr_45.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\usr_46.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\usr_90.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\usr_toc.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\various.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\version4.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\version5.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\version6.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\version7.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\version8.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\vim2html.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\vim9.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\visual.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\vi_diff.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\windows.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc\workshop.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\compiler\ant.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\compiler\bcc.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\compiler\bdf.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\compiler\cargo.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\compiler\checkstyle.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\compiler\context.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\compiler\cs.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\compiler\csslint.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\compiler\cucumber.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\compiler\decada.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\compiler\dot.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\compiler\erlang.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\compiler\eruby.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\compiler\eslint.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\compiler\fortran_cv.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\compiler\fortran_elf90.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\compiler\fortran_F.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\compiler\fortran_g77.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\compiler\fortran_lf95.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\compiler\fpc.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\compiler\g95.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\compiler\gawk.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\compiler\gcc.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\compiler\gfortran.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\compiler\ghc.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\compiler\gjs.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\compiler\gnat.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\compiler\go.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\compiler\haml.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\compiler\hp_acc.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\compiler\icc.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\compiler\ifort.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\compiler\intel.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\compiler\irix5_c.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\compiler\irix5_cpp.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\compiler\javac.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\compiler\jest.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\compiler\jikes.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\compiler\jjs.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\compiler\jshint.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\compiler\jsonlint.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\compiler\mcs.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\compiler\mipspro_c89.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\compiler\mipspro_cpp.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\compiler\mips_c.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\compiler\modelsim_vcom.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\compiler\msbuild.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\compiler\msvc.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\compiler\neato.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\compiler\ocaml.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\compiler\onsgmls.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\compiler\pbx.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\compiler\perl.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\compiler\php.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\compiler\pylint.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\compiler\pyunit.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\compiler\rake.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\compiler\README.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\compiler\rspec.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\compiler\rst.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\compiler\rubocop.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\compiler\ruby.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\compiler\rubyunit.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\compiler\rustc.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\compiler\sass.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\compiler\se.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\compiler\splint.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\compiler\stack.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\compiler\standard.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\compiler\stylelint.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\compiler\tcl.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\compiler\tex.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\compiler\tidy.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\compiler\ts-node.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\compiler\tsc.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\compiler\typedoc.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\compiler\xbuild.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\compiler\xmllint.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\compiler\xmlwf.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\compiler\xo.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\colors\blue.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\colors\darkblue.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\colors\default.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\colors\delek.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\colors\desert.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\colors\elflord.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\colors\evening.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\colors\industry.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\colors\koehler.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\colors\morning.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\colors\murphy.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\colors\pablo.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\colors\peachpuff.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\colors\README.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\colors\ron.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\colors\shine.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\colors\slate.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\colors\torte.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\colors\zellner.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\colors\tools\check_colors.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\autoload\ada.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\autoload\adacomplete.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\autoload\ccomplete.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\autoload\clojurecomplete.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\autoload\context.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\autoload\contextcomplete.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\autoload\csscomplete.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\autoload\decada.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\autoload\getscript.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\autoload\gnat.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\autoload\gzip.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\autoload\haskellcomplete.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\autoload\htmlcomplete.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\autoload\javascriptcomplete.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\autoload\netrw.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\autoload\netrwFileHandlers.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\autoload\netrwSettings.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\autoload\netrw_gitignore.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\autoload\paste.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\autoload\phpcomplete.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\autoload\python3complete.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\autoload\pythoncomplete.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\autoload\README.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\autoload\RstFold.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\autoload\rubycomplete.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\autoload\rust.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\autoload\rustfmt.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\autoload\spellfile.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\autoload\sqlcomplete.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\autoload\syntaxcomplete.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\autoload\tar.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\autoload\tohtml.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\autoload\vimball.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\autoload\xmlcomplete.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\autoload\xmlformat.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\autoload\zip.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\autoload\xml\html32.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\autoload\xml\html401f.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\autoload\xml\html401s.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\autoload\xml\html401t.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\autoload\xml\html40f.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\autoload\xml\html40s.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\autoload\xml\html40t.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\autoload\xml\xhtml10f.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\autoload\xml\xhtml10s.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\autoload\xml\xhtml10t.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\autoload\xml\xhtml11.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\autoload\xml\xsd.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\autoload\xml\xsl.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\autoload\dist\ft.vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\78\xterm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\78\xterm+256color"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\78\xterm+256setaf"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\78\xterm+88color"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\78\xterm+alt+title"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\78\xterm+alt1049"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\78\xterm+app"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\78\xterm+direct"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\78\xterm+direct2"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\78\xterm+edit"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\78\xterm+indirect"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\78\xterm+kbs"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\78\xterm+keypad"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\78\xterm+noalt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\78\xterm+noapp"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\78\xterm+osc104"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\78\xterm+pc+edit"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\78\xterm+pcc0"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\78\xterm+pcc1"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\78\xterm+pcc2"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\78\xterm+pcc3"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\78\xterm+pce2"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\78\xterm+pcf0"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\78\xterm+pcf2"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\78\xterm+pcfkeys"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\78\xterm+r6f2"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\78\xterm+sl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\78\xterm+sl-twm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\78\xterm+sm+1002"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\78\xterm+sm+1003"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\78\xterm+sm+1005"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\78\xterm+sm+1006"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\78\xterm+titlestack"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\78\xterm+tmux"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\78\xterm+vt+edit"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\78\xterm+x10mouse"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\78\xterm+x11hilite"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\78\xterm+x11mouse"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\78\xterm-1002"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\78\xterm-1003"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\78\xterm-1005"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\78\xterm-1006"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\78\xterm-16color"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\78\xterm-24"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\78\xterm-256color"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\78\xterm-88color"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\78\xterm-8bit"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\78\xterm-basic"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\78\xterm-bold"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\78\xterm-color"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\78\xterm-direct"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\78\xterm-direct2"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\78\xterm-hp"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\78\xterm-mono"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\78\xterm-new"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\78\xterm-nic"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\78\xterm-noapp"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\78\xterm-old"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\78\xterm-pcolor"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\78\xterm-r5"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\78\xterm-r6"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\78\xterm-sco"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\78\xterm-sun"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\78\xterm-utf8"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\78\xterm-vt220"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\78\xterm-vt52"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\78\xterm-x10mouse"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\78\xterm-x11hilite"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\78\xterm-x11mouse"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\78\xterm-xf86-v32"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\78\xterm-xf86-v33"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\78\xterm-xf86-v333"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\78\xterm-xf86-v40"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\78\xterm-xf86-v43"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\78\xterm-xf86-v44"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\78\xterm-xfree86"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\78\xterm-xi"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\78\xterm.js"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\78\xterm1"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\78\xtermc"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\78\xtermm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\78\xterms"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\78\xterms-sun"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\73\screen"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\73\screen+fkeys"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\73\screen+italics"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\73\screen-16color"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\73\screen-16color-bce"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\73\screen-16color-bce-s"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\73\screen-16color-s"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\73\screen-256color"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\73\screen-256color-bce"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\73\screen-256color-bce-s"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\73\screen-256color-s"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\73\screen-bce"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\73\screen-bce.Eterm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\73\screen-bce.gnome"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\73\screen-bce.konsole"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\73\screen-bce.linux"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\73\screen-bce.mrxvt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\73\screen-bce.rxvt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\73\screen-bce.xterm-new"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\73\screen-s"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\73\screen-w"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\73\screen.Eterm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\73\screen.gnome"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\73\screen.konsole"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\73\screen.konsole-256color"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\73\screen.linux"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\73\screen.linux-m1"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\73\screen.linux-m1b"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\73\screen.linux-m2"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\73\screen.minitel1"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\73\screen.minitel1-nb"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\73\screen.minitel12-80"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\73\screen.minitel1b"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\73\screen.minitel1b-80"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\73\screen.minitel1b-nb"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\73\screen.minitel2-80"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\73\screen.mlterm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\73\screen.mlterm-256color"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\73\screen.mrxvt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\73\screen.putty"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\73\screen.putty-256color"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\73\screen.putty-m1"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\73\screen.putty-m1b"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\73\screen.putty-m2"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\73\screen.rxvt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\73\screen.teraterm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\73\screen.vte"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\73\screen.vte-256color"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\73\screen.xterm-256color"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\73\screen.xterm-new"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\73\screen.xterm-r6"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\73\screen.xterm-xfree86"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\73\screen2"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\73\screen3"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\73\screen4"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\73\screen5"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\64\dumb"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\63\cygwin"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\tabset\std"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\tabset\stdcrt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\tabset\vt100"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\tabset\vt300"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\pki\ca-trust-source\ca-bundle.trust.crt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\pki\ca-trust-legacy\ca-bundle.legacy.default.crt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\pki\ca-trust-legacy\ca-bundle.legacy.disable.crt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\Error.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\JSON.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\LWP.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\MailTools.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\TimeDate.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\WWW\RobotRules.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\WWW\RobotRules\AnyDBM_File.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI\data.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI\Escape.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI\file.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI\ftp.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI\gopher.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI\Heuristic.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI\http.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI\https.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI\IRI.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI\ldap.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI\ldapi.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI\ldaps.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI\mailto.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI\mms.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI\news.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI\nntp.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI\pop.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI\QueryParam.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI\rlogin.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI\rsync.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI\rtsp.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI\rtspu.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI\sftp.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI\sip.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI\sips.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI\snews.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI\Split.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI\ssh.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI\telnet.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI\tn3270.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI\URL.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI\urn.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI\WithBase.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI\_foreign.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI\_generic.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI\_idna.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI\_ldap.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI\_login.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI\_punycode.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI\_query.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI\_segment.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI\_server.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI\_userpass.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI\urn\isbn.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI\urn\oid.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI\file\Base.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI\file\FAT.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI\file\Mac.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI\file\OS2.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI\file\QNX.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI\file\Unix.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI\file\Win32.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\Try\Tiny.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\Time\Zone.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\Net\HTTP.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\Net\HTTPS.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\Net\SMTP\SSL.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\Net\HTTP\Methods.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\Net\HTTP\NB.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\MIME\Body.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\MIME\Decoder.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\MIME\Entity.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\MIME\Head.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\MIME\Parser.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\MIME\Tools.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\MIME\WordDecoder.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\MIME\Words.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\MIME\Parser\Filer.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\MIME\Parser\Reader.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\MIME\Parser\Results.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\MIME\Field\ContDisp.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\MIME\Field\ConTraEnc.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\MIME\Field\ContType.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\MIME\Field\ParamVal.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\MIME\Decoder\Base64.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\MIME\Decoder\Binary.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\MIME\Decoder\BinHex.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\MIME\Decoder\Gzip64.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\MIME\Decoder\NBit.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\MIME\Decoder\QuotedPrint.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\MIME\Decoder\UU.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\Mail\Address.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\Mail\Cap.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\Mail\Field.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\Mail\Filter.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\Mail\Header.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\Mail\Internet.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\Mail\Mailer.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\Mail\Send.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\Mail\Util.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\Mail\Mailer\qmail.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\Mail\Mailer\rfc822.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\Mail\Mailer\sendmail.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\Mail\Mailer\smtp.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\Mail\Mailer\smtps.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\Mail\Mailer\testfile.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\Mail\Field\AddrList.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\Mail\Field\Date.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\Mail\Field\Generic.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\LWP\ConnCache.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\LWP\Debug.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\LWP\DebugFile.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\LWP\media.types"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\LWP\MediaTypes.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\LWP\MemberMixin.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\LWP\Protocol.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\LWP\RobotUA.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\LWP\Simple.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\LWP\UserAgent.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\LWP\Protocol\cpan.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\LWP\Protocol\data.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\LWP\Protocol\file.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\LWP\Protocol\ftp.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\LWP\Protocol\gopher.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\LWP\Protocol\http.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\LWP\Protocol\loopback.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\LWP\Protocol\mailto.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\LWP\Protocol\nntp.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\LWP\Protocol\nogo.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\LWP\Debug\TraceHTTP.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\LWP\Authen\Basic.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\LWP\Authen\Digest.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\LWP\Authen\Ntlm.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\JSON\backportPP.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\JSON\backportPP\Boolean.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\JSON\backportPP\Compat5005.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\JSON\backportPP\Compat5006.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\IO\AtomicFile.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\IO\HTML.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\IO\InnerFile.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\IO\Lines.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\IO\Scalar.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\IO\ScalarArray.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\IO\Stringy.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\IO\Wrap.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\IO\WrapTie.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\IO\Socket\SSL.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\IO\Socket\SSL\Intercept.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\IO\Socket\SSL\PublicSuffix.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\IO\Socket\SSL\Utils.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\HTTP\Config.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\HTTP\Cookies.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\HTTP\Daemon.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\HTTP\Date.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\HTTP\Headers.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\HTTP\Message.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\HTTP\Negotiate.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\HTTP\Request.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\HTTP\Response.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\HTTP\Status.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\HTTP\Request\Common.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\HTTP\Headers\Auth.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\HTTP\Headers\ETag.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\HTTP\Headers\Util.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\HTTP\Cookies\Microsoft.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\HTTP\Cookies\Netscape.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\HTML\Tagset.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\File\Listing.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\Error\Simple.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\Encode\Locale.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\Date\Format.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\Date\Language.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\Date\Parse.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\Date\Language\Afar.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\Date\Language\Amharic.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\Date\Language\Austrian.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\Date\Language\Brazilian.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\Date\Language\Bulgarian.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\Date\Language\Chinese.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\Date\Language\Chinese_GB.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\Date\Language\Czech.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\Date\Language\Danish.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\Date\Language\Dutch.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\Date\Language\English.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\Date\Language\Finnish.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\Date\Language\French.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\Date\Language\Gedeo.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\Date\Language\German.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\Date\Language\Greek.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\Date\Language\Hungarian.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\Date\Language\Icelandic.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\Date\Language\Italian.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\Date\Language\Norwegian.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\Date\Language\Occitan.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\Date\Language\Oromo.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\Date\Language\Romanian.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\Date\Language\Russian.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\Date\Language\Russian_cp1251.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\Date\Language\Russian_koi8r.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\Date\Language\Sidama.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\Date\Language\Somali.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\Date\Language\Spanish.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\Date\Language\Swedish.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\Date\Language\Tigrinya.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\Date\Language\TigrinyaEritrean.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\Date\Language\TigrinyaEthiopian.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\Date\Language\Turkish.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\Convert\BinHex.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\Authen\SASL.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\Authen\SASL\CRAM_MD5.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\Authen\SASL\EXTERNAL.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\Authen\SASL\Perl.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\Authen\SASL\Perl\ANONYMOUS.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\Authen\SASL\Perl\CRAM_MD5.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\Authen\SASL\Perl\DIGEST_MD5.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\Authen\SASL\Perl\EXTERNAL.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\Authen\SASL\Perl\GSSAPI.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\Authen\SASL\Perl\LOGIN.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\Authen\SASL\Perl\PLAIN.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\AnyDBM_File.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\autodie.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\AutoLoader.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\AutoSplit.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\autouse.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\base.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Benchmark.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\bigint.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\bignum.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\bigrat.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\blib.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\bytes.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\bytes_heavy.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Carp.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\charnames.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\constant.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\CPAN.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\DB.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\DBM_Filter.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\deprecate.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\diagnostics.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Digest.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\DirHandle.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Dumpvalue.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\dumpvar.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\English.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Env.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\experimental.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Exporter.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Fatal.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\feature.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\fields.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\FileCache.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\FileHandle.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\filetest.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\FindBin.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\if.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\integer.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\less.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\locale.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Memoize.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\meta_notation.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\NEXT.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\ok.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\open.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\overload.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\overloading.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\parent.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\perl5db.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\perlfaq.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\PerlIO.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Safe.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\SelectSaver.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\SelfLoader.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\sigtrap.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\sort.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\strict.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\subs.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Symbol.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Test.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Test2.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Thread.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\UNIVERSAL.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\utf8.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\vars.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\version.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\vmsish.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\warnings.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\XSLoader.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\_charnames.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Win32API\File\cFile.pc"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\warnings\register.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\version\regex.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\User\grent.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\User\pwent.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\Blocks.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\CombiningClass.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\Decomposition.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\Name.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\Name.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\NamedSequences.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\SpecialCasing.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\UCD.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\uni_keywords.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\version"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\To\Age.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\To\Bc.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\To\Bmg.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\To\Bpb.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\To\Bpt.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\To\Cf.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\To\Digit.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\To\Ea.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\To\EqUIdeo.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\To\Fold.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\To\Gc.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\To\GCB.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\To\Hst.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\To\Identif2.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\To\Identifi.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\To\InPC.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\To\InSC.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\To\Isc.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\To\Jg.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\To\Jt.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\To\Lb.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\To\Lc.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\To\Lower.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\To\Na1.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\To\NameAlia.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\To\NFCQC.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\To\NFDQC.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\To\NFKCCF.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\To\NFKCQC.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\To\NFKDQC.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\To\Nt.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\To\Nv.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\To\PerlDeci.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\To\SB.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\To\Sc.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\To\Scx.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\To\Tc.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\To\Title.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\To\Uc.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\To\Upper.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\To\Vo.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\To\WB.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\To\_PerlLB.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\To\_PerlSCX.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\XIDS\Y.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\XIDC\Y.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\WB\EX.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\WB\Extend.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\WB\FO.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\WB\HL.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\WB\KA.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\WB\LE.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\WB\MB.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\WB\ML.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\WB\MN.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\WB\NU.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\WB\WSegSpac.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\WB\XX.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Vo\R.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Vo\Tr.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Vo\Tu.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Vo\U.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Upper\Y.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\UIdeo\Y.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Term\Y.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\STerm\Y.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\SD\Y.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Adlm.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Arab.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Armn.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Beng.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Bhks.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Bopo.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Cakm.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Cham.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Copt.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Cprt.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Cyrl.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Deva.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Diak.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Dupl.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Ethi.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Geor.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Glag.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Gong.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Gonm.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Gran.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Grek.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Gujr.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Guru.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Han.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Hang.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Hebr.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Hira.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Hmng.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Hmnp.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Kana.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Khar.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Khmr.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Khoj.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Knda.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Kthi.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Lana.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Lao.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Latn.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Limb.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Lina.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Linb.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Mlym.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Mong.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Mult.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Mymr.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Nand.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Orya.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Phlp.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Rohg.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Shrd.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Sind.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Sinh.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Syrc.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Tagb.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Takr.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Talu.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Taml.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Tang.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Telu.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Thaa.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Tibt.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Tirh.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Xsux.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Yezi.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Yi.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Zinh.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Zyyy.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx\Zzzz.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Sc\Arab.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Sc\Beng.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Sc\Cprt.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Sc\Cyrl.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Sc\Deva.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Sc\Dupl.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Sc\Geor.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Sc\Glag.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Sc\Gong.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Sc\Gonm.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Sc\Gran.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Sc\Grek.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Sc\Gujr.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Sc\Guru.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Sc\Han.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Sc\Hang.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Sc\Hira.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Sc\Kana.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Sc\Knda.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Sc\Latn.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Sc\Limb.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Sc\Linb.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Sc\Mlym.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Sc\Mong.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Sc\Mult.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Sc\Orya.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Sc\Sinh.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Sc\Syrc.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Sc\Taml.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Sc\Telu.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Sc\Zinh.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Sc\Zyyy.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\SB\AT.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\SB\CL.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\SB\EX.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\SB\FO.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\SB\LE.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\SB\LO.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\SB\NU.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\SB\SC.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\SB\Sp.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\SB\ST.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\SB\UP.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\SB\XX.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\QMark\Y.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Perl\Alnum.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Perl\Assigned.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Perl\Blank.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Perl\Graph.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Perl\PerlWord.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Perl\PosixPun.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Perl\Print.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Perl\SpacePer.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Perl\Title.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Perl\Word.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Perl\XPosixPu.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Perl\_PerlAny.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Perl\_PerlCh2.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Perl\_PerlCha.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Perl\_PerlFol.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Perl\_PerlIDC.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Perl\_PerlIDS.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Perl\_PerlIsI.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Perl\_PerlNch.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Perl\_PerlPat.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Perl\_PerlPr2.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Perl\_PerlPro.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Perl\_PerlQuo.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\PCM\Y.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\PatSyn\Y.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\0.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\1.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\10.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\100.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\1000.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\10000.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\100000.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\11.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\12.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\13.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\14.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\15.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\16.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\17.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\18.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\19.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\1_16.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\1_2.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\1_3.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\1_4.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\1_6.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\1_8.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\2.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\20.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\200.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\2000.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\20000.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\2_3.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\3.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\30.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\300.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\3000.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\30000.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\3_16.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\3_4.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\4.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\40.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\400.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\4000.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\40000.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\5.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\50.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\500.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\5000.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\50000.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\6.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\60.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\600.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\6000.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\60000.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\7.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\70.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\700.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\7000.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\70000.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\8.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\80.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\800.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\8000.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\80000.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\9.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\90.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\900.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\9000.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv\90000.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nt\Di.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nt\None.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nt\Nu.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\NFKDQC\N.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\NFKDQC\Y.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\NFKCQC\N.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\NFKCQC\Y.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\NFDQC\N.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\NFDQC\Y.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\NFCQC\M.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\NFCQC\Y.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Math\Y.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Lower\Y.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Lb\AI.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Lb\AL.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Lb\BA.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Lb\BB.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Lb\CJ.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Lb\CL.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Lb\CM.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Lb\EX.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Lb\GL.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Lb\ID.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Lb\IN.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Lb\IS.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Lb\NS.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Lb\NU.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Lb\OP.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Lb\PO.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Lb\PR.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Lb\QU.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Lb\SA.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Lb\XX.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Jt\C.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Jt\D.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Jt\L.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Jt\R.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Jt\T.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Jt\U.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Jg\Ain.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Jg\Alef.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Jg\Beh.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Jg\Dal.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Jg\FarsiYeh.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Jg\Feh.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Jg\Gaf.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Jg\Hah.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Jg\HanifiRo.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Jg\Kaf.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Jg\Lam.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Jg\NoJoinin.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Jg\Qaf.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Jg\Reh.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Jg\Sad.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Jg\Seen.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Jg\Waw.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Jg\Yeh.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\InSC\Avagraha.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\InSC\Bindu.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\InSC\Cantilla.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\InSC\Consona2.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\InSC\Consona3.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\InSC\Consona4.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\InSC\Consona5.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\InSC\Consona6.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\InSC\Consona7.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\InSC\Consona8.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\InSC\Consona9.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\InSC\Consonan.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\InSC\Invisibl.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\InSC\Nukta.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\InSC\Number.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\InSC\Other.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\InSC\PureKill.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\InSC\Syllable.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\InSC\ToneMark.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\InSC\Virama.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\InSC\Visarga.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\InSC\Vowel.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\InSC\VowelDep.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\InSC\VowelInd.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\InPC\Bottom.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\InPC\BottomAn.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\InPC\Left.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\InPC\LeftAndR.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\InPC\NA.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\InPC\Overstru.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\InPC\Right.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\InPC\Top.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\InPC\TopAndBo.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\InPC\TopAndL2.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\InPC\TopAndLe.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\InPC\TopAndRi.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\InPC\VisualOr.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\In\10_0.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\In\11_0.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\In\12_0.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\In\12_1.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\In\13_0.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\In\2_0.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\In\2_1.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\In\3_0.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\In\3_1.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\In\3_2.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\In\4_0.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\In\4_1.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\In\5_0.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\In\5_1.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\In\5_2.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\In\6_0.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\In\6_1.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\In\6_2.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\In\6_3.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\In\7_0.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\In\8_0.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\In\9_0.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\IdType\DefaultI.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\IdType\Exclusio.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\IdType\Inclusio.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\IdType\LimitedU.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\IdType\NotChara.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\IdType\NotNFKC.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\IdType\NotXID.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\IdType\Obsolete.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\IdType\Recommen.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\IdType\Technica.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\IdType\Uncommon.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\IdStatus\Allowed.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\IdStatus\Restrict.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\IDS\Y.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Ideo\Y.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\IDC\Y.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Hyphen\T.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Hst\NA.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Hex\Y.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\GrExt\Y.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\GrBase\Y.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\GCB\CN.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\GCB\EX.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\GCB\LV.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\GCB\LVT.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\GCB\PP.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\GCB\SM.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\GCB\XX.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Gc\C.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Gc\Cf.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Gc\Cn.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Gc\L.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Gc\LC.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Gc\Ll.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Gc\Lm.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Gc\Lo.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Gc\Lu.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Gc\M.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Gc\Mc.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Gc\Me.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Gc\Mn.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Gc\N.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Gc\Nd.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Gc\Nl.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Gc\No.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Gc\P.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Gc\Pc.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Gc\Pd.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Gc\Pe.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Gc\Pf.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Gc\Pi.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Gc\Po.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Gc\Ps.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Gc\S.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Gc\Sc.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Gc\Sk.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Gc\Sm.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Gc\So.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Gc\Z.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Gc\Zs.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\ExtPict\Y.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Ext\Y.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\EPres\Y.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Emoji\Y.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\EComp\Y.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\EBase\Y.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Ea\A.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Ea\H.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Ea\N.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Ea\Na.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Ea\W.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Dt\Com.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Dt\Enc.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Dt\Fin.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Dt\Font.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Dt\Init.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Dt\Iso.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Dt\Med.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Dt\Nar.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Dt\Nb.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Dt\NonCanon.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Dt\Sqr.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Dt\Sub.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Dt\Sup.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Dt\Vert.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Dia\Y.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\DI\Y.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Dep\Y.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Dash\Y.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\CWU\Y.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\CWT\Y.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\CWL\Y.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\CWKCF\Y.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\CWCM\Y.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\CWCF\Y.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\CompEx\Y.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\CI\Y.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\CE\Y.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Ccc\A.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Ccc\AL.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Ccc\AR.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Ccc\ATAR.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Ccc\B.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Ccc\BR.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Ccc\DB.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Ccc\NK.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Ccc\NR.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Ccc\OV.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Ccc\VR.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Cased\Y.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Bpt\C.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Bpt\N.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Bpt\O.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Blk\NB.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\BidiM\Y.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\BidiC\Y.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Bc\AL.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Bc\AN.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Bc\B.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Bc\BN.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Bc\CS.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Bc\EN.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Bc\ES.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Bc\ET.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Bc\L.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Bc\NSM.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Bc\ON.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Bc\R.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Bc\WS.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Alpha\Y.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Age\NA.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Age\V100.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Age\V11.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Age\V110.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Age\V120.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Age\V130.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Age\V20.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Age\V30.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Age\V31.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Age\V32.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Age\V40.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Age\V41.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Age\V50.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Age\V51.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Age\V52.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Age\V60.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Age\V61.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Age\V70.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Age\V80.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Age\V90.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Time\gmtime.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Time\Local.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Time\localtime.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Time\tm.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Tie\Array.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Tie\File.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Tie\Handle.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Tie\Hash.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Tie\Memoize.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Tie\RefHash.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Tie\Scalar.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Tie\StdHandle.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Tie\SubstrHash.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Tie\Hash\NamedCapture.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Thread\Queue.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Thread\Semaphore.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Text\Abbrev.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Text\Balanced.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Text\ParseWords.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Text\Tabs.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Text\Wrap.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\API.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\Event.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\EventFacet.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\Formatter.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\Hub.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\IPC.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\Util.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\Util\ExternalMeta.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\Util\Facets2Legacy.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\Util\HashBase.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\Util\Trace.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\Tools\Tiny.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\IPC\Driver.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\IPC\Driver\Files.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\Hub\Interceptor.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\Hub\Subtest.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\Hub\Interceptor\Terminator.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\Formatter\TAP.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\EventFacet\About.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\EventFacet\Amnesty.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\EventFacet\Assert.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\EventFacet\Control.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\EventFacet\Error.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\EventFacet\Hub.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\EventFacet\Info.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\EventFacet\Meta.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\EventFacet\Parent.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\EventFacet\Plan.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\EventFacet\Render.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\EventFacet\Trace.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\EventFacet\Info\Table.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\Event\Bail.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\Event\Diag.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\Event\Encoding.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\Event\Exception.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\Event\Fail.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\Event\Generic.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\Event\Note.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\Event\Ok.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\Event\Pass.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\Event\Plan.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\Event\Skip.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\Event\Subtest.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\Event\V2.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\Event\Waiting.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\Event\TAP\Version.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\API\Breakage.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\API\Context.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\API\Instance.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\API\Stack.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Test\Builder.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Test\Harness.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Test\More.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Test\Simple.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Test\Tester.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Test\use\ok.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Test\Tester\Capture.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Test\Tester\CaptureRunner.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Test\Tester\Delegate.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Test\Builder\Formatter.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Test\Builder\Module.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Test\Builder\Tester.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Test\Builder\TodoDiag.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Test\Builder\Tester\Color.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Test\Builder\IO\Scalar.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Term\ANSIColor.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Term\Cap.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Term\Complete.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Term\ReadLine.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Search\Dict.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\PerlIO\via\QuotedPrint.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Perl\OSType.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Parse\CPAN\Meta.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Params\Check.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\overload\numbers.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Net\Cmd.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Net\Config.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Net\Domain.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Net\FTP.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Net\hostent.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Net\netent.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Net\Netrc.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Net\NNTP.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Net\Ping.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Net\POP3.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Net\protoent.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Net\servent.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Net\SMTP.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Net\Time.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Net\FTP\A.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Net\FTP\dataconn.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Net\FTP\E.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Net\FTP\I.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Net\FTP\L.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Module\CoreList.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Module\Load.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Module\Loaded.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Module\Metadata.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Module\Load\Conditional.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Module\CoreList\Utils.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Memoize\AnyDBM_File.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Memoize\Expire.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Memoize\ExpireFile.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Memoize\ExpireTest.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Memoize\NDBM_File.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Memoize\SDBM_File.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Memoize\Storable.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Math\BigFloat.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Math\BigInt.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Math\BigRat.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Math\Complex.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Math\Trig.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Math\BigInt\Calc.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Math\BigInt\Lib.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Math\BigInt\Trace.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Math\BigFloat\Trace.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\JSON\PP.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\JSON\PP\Boolean.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\IPC\Cmd.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\IPC\Open2.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\IPC\Open3.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\IO\Zlib.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\IO\Uncompress\AnyInflate.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\IO\Uncompress\AnyUncompress.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\IO\Uncompress\Base.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\IO\Uncompress\Bunzip2.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\IO\Uncompress\Gunzip.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\IO\Uncompress\Inflate.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\IO\Uncompress\RawInflate.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\IO\Uncompress\Unzip.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\IO\Uncompress\Adapter\Bunzip2.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\IO\Uncompress\Adapter\Identity.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\IO\Uncompress\Adapter\Inflate.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\IO\Socket\IP.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\IO\Compress\Base.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\IO\Compress\Bzip2.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\IO\Compress\Deflate.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\IO\Compress\Gzip.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\IO\Compress\RawDeflate.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\IO\Compress\Zip.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\IO\Compress\Zlib\Constants.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\IO\Compress\Zlib\Extra.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\IO\Compress\Zip\Constants.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\IO\Compress\Gzip\Constants.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\IO\Compress\Base\Common.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\IO\Compress\Adapter\Bzip2.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\IO\Compress\Adapter\Deflate.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\IO\Compress\Adapter\Identity.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\I18N\Collate.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\I18N\LangTags.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\I18N\LangTags\Detect.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\I18N\LangTags\List.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\HTTP\Tiny.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Getopt\Long.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Getopt\Std.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Filter\Simple.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\File\Basename.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\File\Compare.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\File\Copy.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\File\Fetch.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\File\Find.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\File\GlobMapper.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\File\Path.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\File\stat.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\File\Temp.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Exporter\Heavy.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\encoding\warnings.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Encode\Changes.e2x"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Encode\ConfigLocal_PM.e2x"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Encode\Makefile_PL.e2x"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Encode\README.e2x"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Encode\_PM.e2x"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Encode\_T.e2x"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Digest\base.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Digest\file.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Devel\SelfStubber.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\DBM_Filter\compress.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\DBM_Filter\encode.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\DBM_Filter\int32.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\DBM_Filter\null.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\DBM_Filter\utf8.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Config\Extensions.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Config\Perl\V.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Compress\Zlib.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Class\Struct.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Carp\Heavy.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\B\Deparse.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\B\Op_private.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\autodie\exception.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\autodie\hints.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\autodie\skip.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\autodie\Util.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\autodie\Scope\Guard.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\autodie\Scope\GuardStack.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\autodie\exception\system.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Attribute\Handlers.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Archive\Tar.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Archive\Tar\Constant.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Archive\Tar\File.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\App\Cpan.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\App\Prove.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\App\Prove\State.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\App\Prove\State\Result.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\App\Prove\State\Result\Test.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\p11-kit\modules\p11-kit-trust.module"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\nano\asm.nanorc"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\nano\autoconf.nanorc"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\nano\awk.nanorc"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\nano\c.nanorc"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\nano\changelog.nanorc"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\nano\cmake.nanorc"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\nano\css.nanorc"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\nano\debian.nanorc"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\nano\default.nanorc"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\nano\elisp.nanorc"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\nano\fortran.nanorc"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\nano\gentoo.nanorc"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\nano\git.nanorc"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\nano\go.nanorc"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\nano\groff.nanorc"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\nano\guile.nanorc"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\nano\html.nanorc"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\nano\java.nanorc"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\nano\javascript.nanorc"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\nano\json.nanorc"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\nano\lua.nanorc"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\nano\makefile.nanorc"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\nano\man.nanorc"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\nano\mgp.nanorc"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\nano\mutt.nanorc"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\nano\nanohelp.nanorc"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\nano\nanorc.nanorc"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\nano\nftables.nanorc"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\nano\objc.nanorc"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\nano\ocaml.nanorc"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\nano\patch.nanorc"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\nano\perl.nanorc"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\nano\php.nanorc"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\nano\po.nanorc"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\nano\postgresql.nanorc"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\nano\pov.nanorc"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\nano\python.nanorc"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\nano\ruby.nanorc"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\nano\rust.nanorc"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\nano\sh.nanorc"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\nano\spec.nanorc"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\nano\tcl.nanorc"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\nano\tex.nanorc"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\nano\texinfo.nanorc"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\nano\xml.nanorc"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\misc\magic.mgc"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\mintty\themes\dracula"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\mintty\themes\flat-ui"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\mintty\themes\gruvbox"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\mintty\themes\html"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\mintty\themes\mintty"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\mintty\themes\nord"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\mintty\themes\rosipov"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\mintty\themes\vga"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\mintty\themes\windows10"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\mintty\themes\xterm"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\mintty\lang\de.po"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\mintty\lang\en.po"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\mintty\lang\en_US.po"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\mintty\lang\es.po"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\mintty\lang\fr.po"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\mintty\lang\hr.po"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\mintty\lang\ja.po"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\mintty\lang\messages.pot"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\mintty\lang\nb.po"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\mintty\lang\pt_BR.po"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\mintty\lang\ru.po"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\mintty\lang\sv.po"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\mintty\lang\zh_CN.po"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\mintty\lang\zh_TW.po"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\makepkg-template\perl-binary-module-dependency-1.template"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\makepkg-template\perl-binary-module-dependency.template"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\makepkg\lint_package\zzz_rm_stackdumps.sh"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\licenses\zlib\LICENSE"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\licenses\vim\license.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\licenses\unzip\LICENSE"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\licenses\tcl\LICENSE"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\licenses\perl-Try-Tiny\LICENSE"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\licenses\perl-TermReadKey\LICENSE"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\licenses\perl-Net-SSLeay\LICENSE"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\licenses\p11-kit\COPYING"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\licenses\openssl\LICENSE"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\licenses\openssh\LICENCE"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\licenses\ncurses\license.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\licenses\mintty\LICENSE"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\licenses\mintty\LICENSE.Oxygen"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\licenses\mintty\LICENSE.PuTTY"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\licenses\libxslt\COPYING"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\licenses\libxml2\COPYING"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\licenses\libssh2\LICENSE"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\licenses\libsqlite\LICENSE"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\licenses\libsasl\COPYING"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\licenses\libpsl\COPYING"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\licenses\libnghttp2\COPYING"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\licenses\libksba\COPYING"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\licenses\libffi\LICENSE"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\licenses\libedit\LICENSE"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\licenses\libassuan\COPYING"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\licenses\gcc-libs\RUNTIME.LIBRARY.EXCEPTION"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\licenses\file\COPYING"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\licenses\expat\COPYING"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\licenses\dos2unix\LICENSE"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\icons\locolor\32x32\apps\gvim.png"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\icons\locolor\16x16\apps\gvim.png"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\icons\hicolor\48x48\apps\gvim.png"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\gnupg\distsigkey.gpg"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\gnupg\help.be.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\gnupg\help.ca.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\gnupg\help.cs.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\gnupg\help.da.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\gnupg\help.de.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\gnupg\help.el.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\gnupg\help.eo.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\gnupg\help.es.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\gnupg\help.et.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\gnupg\help.fi.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\gnupg\help.fr.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\gnupg\help.gl.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\gnupg\help.hu.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\gnupg\help.id.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\gnupg\help.it.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\gnupg\help.ja.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\gnupg\help.nb.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\gnupg\help.pl.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\gnupg\help.pt.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\gnupg\help.pt_BR.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\gnupg\help.ro.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\gnupg\help.ru.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\gnupg\help.sk.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\gnupg\help.sv.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\gnupg\help.tr.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\gnupg\help.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\gnupg\help.zh_CN.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\gnupg\help.zh_TW.txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\gnupg\sks-keyservers.netCA.pem"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\glib-2.0\schemas\gschema.dtd"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\glib-2.0\gdb\glib_gdb.py"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\glib-2.0\gdb\gobject_gdb.py"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\git\git-for-windows.ico"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\git\git.ico"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\git\msys2-32.ico"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\gdb\auto-load\usr\lib\msys-glib-2.0-0.dll-gdb.py"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\gdb\auto-load\usr\lib\msys-gobject-2.0-0.dll-gdb.py"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\fish\vendor_conf.d\perlbin.fish"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\cygwin\cygwin.ldif"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\bash-completion\completions\gapplication"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\bash-completion\completions\gdbus"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\bash-completion\completions\gio"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\bash-completion\completions\gresource"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\bash-completion\completions\gsettings"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\bash-completion\completions\sdk"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\bash-completion\completions\subversion"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\bash-completion\completions\svn"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\bash-completion\completions\svnadmin"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\bash-completion\completions\svndumpfilter"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\bash-completion\completions\svnlook"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\bash-completion\completions\svnsync"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\bash-completion\completions\svnversion"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\bash-completion\completions\tig"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\bash-completion\completions\vim"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\awk\assert.awk"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\awk\bits2str.awk"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\awk\cliff_rand.awk"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\awk\ctime.awk"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\awk\ftrans.awk"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\awk\getopt.awk"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\awk\gettime.awk"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\awk\group.awk"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\awk\have_mpfr.awk"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\awk\inplace.awk"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\awk\intdiv0.awk"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\awk\join.awk"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\awk\libintl.awk"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\awk\noassign.awk"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\awk\ns_passwd.awk"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\awk\ord.awk"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\awk\passwd.awk"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\awk\processarray.awk"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\awk\quicksort.awk"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\awk\readable.awk"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\awk\readfile.awk"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\awk\rewind.awk"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\awk\round.awk"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\awk\shellquote.awk"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\awk\strtonum.awk"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\awk\walkarray.awk"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\awk\zerofile.awk"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\applications\gvim.desktop"
Delete "$INSTDIR\vendor\git-for-windows\usr\share\applications\vim.desktop"
Delete "$INSTDIR\vendor\git-for-windows\usr\libexec\frcode.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\libexec\getprocaddr32.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\libexec\getprocaddr64.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\libexec\p11-kit\p11-kit-remote.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\libexec\p11-kit\p11-kit-server.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\libexec\p11-kit\trust-extract-compat"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tclConfig.sh"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tclooConfig.sh"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\winpty.lib"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\78\xterm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\78\xterm+256color"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\78\xterm+256setaf"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\78\xterm+88color"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\78\xterm+alt+title"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\78\xterm+alt1049"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\78\xterm+app"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\78\xterm+direct"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\78\xterm+direct2"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\78\xterm+edit"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\78\xterm+indirect"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\78\xterm+kbs"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\78\xterm+keypad"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\78\xterm+noalt"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\78\xterm+noapp"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\78\xterm+osc104"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\78\xterm+pc+edit"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\78\xterm+pcc0"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\78\xterm+pcc1"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\78\xterm+pcc2"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\78\xterm+pcc3"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\78\xterm+pce2"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\78\xterm+pcf0"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\78\xterm+pcf2"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\78\xterm+pcfkeys"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\78\xterm+r6f2"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\78\xterm+sl"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\78\xterm+sl-twm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\78\xterm+sm+1002"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\78\xterm+sm+1003"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\78\xterm+sm+1005"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\78\xterm+sm+1006"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\78\xterm+titlestack"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\78\xterm+tmux"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\78\xterm+vt+edit"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\78\xterm+x10mouse"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\78\xterm+x11hilite"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\78\xterm+x11mouse"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\78\xterm-1002"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\78\xterm-1003"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\78\xterm-1005"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\78\xterm-1006"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\78\xterm-16color"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\78\xterm-24"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\78\xterm-256color"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\78\xterm-88color"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\78\xterm-8bit"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\78\xterm-basic"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\78\xterm-bold"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\78\xterm-color"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\78\xterm-direct"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\78\xterm-direct2"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\78\xterm-hp"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\78\xterm-mono"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\78\xterm-new"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\78\xterm-nic"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\78\xterm-noapp"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\78\xterm-old"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\78\xterm-pcolor"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\78\xterm-r5"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\78\xterm-r6"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\78\xterm-sco"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\78\xterm-sun"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\78\xterm-utf8"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\78\xterm-vt220"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\78\xterm-vt52"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\78\xterm-x10mouse"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\78\xterm-x11hilite"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\78\xterm-x11mouse"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\78\xterm-xf86-v32"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\78\xterm-xf86-v33"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\78\xterm-xf86-v333"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\78\xterm-xf86-v40"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\78\xterm-xf86-v43"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\78\xterm-xf86-v44"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\78\xterm-xfree86"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\78\xterm-xi"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\78\xterm.js"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\78\xterm1"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\78\xtermc"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\78\xtermm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\78\xterms"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\78\xterms-sun"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\73\screen"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\73\screen+fkeys"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\73\screen+italics"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\73\screen-16color"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\73\screen-16color-bce"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\73\screen-16color-bce-s"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\73\screen-16color-s"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\73\screen-256color"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\73\screen-256color-bce"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\73\screen-256color-bce-s"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\73\screen-256color-s"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\73\screen-bce"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\73\screen-bce.Eterm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\73\screen-bce.gnome"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\73\screen-bce.konsole"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\73\screen-bce.linux"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\73\screen-bce.mrxvt"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\73\screen-bce.rxvt"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\73\screen-bce.xterm-new"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\73\screen-s"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\73\screen-w"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\73\screen.Eterm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\73\screen.gnome"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\73\screen.konsole"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\73\screen.konsole-256color"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\73\screen.linux"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\73\screen.linux-m1"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\73\screen.linux-m1b"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\73\screen.linux-m2"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\73\screen.minitel1"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\73\screen.minitel1-nb"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\73\screen.minitel12-80"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\73\screen.minitel1b"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\73\screen.minitel1b-80"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\73\screen.minitel1b-nb"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\73\screen.minitel2-80"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\73\screen.mlterm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\73\screen.mlterm-256color"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\73\screen.mrxvt"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\73\screen.putty"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\73\screen.putty-256color"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\73\screen.putty-m1"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\73\screen.putty-m1b"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\73\screen.putty-m2"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\73\screen.rxvt"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\73\screen.teraterm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\73\screen.vte"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\73\screen.vte-256color"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\73\screen.xterm-256color"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\73\screen.xterm-new"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\73\screen.xterm-r6"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\73\screen.xterm-xfree86"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\73\screen2"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\73\screen3"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\73\screen4"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\73\screen5"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\64\dumb"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\63\cygwin"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\auto.tcl"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\clock.tcl"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\history.tcl"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\init.tcl"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\package.tcl"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\parray.tcl"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\safe.tcl"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\tclConfig.sh"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\tclIndex"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\tm.tcl"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\word.tcl"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\opt0.4\optparse.tcl"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\opt0.4\pkgIndex.tcl"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\af.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\af_za.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\ar.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\ar_in.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\ar_jo.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\ar_lb.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\ar_sy.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\be.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\bg.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\bn.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\bn_in.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\ca.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\cs.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\da.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\de.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\de_at.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\de_be.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\el.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\en_au.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\en_be.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\en_bw.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\en_ca.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\en_gb.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\en_hk.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\en_ie.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\en_in.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\en_nz.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\en_ph.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\en_sg.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\en_za.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\en_zw.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\eo.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\es.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\es_ar.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\es_bo.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\es_cl.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\es_co.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\es_cr.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\es_do.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\es_ec.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\es_gt.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\es_hn.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\es_mx.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\es_ni.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\es_pa.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\es_pe.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\es_pr.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\es_py.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\es_sv.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\es_uy.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\es_ve.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\et.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\eu.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\eu_es.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\fa.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\fa_in.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\fa_ir.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\fi.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\fo.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\fo_fo.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\fr.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\fr_be.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\fr_ca.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\fr_ch.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\ga.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\ga_ie.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\gl.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\gl_es.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\gv.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\gv_gb.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\he.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\hi.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\hi_in.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\hr.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\hu.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\id.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\id_id.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\is.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\it.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\it_ch.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\ja.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\kl.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\kl_gl.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\ko.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\kok.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\kok_in.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\ko_kr.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\kw.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\kw_gb.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\lt.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\lv.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\mk.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\mr.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\mr_in.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\ms.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\ms_my.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\mt.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\nb.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\nl.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\nl_be.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\nn.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\pl.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\pt.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\pt_br.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\ro.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\ru.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\ru_ua.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\sh.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\sk.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\sl.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\sq.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\sr.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\sv.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\sw.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\ta.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\ta_in.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\te.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\te_in.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\th.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\tr.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\uk.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\vi.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\zh.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\zh_cn.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\zh_hk.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\zh_sg.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs\zh_tw.msg"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\http1.0\http.tcl"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\http1.0\pkgIndex.tcl"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\encoding\ascii.enc"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\encoding\big5.enc"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\encoding\cp1250.enc"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\encoding\cp1251.enc"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\encoding\cp1252.enc"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\encoding\cp1253.enc"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\encoding\cp1254.enc"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\encoding\cp1255.enc"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\encoding\cp1256.enc"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\encoding\cp1257.enc"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\encoding\cp1258.enc"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\encoding\cp437.enc"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\encoding\cp737.enc"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\encoding\cp775.enc"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\encoding\cp850.enc"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\encoding\cp852.enc"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\encoding\cp855.enc"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\encoding\cp857.enc"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\encoding\cp860.enc"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\encoding\cp861.enc"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\encoding\cp862.enc"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\encoding\cp863.enc"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\encoding\cp864.enc"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\encoding\cp865.enc"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\encoding\cp866.enc"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\encoding\cp869.enc"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\encoding\cp874.enc"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\encoding\cp932.enc"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\encoding\cp936.enc"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\encoding\cp949.enc"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\encoding\cp950.enc"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\encoding\dingbats.enc"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\encoding\ebcdic.enc"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\encoding\euc-cn.enc"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\encoding\euc-jp.enc"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\encoding\euc-kr.enc"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\encoding\gb12345.enc"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\encoding\gb1988.enc"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\encoding\gb2312-raw.enc"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\encoding\gb2312.enc"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\encoding\iso2022-jp.enc"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\encoding\iso2022-kr.enc"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\encoding\iso2022.enc"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\encoding\iso8859-1.enc"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\encoding\iso8859-10.enc"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\encoding\iso8859-13.enc"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\encoding\iso8859-14.enc"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\encoding\iso8859-15.enc"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\encoding\iso8859-16.enc"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\encoding\iso8859-2.enc"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\encoding\iso8859-3.enc"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\encoding\iso8859-4.enc"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\encoding\iso8859-5.enc"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\encoding\iso8859-6.enc"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\encoding\iso8859-7.enc"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\encoding\iso8859-8.enc"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\encoding\iso8859-9.enc"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\encoding\jis0201.enc"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\encoding\jis0208.enc"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\encoding\jis0212.enc"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\encoding\koi8-r.enc"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\encoding\koi8-u.enc"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\encoding\ksc5601.enc"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\encoding\macCentEuro.enc"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\encoding\macCroatian.enc"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\encoding\macCyrillic.enc"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\encoding\macDingbats.enc"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\encoding\macGreek.enc"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\encoding\macIceland.enc"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\encoding\macJapan.enc"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\encoding\macRoman.enc"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\encoding\macRomania.enc"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\encoding\macThai.enc"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\encoding\macTurkish.enc"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\encoding\macUkraine.enc"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\encoding\shiftjis.enc"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\encoding\symbol.enc"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\encoding\tis-620.enc"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8\8.6\http-2.9.1.tm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8\8.6\tdbc\sqlite3-1.1.1.tm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8\8.5\msgcat-1.6.1.tm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8\8.5\tcltest-2.5.1.tm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8\8.4\platform-1.0.14.tm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8\8.4\platform\shell-1.1.4.tm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tar\backup.sh"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tar\dump-remind"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\tar\rmt.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\ssh\sftp-server.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\ssh\ssh-keysign.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\ssh\ssh-pkcs11-helper.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\ssh\ssh-sk-helper.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\sasl2\msys-anonymous-3.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\sasl2\msys-crammd5-3.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\sasl2\msys-digestmd5-3.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\sasl2\msys-gs2-3.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\sasl2\msys-gssapiv2-3.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\sasl2\msys-otp-3.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\sasl2\msys-plain-3.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\sasl2\msys-scram-3.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\Clone.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\Term\ReadKey.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\SVN\Base.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\SVN\Client.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\SVN\Core.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\SVN\Delta.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\SVN\Fs.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\SVN\Ra.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\SVN\Repos.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\SVN\Wc.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\Net\SSLeay.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\Net\SSLeay\Handle.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\HTML\Entities.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\HTML\Filter.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\HTML\HeadParser.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\HTML\LinkExtor.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\HTML\Parser.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\HTML\PullParser.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\HTML\TokeParser.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Term\ReadKey\ReadKey.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\SVN\_Wc\_Wc.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\SVN\_Repos\_Repos.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\SVN\_Ra\_Ra.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\SVN\_Fs\_Fs.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\SVN\_Delta\_Delta.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\SVN\_Core\_Core.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\SVN\_Client\_Client.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\autosplit.ix"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\debug_read.al"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\do_https.al"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\do_https2.al"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\do_https3.al"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\do_https4.al"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\do_httpx2.al"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\do_httpx3.al"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\do_httpx4.al"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\dump_peer_certificate.al"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\get_http.al"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\get_http3.al"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\get_http4.al"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\get_https.al"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\get_https3.al"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\get_https4.al"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\get_httpx.al"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\get_httpx3.al"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\get_httpx4.al"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\head_http.al"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\head_http3.al"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\head_http4.al"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\head_https.al"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\head_https3.al"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\head_https4.al"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\head_httpx.al"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\head_httpx3.al"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\head_httpx4.al"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\https_cat.al"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\httpx_cat.al"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\http_cat.al"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\initialize.al"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\make_form.al"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\make_headers.al"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\new_x_ctx.al"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\open_proxy_tcp_connection.al"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\open_tcp_connection.al"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\post_http.al"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\post_http3.al"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\post_http4.al"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\post_https.al"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\post_https3.al"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\post_https4.al"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\post_httpx.al"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\post_httpx3.al"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\post_httpx4.al"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\put_http.al"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\put_http3.al"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\put_http4.al"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\put_https.al"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\put_https3.al"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\put_https4.al"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\put_httpx.al"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\put_httpx3.al"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\put_httpx4.al"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\randomize.al"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\set_cert_and_key.al"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\set_proxy.al"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\set_server_cert_and_key.al"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\sslcat.al"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\SSLeay.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\ssl_read_all.al"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\ssl_read_CRLF.al"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\ssl_read_until.al"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\ssl_write_all.al"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\ssl_write_CRLF.al"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\tcpcat.al"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\tcpxcat.al"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\tcp_read_all.al"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\tcp_read_CRLF.al"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\tcp_read_until.al"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\tcp_write_all.al"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\tcp_write_CRLF.al"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\want_nothing.al"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\want_read.al"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\want_write.al"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay\want_X509_lookup.al"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\HTML\Parser\Parser.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Clone\autosplit.ix"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Clone\Clone.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\attributes.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\B.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\Config.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\Config_git.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\Config_heavy.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\Cwd.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\DynaLoader.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\Encode.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\encoding.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\Errno.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\Fcntl.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\IO.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\lib.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\mro.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\NDBM_File.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\O.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\Opcode.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\ops.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\POSIX.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\re.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\SDBM_File.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\Socket.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\Storable.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\threads.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\Win32.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\Win32CORE.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\Win32API\File.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\Unicode\Collate.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\Unicode\Normalize.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\Unicode\Collate\Locale.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\Time\HiRes.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\Time\Piece.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\Time\Seconds.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\threads\shared.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\Sys\Hostname.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\Sys\Syslog.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\Sub\Util.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\Scalar\Util.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\PerlIO\encoding.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\PerlIO\mmap.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\PerlIO\scalar.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\PerlIO\via.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\MIME\Base64.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\MIME\QuotedPrint.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\Math\BigInt\FastCalc.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\List\Util.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\List\Util\XS.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\IPC\Msg.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\IPC\Semaphore.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\IPC\SharedMem.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\IPC\SysV.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\IO\Dir.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\IO\File.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\IO\Handle.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\IO\Pipe.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\IO\Poll.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\IO\Seekable.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\IO\Select.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\IO\Socket.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\IO\Socket\INET.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\IO\Socket\UNIX.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\I18N\Langinfo.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\Hash\Util.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\Hash\Util\FieldHash.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\Filter\Util\Call.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\File\DosGlob.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\File\Glob.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\File\Spec.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\File\Spec\AmigaOS.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\File\Spec\Cygwin.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\File\Spec\Epoc.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\File\Spec\Functions.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\File\Spec\Mac.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\File\Spec\OS2.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\File\Spec\Unix.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\File\Spec\VMS.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\File\Spec\Win32.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\Encode\Alias.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\Encode\Byte.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\Encode\CJKConstants.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\Encode\CN.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\Encode\Config.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\Encode\EBCDIC.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\Encode\Encoder.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\Encode\Encoding.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\Encode\GSM0338.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\Encode\Guess.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\Encode\JP.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\Encode\KR.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\Encode\Symbol.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\Encode\TW.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\Encode\Unicode.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\Encode\Unicode\UTF7.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\Encode\MIME\Header.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\Encode\MIME\Name.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\Encode\MIME\Header\ISO_2022_JP.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\Encode\KR\2022_KR.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\Encode\JP\H2Z.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\Encode\JP\JIS7.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\Encode\CN\HZ.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\Digest\MD5.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\Digest\SHA.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\Devel\Peek.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\Devel\PPPort.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\Data\Dumper.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\CORE\msys-perl5_32.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\Compress\Raw\Bzip2.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\Compress\Raw\Zlib.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\B\Concise.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\B\Showlex.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\B\Terse.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\B\Xref.pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\XS\Typemap\Typemap.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\XS\APItest\APItest.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Win32CORE\extralibs.ld"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Win32API\File\File.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Win32\Win32.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Unicode\Normalize\Normalize.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Unicode\Collate\Collate.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Time\Piece\Piece.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Time\HiRes\HiRes.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\threads\threads.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\threads\shared\shared.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Sys\Syslog\Syslog.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Sys\Hostname\Hostname.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Storable\Storable.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Socket\Socket.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\SDBM_File\SDBM_File.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\re\re.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\POSIX\POSIX.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\PerlIO\via\via.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\PerlIO\scalar\scalar.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\PerlIO\mmap\mmap.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\PerlIO\encoding\encoding.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Opcode\Opcode.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\NDBM_File\NDBM_File.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\mro\mro.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\MIME\Base64\Base64.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Math\BigInt\FastCalc\FastCalc.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\List\Util\Util.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\IPC\SysV\SysV.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\IO\IO.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\I18N\Langinfo\Langinfo.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Hash\Util\Util.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Hash\Util\FieldHash\FieldHash.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Filter\Util\Call\Call.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\File\Glob\Glob.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\File\DosGlob\DosGlob.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Fcntl\Fcntl.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Encode\Encode.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Encode\Unicode\Unicode.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Encode\TW\TW.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Encode\Symbol\Symbol.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Encode\KR\KR.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Encode\JP\JP.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Encode\EBCDIC\EBCDIC.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Encode\CN\CN.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Encode\Byte\Byte.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Digest\SHA\SHA.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Digest\MD5\MD5.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Devel\Peek\Peek.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Data\Dumper\Dumper.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Cwd\Cwd.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Compress\Raw\Zlib\Zlib.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Compress\Raw\Bzip2\Bzip2.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\B\B.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\attributes\attributes.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\p11-kit\p11-kit-extract-trust"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\openssl\engines-1.1\capi.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\openssl\engines-1.1\padlock.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\gnupg\gpg-check-pattern.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\gnupg\gpg-preset-passphrase.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\gnupg\gpg-protect-tool.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\gnupg\gpg-wks-client.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\gnupg\scdaemon.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\gettext\cldr-plurals.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\gettext\hostname.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\gettext\project-id"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\gettext\urlget.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\gettext\user-email"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\gawk\filefuncs.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\gawk\fnmatch.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\gawk\fork.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\gawk\inplace.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\gawk\intdiv.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\gawk\ordchr.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\gawk\readdir.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\gawk\readfile.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\gawk\revoutput.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\gawk\revtwoway.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\gawk\rwarray.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\gawk\time.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\awk\grcat.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\lib\awk\pwcat.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\etc\profile.d\gawk.csh"
Delete "$INSTDIR\vendor\git-for-windows\usr\etc\profile.d\gawk.sh"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\addgnupghome"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\applygnupgdefaults"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\arch.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\astextplain"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\autopoint"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\awk.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\b2sum.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\backup"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\base32.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\base64.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\basename.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\basenc.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\bash.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\bashbug"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\bunzip2.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\bzcat.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\bzcmp"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\bzdiff"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\bzegrep"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\bzfgrep"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\bzgrep"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\bzip2.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\bzip2recover.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\bzless"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\bzmore"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\captoinfo.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\cat.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\chattr.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\chcon.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\chgrp.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\chmod.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\chown.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\chroot.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\cksum.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\clear.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\cmp.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\column.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\comm.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\cp.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\csplit.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\cut.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\cygcheck.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\cygpath.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\cygwin-console-helper.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\c_rehash"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\d2u.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\dash.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\date.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\dd.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\df.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\diff.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\diff3.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\dir.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\dircolors.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\dirmngr-client.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\dirmngr.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\dirname.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\docx2txt"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\docx2txt.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\dos2unix.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\du.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\dumpsexp.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\echo.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\egrep"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\env.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\envsubst.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\ex.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\expand.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\expr.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\factor.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\false.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\fgrep"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\fido2-assert.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\fido2-cred.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\fido2-token.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\file.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\find.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\findssl.sh"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\fmt.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\fold.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\funzip.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\gapplication.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\gawk-5.0.0.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\gawk.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\gdbus.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\gencat.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\getconf.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\getemojis"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\getfacl.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\getopt.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\gettext.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\gettext.sh"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\gettextize"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\gio-querymodules.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\git-flow"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\git-flow-bugfix"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\git-flow-config"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\git-flow-feature"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\git-flow-hotfix"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\git-flow-init"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\git-flow-log"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\git-flow-release"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\git-flow-support"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\git-flow-version"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\gitflow-common"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\gitflow-shFlags"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\gkill.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\glib-compile-schemas.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\gobject-query.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\gpg-agent.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\gpg-connect-agent.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\gpg-error.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\gpg-wks-server.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\gpg.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\gpgconf.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\gpgparsemail.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\gpgscm.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\gpgsm.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\gpgsplit.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\gpgtar.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\gpgv.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\grep.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\groups.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\gsettings.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\gunzip"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\gzexe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\gzip.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\head.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\hmac256.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\hostid.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\hostname.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\iconv.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\id.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\infocmp.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\infotocap.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\install.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\join.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\kbxutil.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\kill.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\ldd.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\ldh.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\less.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\lessecho.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\lesskey.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\libtcl8.6.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\link.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\ln.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\locale.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\locate.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\logname.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\ls.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\lsattr.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\mac2unix.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\md5sum.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\minidumper.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\mintheme"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\mintty.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\mkdir.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\mkfifo.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\mkgroup.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\mknod.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\mkpasswd.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\mktemp.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\mount.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\mpicalc.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\msgattrib.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\msgcat.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\msgcmp.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\msgcomm.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\msgconv.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\msgen.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\msgexec.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\msgfilter.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\msgfmt.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\msggrep.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\msginit.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\msgmerge.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\msgunfmt.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\msguniq.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\msys-2.0.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\msys-apr-1-0.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\msys-aprutil-1-0.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\msys-asn1-8.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\msys-assuan-0.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\msys-bz2-1.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\msys-cbor-0.8.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\msys-com_err-1.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\msys-crypt-0.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\msys-crypto-1.1.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\msys-edit-0.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\msys-expat-1.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\msys-ffi-7.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\msys-fido2-1.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\msys-gcc_s-seh-1.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\msys-gcrypt-20.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\msys-gettextlib-0-19-8-1.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\msys-gettextsrc-0-19-8-1.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\msys-gio-2.0-0.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\msys-glib-2.0-0.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\msys-gmodule-2.0-0.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\msys-gmp-10.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\msys-gnutls-30.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\msys-gobject-2.0-0.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\msys-gpg-error-0.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\msys-gssapi-3.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\msys-hcrypto-4.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\msys-heimbase-1.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\msys-heimntlm-0.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\msys-hogweed-6.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\msys-hx509-5.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\msys-iconv-2.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\msys-idn2-0.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\msys-intl-8.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\msys-kafs-0.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\msys-krb5-26.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\msys-ksba-8.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\msys-lz4-1.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\msys-magic-1.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\msys-mpfr-6.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\msys-ncursesw6.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\msys-nettle-8.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\msys-npth-0.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\msys-p11-kit-0.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\msys-pcre-1.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\msys-perl5_32.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\msys-psl-5.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\msys-readline8.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\msys-roken-18.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\msys-sasl2-3.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\msys-serf-1-0.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\msys-smartcols-1.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\msys-sqlite3-0.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\msys-ssl-1.1.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\msys-svn_client-1-0.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\msys-svn_delta-1-0.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\msys-svn_diff-1-0.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\msys-svn_fs-1-0.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\msys-svn_fs_fs-1-0.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\msys-svn_fs_util-1-0.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\msys-svn_fs_x-1-0.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\msys-svn_ra-1-0.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\msys-svn_ra_local-1-0.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\msys-svn_ra_serf-1-0.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\msys-svn_ra_svn-1-0.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\msys-svn_repos-1-0.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\msys-svn_subr-1-0.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\msys-svn_swig_perl-1-0.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\msys-svn_wc-1-0.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\msys-tasn1-6.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\msys-ticw6.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\msys-unistring-2.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\msys-uuid-1.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\msys-wind-0.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\msys-z.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\mv.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\nano.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\nettle-hash.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\nettle-lfib-stream.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\nettle-pbkdf2.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\ngettext.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\nice.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\nl.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\nohup.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\notepad"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\nproc.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\numfmt.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\od.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\openssl.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\p11-kit.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\passwd.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\paste.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\patch.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\pathchk.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\perl.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\perl5.32.0.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\pinentry-w32.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\pinentry.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\pinky.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\pkcs1-conv.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\pldd.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\pluginviewer.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\pr.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\printenv.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\printf.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\ps.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\psl-make-dafsa"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\psl.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\ptx.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\pwd.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\readlink.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\realpath.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\rebase.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\rebaseall"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\recode-sr-latin.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\regtool.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\reset.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\restore"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\rm.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\rmdir.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\rnano.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\runcon.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\rview.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\rvim.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\scp.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\sdiff.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\sed.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\seq.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\setfacl.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\setmetamode.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\sexp-conv.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\sftp.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\sh.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\sha1sum.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\sha224sum.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\sha256sum.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\sha384sum.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\sha512sum.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\shred.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\shuf.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\sleep.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\sort.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\split.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\ssh-add.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\ssh-agent.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\ssh-copy-id"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\ssh-keygen.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\ssh-keyscan.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\ssh-pageant.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\ssh.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\sshd.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\ssp.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\start"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\stat.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\strace.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\stty.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\sum.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\sync.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\tabs.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\tac.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\tail.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\tar.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\tclsh.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\tclsh8.6.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\tee.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\test.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\tic.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\tig.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\timeout.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\toe.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\touch.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\tput.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\tr.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\true.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\truncate.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\trust.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\tset.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\tsort.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\tty.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\tzset.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\u2d.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\umount.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\uname.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\uncompress"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\unexpand.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\uniq.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\unix2dos.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\unix2mac.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\unlink.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\unzip.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\unzipsfx.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\update-ca-trust"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\updatedb"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\users.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\vdir.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\vi"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\view.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\vim.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\vimdiff.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\vimtutor"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\watchgnupg.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\wc.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\which.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\who.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\whoami.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\winpty-agent.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\winpty-debugserver.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\winpty.dll"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\winpty.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\wordpad"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\xargs.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\xgettext.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\xxd.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\yat2m.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\yes.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\zcat"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\zcmp"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\zdiff"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\zegrep"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\zfgrep"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\zforce"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\zgrep"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\zipgrep"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\zipinfo.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\zless"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\zmore"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\znew"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\[.exe"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\vendor_perl\binhex.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\vendor_perl\debinhex.pl"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\vendor_perl\lwp-download"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\vendor_perl\lwp-dump"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\vendor_perl\lwp-mirror"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\vendor_perl\lwp-request"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\core_perl\corelist"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\core_perl\cpan"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\core_perl\enc2xs"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\core_perl\encguess"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\core_perl\h2ph"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\core_perl\h2xs"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\core_perl\instmodsh"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\core_perl\json_pp"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\core_perl\libnetcfg"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\core_perl\perlbug"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\core_perl\perldoc"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\core_perl\perlivp"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\core_perl\perlthanks"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\core_perl\piconv"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\core_perl\pl2pm"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\core_perl\pod2html"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\core_perl\pod2man"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\core_perl\pod2text"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\core_perl\pod2usage"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\core_perl\podchecker"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\core_perl\prove"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\core_perl\ptar"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\core_perl\ptardiff"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\core_perl\ptargrep"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\core_perl\shasum"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\core_perl\splain"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\core_perl\streamzip"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\core_perl\xsubpp"
Delete "$INSTDIR\vendor\git-for-windows\usr\bin\core_perl\zipdetails"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\ssl\cert.pem"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\ssl\ct_log_list.cnf"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\ssl\ct_log_list.cnf.dist"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\ssl\openssl.cnf"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\ssl\openssl.cnf.dist"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\ssl\certs\ca-bundle.crt"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\ssl\certs\ca-bundle.trust.crt"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\pki\ca-trust-source\ca-bundle.trust.crt"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\pki\ca-trust-legacy\ca-bundle.legacy.default.crt"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\pki\ca-trust-legacy\ca-bundle.legacy.disable.crt"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\perl5\Git.pm"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\perl5\Git\I18N.pm"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\perl5\Git\IndexInfo.pm"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\perl5\Git\LoadCPAN.pm"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\perl5\Git\Packet.pm"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\perl5\Git\SVN.pm"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\perl5\Git\SVN\Editor.pm"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\perl5\Git\SVN\Fetcher.pm"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\perl5\Git\SVN\GlobSpec.pm"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\perl5\Git\SVN\Log.pm"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\perl5\Git\SVN\Migration.pm"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\perl5\Git\SVN\Prompt.pm"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\perl5\Git\SVN\Ra.pm"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\perl5\Git\SVN\Utils.pm"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\perl5\Git\SVN\Memoize\YAML.pm"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\perl5\Git\LoadCPAN\Error.pm"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\perl5\Git\LoadCPAN\Mail\Address.pm"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\perl5\FromCPAN\Error.pm"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\perl5\FromCPAN\Mail\Address.pm"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\licenses\zstd\LICENSE"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\licenses\zlib\LICENSE"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\licenses\xz\COPYING"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\licenses\xz\COPYING.GPLv2"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\licenses\xz\COPYING.GPLv3"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\licenses\xz\COPYING.LGPLv2.1"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\licenses\wineditline\LICENSE"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\licenses\pcre2\COPYING"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\licenses\pcre2\LICENCE"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\licenses\pcre\COPYING"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\licenses\pcre\LICENCE"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\licenses\openssl\LICENSE"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\licenses\libzip\LICENSE"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\licenses\libwinpthread\COPYING"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\licenses\libwinpthread\mingw-w64-libraries\winpthreads\COPYING"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\licenses\libunistring\LICENSE"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\licenses\libunistring\LICENSE.LIB"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\licenses\libtre\LICENSE"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\licenses\libtasn1\LICENSE"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\licenses\libsystre\LICENSE"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\licenses\libssh2\LICENSE"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\licenses\libiconv\COPYING"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\licenses\libiconv\COPYING.LIB"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\licenses\libiconv\README"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\licenses\libiconv\libcharset\COPYING.LIB"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\licenses\libffi\LICENSE"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\licenses\jemalloc\COPYING"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\licenses\gettext\COPYING"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\licenses\gettext\gnulib-local\lib\libxml\COPYING"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\licenses\gettext\gettext-tools\COPYING"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\licenses\gettext\gettext-tools\gnulib-lib\libxml\COPYING"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\licenses\gettext\gettext-runtime\COPYING"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\licenses\gettext\gettext-runtime\libasprintf\COPYING"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\licenses\gettext\gettext-runtime\libasprintf\COPYING.LIB"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\licenses\gettext\gettext-runtime\intl\COPYING.LIB"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\licenses\gcc-libs\COPYING.LIB"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\licenses\gcc-libs\COPYING.RUNTIME"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\licenses\gcc-libs\COPYING3"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\licenses\gcc-libs\README"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\licenses\expat\COPYING"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\licenses\bzip2\LICENSE"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\licenses\brotli\LICENSE"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\git-gui\lib\about.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\git-gui\lib\blame.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\git-gui\lib\branch.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\git-gui\lib\branch_checkout.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\git-gui\lib\branch_create.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\git-gui\lib\branch_delete.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\git-gui\lib\branch_rename.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\git-gui\lib\browser.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\git-gui\lib\checkout_op.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\git-gui\lib\choose_font.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\git-gui\lib\choose_repository.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\git-gui\lib\choose_rev.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\git-gui\lib\chord.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\git-gui\lib\class.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\git-gui\lib\commit.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\git-gui\lib\console.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\git-gui\lib\database.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\git-gui\lib\date.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\git-gui\lib\diff.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\git-gui\lib\encoding.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\git-gui\lib\error.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\git-gui\lib\git-gui.ico"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\git-gui\lib\index.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\git-gui\lib\line.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\git-gui\lib\logo.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\git-gui\lib\merge.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\git-gui\lib\mergetool.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\git-gui\lib\option.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\git-gui\lib\remote.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\git-gui\lib\remote_add.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\git-gui\lib\remote_branch_delete.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\git-gui\lib\search.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\git-gui\lib\shortcut.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\git-gui\lib\spellcheck.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\git-gui\lib\sshkey.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\git-gui\lib\status_bar.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\git-gui\lib\tclIndex"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\git-gui\lib\themed.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\git-gui\lib\tools.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\git-gui\lib\tools_dlg.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\git-gui\lib\transport.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\git-gui\lib\win32.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\git-gui\lib\win32_shortcut.js"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\git-core\templates\description"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\git-core\templates\info\exclude"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\git-core\templates\hooks\applypatch-msg.sample"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\git-core\templates\hooks\commit-msg.sample"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\git-core\templates\hooks\fsmonitor-watchman.sample"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\git-core\templates\hooks\post-update.sample"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\git-core\templates\hooks\pre-applypatch.sample"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\git-core\templates\hooks\pre-commit.sample"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\git-core\templates\hooks\pre-merge-commit.sample"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\git-core\templates\hooks\pre-push.sample"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\git-core\templates\hooks\pre-rebase.sample"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\git-core\templates\hooks\pre-receive.sample"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\git-core\templates\hooks\prepare-commit-msg.sample"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\git-core\templates\hooks\update.sample"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\git\builtins.txt"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\git\compat-bash.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\git\edit-git-bash.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\git\git-for-windows.ico"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\git\git-wrapper.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\git\completion\git-completion.bash"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\git\completion\git-completion.tcsh"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\git\completion\git-completion.zsh"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\git\completion\git-prompt.sh"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\gettext-0.19.8\its\appdata.its"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\gettext-0.19.8\its\appdata.loc"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\gettext-0.19.8\its\glade.loc"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\gettext-0.19.8\its\glade1.its"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\gettext-0.19.8\its\glade2.its"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\gettext-0.19.8\its\gsettings.its"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\gettext-0.19.8\its\gsettings.loc"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\gettext-0.19.8\its\gtkbuilder.its"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\xz\AUTHORS"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\xz\COPYING"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\xz\COPYING.GPLv2"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\xz\faq.txt"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\xz\history.txt"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\xz\liblzma.def"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\xz\lzma-file-format.txt"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\xz\NEWS"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\xz\README"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\xz\THANKS"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\xz\TODO"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\xz\xz-file-format.txt"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\xz\examples\00_README.txt"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\xz\examples\Makefile"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\nghttp2\README.rst"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\mpfr\AUTHORS"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\mpfr\BUGS"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\mpfr\COPYING"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\mpfr\COPYING.LESSER"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\mpfr\FAQ.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\mpfr\NEWS"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\mpfr\TODO"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\mpfr\examples\ReadMe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\jemalloc\jemalloc.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\gnutls\gnutls-client-server-use-case.png"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\gnutls\gnutls-handshake-sequence.png"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\gnutls\gnutls-handshake-state.png"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\gnutls\gnutls-internals.png"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\gnutls\gnutls-layers.png"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\gnutls\gnutls-logo.png"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\gnutls\gnutls-modauth.png"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\gnutls\gnutls-x509.png"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\gnutls\pkcs11-vision.png"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-lfs\README.md"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\docbook-xsl.css"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\everyday.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-add.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-am.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-annotate.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-apply.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-archive.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-bash.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-bisect-lk2009.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-bisect.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-blame.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-branch.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-bugreport.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-bundle.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-cat-file.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-check-attr.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-check-ignore.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-check-mailmap.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-check-ref-format.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-checkout-index.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-checkout.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-cherry-pick.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-cherry.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-citool.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-clean.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-clone.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-column.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-commit-graph.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-commit-tree.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-commit.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-config.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-count-objects.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-credential-cache--daemon.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-credential-cache.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-credential-store.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-credential.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-daemon.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-describe.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-diff-files.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-diff-index.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-diff-tree.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-diff.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-difftool.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-fast-export.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-fast-import.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-fetch-pack.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-fetch.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-filter-branch.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-fmt-merge-msg.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-for-each-ref.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-format-patch.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-fsck-objects.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-fsck.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-gc.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-get-tar-commit-id.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-grep.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-gui.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-hash-object.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-help.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-http-backend.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-http-fetch.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-http-push.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-imap-send.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-index-pack.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-init-db.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-init.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-instaweb.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-interpret-trailers.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-log.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-ls-files.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-ls-remote.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-ls-tree.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-mailinfo.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-mailsplit.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-maintenance.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-merge-base.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-merge-file.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-merge-index.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-merge-one-file.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-merge-tree.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-merge.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-mergetool--lib.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-mergetool.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-mktag.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-mktree.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-multi-pack-index.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-mv.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-name-rev.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-notes.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-p4.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-pack-objects.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-pack-redundant.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-pack-refs.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-parse-remote.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-patch-id.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-prune-packed.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-prune.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-pull.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-push.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-quiltimport.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-range-diff.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-read-tree.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-rebase.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-receive-pack.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-reflog.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-remote-ext.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-remote-fd.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-remote-helpers.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-remote.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-repack.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-replace.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-request-pull.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-rerere.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-reset.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-restore.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-rev-list.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-rev-parse.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-revert.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-rm.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-send-email.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-send-pack.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-sh-i18n--envsubst.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-sh-i18n.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-sh-setup.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-shell.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-shortlog.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-show-branch.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-show-index.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-show-ref.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-show.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-sparse-checkout.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-stage.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-stash.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-status.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-stripspace.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-submodule.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-subtree.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-svn.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-switch.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-symbolic-ref.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-tag.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-tools.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-unpack-file.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-unpack-objects.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-update-index.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-update-ref.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-update-server-info.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-upload-archive.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-upload-pack.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-var.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-verify-commit.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-verify-pack.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-verify-tag.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-web--browse.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-whatchanged.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-worktree.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git-write-tree.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\git.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\gitattributes.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\gitcli.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\gitcore-tutorial.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\gitcredentials.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\gitcvs-migration.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\gitdiffcore.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\giteveryday.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\gitfaq.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\gitglossary.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\githooks.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\gitignore.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\gitk.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\gitmodules.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\gitnamespaces.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\gitremote-helpers.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\gitrepository-layout.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\gitrevisions.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\gitsubmodules.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\gittutorial-2.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\gittutorial.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\gitweb.conf.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\gitweb.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\gitworkflows.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\howto-index.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\index.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\MyFirstContribution.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\MyFirstObjectWalk.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\SubmittingPatches.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\user-manual.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\technical\api-error-handling.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\technical\api-index.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\technical\api-merge.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\technical\api-parse-options.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\technical\api-trace2.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\technical\hash-function-transition.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\technical\http-protocol.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\technical\index-format.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\technical\long-running-process-protocol.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\technical\multi-pack-index.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\technical\pack-format.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\technical\pack-heuristics.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\technical\pack-protocol.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\technical\partial-clone.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\technical\protocol-capabilities.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\technical\protocol-common.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\technical\protocol-v2.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\technical\racy-git.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\technical\reftable.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\technical\send-pack-pipeline.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\technical\shallow.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\technical\signature-format.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\technical\trivial-merge.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\howto\keep-canonical-history-correct.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\howto\maintain-git.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\howto\new-command.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\howto\rebase-from-internal-branch.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\howto\rebuild-from-update-hook.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\howto\recover-corrupted-blob-object.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\howto\recover-corrupted-object-harder.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\howto\revert-a-faulty-merge.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\howto\revert-branch-rebase.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\howto\separating-topic-branches.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\howto\setup-git-server-over-http.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\howto\update-hook-example.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\howto\use-git-daemon.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\howto\using-merge-subtree.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\howto\using-signed-tag-in-pull-request.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\expat\AUTHORS"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\expat\changelog"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\connect\manual.html"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\connect\manual.txt"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\antiword\8859-1.txt"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\antiword\8859-10.txt"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\antiword\8859-11.txt"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\antiword\8859-13.txt"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\antiword\8859-14.txt"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\antiword\8859-15.txt"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\antiword\8859-16.txt"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\antiword\8859-2.txt"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\antiword\8859-3.txt"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\antiword\8859-4.txt"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\antiword\8859-5.txt"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\antiword\8859-6.txt"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\antiword\8859-7.txt"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\antiword\8859-8.txt"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\antiword\8859-9.txt"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\antiword\cp1250.txt"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\antiword\cp1251.txt"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\antiword\cp1252.txt"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\antiword\cp437.txt"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\antiword\cp850.txt"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\antiword\cp852.txt"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\antiword\cp862.txt"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\antiword\cp864.txt"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\antiword\cp866.txt"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\antiword\fontnames"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\antiword\koi8-r.txt"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\antiword\koi8-u.txt"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\antiword\MacCyrillic.txt"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\antiword\MacRoman.txt"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\antiword\roman.txt"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\share\antiword\UTF-8.txt"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\Atlassian.Bitbucket.dll"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\Atlassian.Bitbucket.UI.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\Atlassian.Bitbucket.UI.exe.config"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\AzureDevOps.Authentication.dll"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\Bitbucket.Authentication.dll"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\edit.dll"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-add--interactive"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-add.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-am.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-annotate.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-apply.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-archive.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-askpass.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-bisect"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-bisect--helper.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-blame.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-branch.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-bugreport.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-bundle.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-cat-file.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-check-attr.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-check-ignore.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-check-mailmap.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-check-ref-format.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-checkout-index.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-checkout.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-cherry-pick.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-cherry.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-citool"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-clean.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-clone.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-column.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-commit-graph.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-commit-tree.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-commit.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-config.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-count-objects.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-credential-cache--daemon.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-credential-cache.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-credential-manager-core.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-credential-manager-core.exe.config"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-credential-manager.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-credential-store.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-credential-wincred.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-credential.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-daemon.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-describe.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-diff-files.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-diff-index.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-diff-tree.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-diff.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-difftool--helper"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-difftool.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-env--helper.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-fast-export.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-fast-import.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-fetch-pack.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-fetch.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-filter-branch"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-fmt-merge-msg.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-for-each-ref.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-format-patch.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-fsck-objects.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-fsck.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-gc.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-get-tar-commit-id.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-grep.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-gui"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-gui--askpass"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-gui--askyesno"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-gui.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-hash-object.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-help.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-http-backend.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-http-fetch.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-http-push.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-imap-send.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-index-pack.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-init-db.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-init.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-instaweb"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-interpret-trailers.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-log.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-ls-files.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-ls-remote.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-ls-tree.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-mailinfo.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-mailsplit.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-merge-base.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-merge-file.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-merge-index.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-merge-octopus"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-merge-one-file"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-merge-ours.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-merge-recursive.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-merge-resolve"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-merge-subtree.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-merge-tree.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-merge.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-mergetool"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-mergetool--lib"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-mktag.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-mktree.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-multi-pack-index.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-mv.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-name-rev.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-notes.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-p4"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-pack-objects.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-pack-redundant.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-pack-refs.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-parse-remote"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-patch-id.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-prune-packed.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-prune.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-pull.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-push.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-quiltimport"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-range-diff.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-read-tree.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-rebase--preserve-merges"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-rebase.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-receive-pack.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-reflog.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-remote-ext.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-remote-fd.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-remote-ftp.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-remote-ftps.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-remote-http.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-remote-https.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-remote.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-repack.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-replace.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-request-pull"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-rerere.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-reset.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-restore.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-rev-list.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-rev-parse.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-revert.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-rm.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-send-email"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-send-pack.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-sh-i18n"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-sh-i18n--envsubst.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-sh-setup"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-shortlog.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-show-branch.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-show-index.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-show-ref.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-show.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-sparse-checkout.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-stage.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-stash.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-status.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-stripspace.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-submodule"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-submodule--helper.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-subtree"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-svn"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-switch.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-symbolic-ref.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-tag.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-unpack-file.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-unpack-objects.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-update"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-update-git-for-windows"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-update-index.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-update-ref.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-update-server-info.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-upload-archive.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-upload-pack.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-var.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-verify-commit.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-verify-pack.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-verify-tag.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-web--browse"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-whatchanged.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-worktree.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git-write-tree.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\git.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\GitHub.Authentication.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\GitHub.dll"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\GitHub.UI.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\GitHub.UI.exe.config"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\libbrotlicommon.dll"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\libbrotlidec.dll"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\libbz2-1.dll"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\libcares-4.dll"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\libcrypto-1_1-x64.dll"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\libcurl-4.dll"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\libexpat-1.dll"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\libgcc_s_seh-1.dll"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\libgmp-10.dll"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\libhogweed-6.dll"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\libiconv-2.dll"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\libidn2-0.dll"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\libintl-8.dll"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\libjansson-4.dll"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\libjemalloc.dll"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\liblzma-5.dll"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\libmetalink-3.dll"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\libnettle-8.dll"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\libnghttp2-14.dll"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\libpcre-1.dll"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\libpcre2-8-0.dll"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\libpcreposix-0.dll"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\libssh2-1.dll"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\libssl-1_1-x64.dll"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\libssp-0.dll"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\libstdc++-6.dll"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\libtre-5.dll"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\libunistring-2.dll"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\libwinpthread-1.dll"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\libzstd.dll"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\Microsoft.Alm.Authentication.dll"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\Microsoft.AzureRepos.dll"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\Microsoft.Git.CredentialManager.dll"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\Microsoft.Git.CredentialManager.UI.dll"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\Microsoft.Identity.Client.dll"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\Microsoft.Identity.Client.Extensions.Msal.dll"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\Microsoft.IdentityModel.Clients.ActiveDirectory.dll"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\Microsoft.IdentityModel.JsonWebTokens.dll"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\Microsoft.IdentityModel.Logging.dll"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\Microsoft.IdentityModel.Tokens.dll"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\Newtonsoft.Json.dll"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\tcl86.dll"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\tk86.dll"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\zlib1.dll"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\mergetools\araxis"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\mergetools\bc"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\mergetools\codecompare"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\mergetools\deltawalker"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\mergetools\diffmerge"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\mergetools\diffuse"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\mergetools\ecmerge"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\mergetools\emerge"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\mergetools\examdiff"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\mergetools\guiffy"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\mergetools\gvimdiff"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\mergetools\kdiff3"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\mergetools\kompare"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\mergetools\meld"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\mergetools\nvimdiff"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\mergetools\opendiff"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\mergetools\p4merge"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\mergetools\smerge"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\mergetools\tkdiff"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\mergetools\tortoisemerge"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\mergetools\vimdiff"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\mergetools\winmerge"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\mergetools\xxdiff"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tclConfig.sh"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tkConfig.sh"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\bgerror.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\button.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\choosedir.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\clrpick.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\comdlg.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\console.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\dialog.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\entry.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\focus.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\fontchooser.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\iconlist.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\icons.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\listbox.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\megawidget.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\menu.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\mkpsenc.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\msgbox.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\obsolete.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\optMenu.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\palette.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\panedwindow.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\pkgIndex.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\safetk.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\scale.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\scrlbar.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\spinbox.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\tclIndex"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\tearoff.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\text.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\tk.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\tkfbox.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\unsupported.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\xmfbox.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\ttk\altTheme.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\ttk\aquaTheme.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\ttk\button.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\ttk\clamTheme.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\ttk\classicTheme.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\ttk\combobox.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\ttk\cursors.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\ttk\defaults.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\ttk\entry.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\ttk\fonts.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\ttk\menubutton.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\ttk\notebook.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\ttk\panedwindow.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\ttk\progress.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\ttk\scale.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\ttk\scrollbar.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\ttk\sizegrip.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\ttk\spinbox.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\ttk\treeview.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\ttk\ttk.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\ttk\utils.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\ttk\vistaTheme.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\ttk\winTheme.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\ttk\xpTheme.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\msgs\cs.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\msgs\da.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\msgs\de.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\msgs\el.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\msgs\en.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\msgs\en_gb.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\msgs\eo.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\msgs\es.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\msgs\fr.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\msgs\hu.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\msgs\it.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\msgs\nl.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\msgs\pl.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\msgs\pt.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\msgs\ru.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\msgs\sv.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\images\logo.eps"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\images\logo100.gif"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\images\logo64.gif"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\images\logoLarge.gif"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\images\logoMed.gif"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\images\pwrdLogo.eps"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\images\pwrdLogo100.gif"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\images\pwrdLogo150.gif"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\images\pwrdLogo175.gif"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\images\pwrdLogo200.gif"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\images\pwrdLogo75.gif"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\images\README"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\images\tai-ku.gif"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\demos\anilabel.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\demos\aniwave.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\demos\arrow.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\demos\bind.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\demos\bitmap.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\demos\browse"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\demos\button.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\demos\check.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\demos\clrpick.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\demos\colors.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\demos\combo.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\demos\cscroll.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\demos\ctext.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\demos\dialog1.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\demos\dialog2.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\demos\en.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\demos\entry1.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\demos\entry2.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\demos\entry3.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\demos\filebox.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\demos\floor.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\demos\fontchoose.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\demos\form.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\demos\goldberg.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\demos\hello"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\demos\hscale.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\demos\icon.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\demos\image1.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\demos\image2.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\demos\items.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\demos\ixset"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\demos\knightstour.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\demos\label.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\demos\labelframe.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\demos\license.terms"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\demos\mclist.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\demos\menu.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\demos\menubu.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\demos\msgbox.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\demos\nl.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\demos\paned1.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\demos\paned2.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\demos\pendulum.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\demos\plot.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\demos\puzzle.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\demos\radio.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\demos\README"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\demos\rmt"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\demos\rolodex"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\demos\ruler.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\demos\sayings.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\demos\search.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\demos\spin.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\demos\states.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\demos\style.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\demos\tclIndex"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\demos\tcolor"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\demos\text.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\demos\textpeer.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\demos\timer"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\demos\toolbar.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\demos\tree.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\demos\ttkbut.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\demos\ttkmenu.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\demos\ttknote.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\demos\ttkpane.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\demos\ttkprogress.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\demos\ttkscale.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\demos\twind.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\demos\unicodeout.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\demos\vscale.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\demos\widget"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\demos\images\earth.gif"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\demos\images\earthmenu.png"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\demos\images\earthris.gif"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\demos\images\flagdown.xbm"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\demos\images\flagup.xbm"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\demos\images\gray25.xbm"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\demos\images\letters.xbm"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\demos\images\noletter.xbm"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\demos\images\ouster.png"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\demos\images\pattern.xbm"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\demos\images\tcllogo.gif"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\demos\images\teapot.ppm"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\thread2.8.5\pkgIndex.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\thread2.8.5\thread285.dll"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\thread2.8.5\ttrace.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\auto.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\clock.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\history.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\init.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\package.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\parray.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\safe.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tclIndex"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tm.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\word.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\CET"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\CST6CDT"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Cuba"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\EET"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Egypt"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Eire"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\EST"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\EST5EDT"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\GB"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\GB-Eire"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\GMT"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\GMT+0"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\GMT-0"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\GMT0"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Greenwich"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Hongkong"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\HST"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Iceland"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Iran"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Israel"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Jamaica"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Japan"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Kwajalein"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Libya"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\MET"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\MST"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\MST7MDT"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Navajo"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\NZ"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\NZ-CHAT"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Poland"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Portugal"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\PRC"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\PST8PDT"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\ROC"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\ROK"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Singapore"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Turkey"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\UCT"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Universal"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\UTC"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\W-SU"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\WET"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Zulu"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\US\Alaska"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\US\Aleutian"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\US\Arizona"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\US\Central"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\US\East-Indiana"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\US\Eastern"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\US\Hawaii"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\US\Indiana-Starke"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\US\Michigan"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\US\Mountain"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\US\Pacific"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\US\Pacific-New"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\US\Samoa"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\SystemV\AST4"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\SystemV\AST4ADT"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\SystemV\CST6"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\SystemV\CST6CDT"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\SystemV\EST5"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\SystemV\EST5EDT"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\SystemV\HST10"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\SystemV\MST7"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\SystemV\MST7MDT"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\SystemV\PST8"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\SystemV\PST8PDT"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\SystemV\YST9"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\SystemV\YST9YDT"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Pacific\Apia"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Pacific\Auckland"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Pacific\Bougainville"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Pacific\Chatham"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Pacific\Chuuk"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Pacific\Easter"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Pacific\Efate"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Pacific\Enderbury"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Pacific\Fakaofo"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Pacific\Fiji"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Pacific\Funafuti"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Pacific\Galapagos"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Pacific\Gambier"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Pacific\Guadalcanal"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Pacific\Guam"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Pacific\Honolulu"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Pacific\Johnston"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Pacific\Kiritimati"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Pacific\Kosrae"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Pacific\Kwajalein"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Pacific\Majuro"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Pacific\Marquesas"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Pacific\Midway"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Pacific\Nauru"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Pacific\Niue"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Pacific\Norfolk"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Pacific\Noumea"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Pacific\Pago_Pago"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Pacific\Palau"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Pacific\Pitcairn"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Pacific\Pohnpei"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Pacific\Ponape"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Pacific\Port_Moresby"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Pacific\Rarotonga"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Pacific\Saipan"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Pacific\Samoa"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Pacific\Tahiti"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Pacific\Tarawa"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Pacific\Tongatapu"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Pacific\Truk"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Pacific\Wake"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Pacific\Wallis"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Pacific\Yap"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Mexico\BajaNorte"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Mexico\BajaSur"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Mexico\General"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Indian\Antananarivo"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Indian\Chagos"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Indian\Christmas"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Indian\Cocos"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Indian\Comoro"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Indian\Kerguelen"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Indian\Mahe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Indian\Maldives"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Indian\Mauritius"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Indian\Mayotte"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Indian\Reunion"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Amsterdam"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Andorra"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Astrakhan"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Athens"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Belfast"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Belgrade"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Berlin"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Bratislava"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Brussels"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Bucharest"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Budapest"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Busingen"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Chisinau"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Copenhagen"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Dublin"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Gibraltar"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Guernsey"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Helsinki"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Isle_of_Man"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Istanbul"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Jersey"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Kaliningrad"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Kiev"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Kirov"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Lisbon"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Ljubljana"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\London"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Luxembourg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Madrid"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Malta"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Mariehamn"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Minsk"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Monaco"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Moscow"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Nicosia"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Oslo"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Paris"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Podgorica"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Prague"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Riga"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Rome"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Samara"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\San_Marino"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Sarajevo"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Saratov"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Simferopol"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Skopje"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Sofia"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Stockholm"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Tallinn"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Tirane"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Tiraspol"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Ulyanovsk"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Uzhgorod"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Vaduz"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Vatican"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Vienna"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Vilnius"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Volgograd"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Warsaw"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Zagreb"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Zaporozhye"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe\Zurich"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Etc\GMT"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Etc\GMT+0"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Etc\GMT+1"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Etc\GMT+10"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Etc\GMT+11"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Etc\GMT+12"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Etc\GMT+2"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Etc\GMT+3"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Etc\GMT+4"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Etc\GMT+5"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Etc\GMT+6"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Etc\GMT+7"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Etc\GMT+8"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Etc\GMT+9"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Etc\GMT-0"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Etc\GMT-1"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Etc\GMT-10"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Etc\GMT-11"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Etc\GMT-12"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Etc\GMT-13"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Etc\GMT-14"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Etc\GMT-2"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Etc\GMT-3"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Etc\GMT-4"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Etc\GMT-5"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Etc\GMT-6"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Etc\GMT-7"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Etc\GMT-8"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Etc\GMT-9"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Etc\GMT0"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Etc\Greenwich"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Etc\UCT"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Etc\Universal"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Etc\UTC"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Etc\Zulu"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Chile\Continental"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Chile\EasterIsland"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Canada\Atlantic"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Canada\Central"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Canada\East-Saskatchewan"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Canada\Eastern"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Canada\Mountain"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Canada\Newfoundland"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Canada\Pacific"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Canada\Saskatchewan"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Canada\Yukon"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Brazil\Acre"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Brazil\DeNoronha"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Brazil\East"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Brazil\West"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Australia\ACT"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Australia\Adelaide"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Australia\Brisbane"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Australia\Broken_Hill"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Australia\Canberra"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Australia\Currie"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Australia\Darwin"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Australia\Eucla"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Australia\Hobart"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Australia\LHI"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Australia\Lindeman"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Australia\Lord_Howe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Australia\Melbourne"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Australia\North"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Australia\NSW"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Australia\Perth"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Australia\Queensland"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Australia\South"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Australia\Sydney"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Australia\Tasmania"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Australia\Victoria"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Australia\West"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Australia\Yancowinna"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Atlantic\Azores"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Atlantic\Bermuda"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Atlantic\Canary"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Atlantic\Cape_Verde"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Atlantic\Faeroe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Atlantic\Faroe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Atlantic\Jan_Mayen"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Atlantic\Madeira"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Atlantic\Reykjavik"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Atlantic\South_Georgia"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Atlantic\Stanley"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Atlantic\St_Helena"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Aden"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Almaty"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Amman"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Anadyr"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Aqtau"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Aqtobe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Ashgabat"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Ashkhabad"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Atyrau"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Baghdad"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Bahrain"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Baku"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Bangkok"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Barnaul"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Beirut"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Bishkek"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Brunei"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Calcutta"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Chita"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Choibalsan"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Chongqing"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Chungking"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Colombo"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Dacca"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Damascus"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Dhaka"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Dili"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Dubai"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Dushanbe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Famagusta"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Gaza"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Harbin"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Hebron"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Hong_Kong"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Hovd"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Ho_Chi_Minh"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Irkutsk"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Istanbul"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Jakarta"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Jayapura"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Jerusalem"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Kabul"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Kamchatka"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Karachi"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Kashgar"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Kathmandu"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Katmandu"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Khandyga"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Kolkata"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Krasnoyarsk"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Kuala_Lumpur"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Kuching"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Kuwait"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Macao"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Macau"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Magadan"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Makassar"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Manila"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Muscat"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Nicosia"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Novokuznetsk"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Novosibirsk"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Omsk"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Oral"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Phnom_Penh"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Pontianak"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Pyongyang"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Qatar"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Qostanay"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Qyzylorda"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Rangoon"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Riyadh"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Saigon"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Sakhalin"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Samarkand"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Seoul"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Shanghai"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Singapore"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Srednekolymsk"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Taipei"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Tashkent"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Tbilisi"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Tehran"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Tel_Aviv"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Thimbu"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Thimphu"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Tokyo"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Tomsk"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Ujung_Pandang"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Ulaanbaatar"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Ulan_Bator"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Urumqi"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Ust-Nera"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Vientiane"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Vladivostok"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Yakutsk"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Yangon"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Yekaterinburg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia\Yerevan"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Arctic\Longyearbyen"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Antarctica\Casey"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Antarctica\Davis"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Antarctica\DumontDUrville"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Antarctica\Macquarie"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Antarctica\Mawson"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Antarctica\McMurdo"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Antarctica\Palmer"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Antarctica\Rothera"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Antarctica\South_Pole"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Antarctica\Syowa"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Antarctica\Troll"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Antarctica\Vostok"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Adak"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Anchorage"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Anguilla"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Antigua"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Araguaina"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Aruba"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Asuncion"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Atikokan"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Atka"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Bahia"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Bahia_Banderas"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Barbados"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Belem"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Belize"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Blanc-Sablon"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Boa_Vista"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Bogota"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Boise"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Buenos_Aires"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Cambridge_Bay"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Campo_Grande"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Cancun"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Caracas"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Catamarca"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Cayenne"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Cayman"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Chicago"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Chihuahua"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Coral_Harbour"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Cordoba"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Costa_Rica"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Creston"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Cuiaba"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Curacao"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Danmarkshavn"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Dawson"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Dawson_Creek"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Denver"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Detroit"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Dominica"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Edmonton"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Eirunepe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\El_Salvador"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Ensenada"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Fortaleza"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Fort_Nelson"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Fort_Wayne"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Glace_Bay"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Godthab"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Goose_Bay"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Grand_Turk"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Grenada"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Guadeloupe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Guatemala"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Guayaquil"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Guyana"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Halifax"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Havana"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Hermosillo"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Indianapolis"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Inuvik"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Iqaluit"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Jamaica"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Jujuy"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Juneau"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Knox_IN"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Kralendijk"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\La_Paz"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Lima"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Los_Angeles"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Louisville"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Lower_Princes"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Maceio"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Managua"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Manaus"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Marigot"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Martinique"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Matamoros"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Mazatlan"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Mendoza"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Menominee"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Merida"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Metlakatla"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Mexico_City"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Miquelon"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Moncton"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Monterrey"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Montevideo"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Montreal"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Montserrat"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Nassau"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\New_York"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Nipigon"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Nome"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Noronha"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Ojinaga"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Panama"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Pangnirtung"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Paramaribo"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Phoenix"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Port-au-Prince"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Porto_Acre"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Porto_Velho"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Port_of_Spain"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Puerto_Rico"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Punta_Arenas"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Rainy_River"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Rankin_Inlet"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Recife"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Regina"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Resolute"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Rio_Branco"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Rosario"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Santarem"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Santa_Isabel"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Santiago"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Santo_Domingo"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Sao_Paulo"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Scoresbysund"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Shiprock"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Sitka"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\St_Barthelemy"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\St_Johns"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\St_Kitts"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\St_Lucia"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\St_Thomas"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\St_Vincent"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Swift_Current"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Tegucigalpa"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Thule"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Thunder_Bay"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Tijuana"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Toronto"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Tortola"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Vancouver"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Virgin"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Whitehorse"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Winnipeg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Yakutat"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Yellowknife"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\North_Dakota\Beulah"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\North_Dakota\Center"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\North_Dakota\New_Salem"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Kentucky\Louisville"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Kentucky\Monticello"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Indiana\Indianapolis"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Indiana\Knox"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Indiana\Marengo"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Indiana\Petersburg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Indiana\Tell_City"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Indiana\Vevay"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Indiana\Vincennes"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Indiana\Winamac"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Argentina\Buenos_Aires"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Argentina\Catamarca"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Argentina\ComodRivadavia"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Argentina\Cordoba"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Argentina\Jujuy"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Argentina\La_Rioja"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Argentina\Mendoza"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Argentina\Rio_Gallegos"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Argentina\Salta"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Argentina\San_Juan"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Argentina\San_Luis"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Argentina\Tucuman"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Argentina\Ushuaia"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa\Abidjan"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa\Accra"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa\Addis_Ababa"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa\Algiers"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa\Asmara"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa\Asmera"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa\Bamako"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa\Bangui"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa\Banjul"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa\Bissau"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa\Blantyre"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa\Brazzaville"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa\Bujumbura"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa\Cairo"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa\Casablanca"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa\Ceuta"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa\Conakry"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa\Dakar"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa\Dar_es_Salaam"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa\Djibouti"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa\Douala"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa\El_Aaiun"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa\Freetown"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa\Gaborone"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa\Harare"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa\Johannesburg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa\Juba"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa\Kampala"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa\Khartoum"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa\Kigali"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa\Kinshasa"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa\Lagos"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa\Libreville"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa\Lome"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa\Luanda"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa\Lubumbashi"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa\Lusaka"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa\Malabo"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa\Maputo"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa\Maseru"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa\Mbabane"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa\Mogadishu"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa\Monrovia"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa\Nairobi"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa\Ndjamena"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa\Niamey"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa\Nouakchott"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa\Ouagadougou"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa\Porto-Novo"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa\Sao_Tome"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa\Timbuktu"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa\Tripoli"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa\Tunis"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa\Windhoek"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\opt0.4\optparse.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\opt0.4\pkgIndex.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\af.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\af_za.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\ar.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\ar_in.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\ar_jo.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\ar_lb.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\ar_sy.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\be.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\bg.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\bn.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\bn_in.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\ca.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\cs.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\da.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\de.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\de_at.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\de_be.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\el.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\en_au.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\en_be.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\en_bw.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\en_ca.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\en_gb.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\en_hk.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\en_ie.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\en_in.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\en_nz.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\en_ph.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\en_sg.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\en_za.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\en_zw.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\eo.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\es.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\es_ar.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\es_bo.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\es_cl.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\es_co.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\es_cr.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\es_do.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\es_ec.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\es_gt.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\es_hn.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\es_mx.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\es_ni.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\es_pa.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\es_pe.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\es_pr.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\es_py.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\es_sv.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\es_uy.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\es_ve.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\et.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\eu.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\eu_es.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\fa.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\fa_in.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\fa_ir.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\fi.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\fo.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\fo_fo.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\fr.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\fr_be.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\fr_ca.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\fr_ch.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\ga.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\ga_ie.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\gl.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\gl_es.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\gv.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\gv_gb.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\he.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\hi.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\hi_in.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\hr.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\hu.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\id.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\id_id.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\is.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\it.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\it_ch.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\ja.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\kl.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\kl_gl.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\ko.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\kok.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\kok_in.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\ko_kr.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\kw.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\kw_gb.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\lt.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\lv.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\mk.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\mr.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\mr_in.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\ms.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\ms_my.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\mt.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\nb.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\nl.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\nl_be.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\nn.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\pl.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\pt.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\pt_br.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\ro.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\ru.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\ru_ua.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\sh.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\sk.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\sl.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\sq.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\sr.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\sv.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\sw.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\ta.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\ta_in.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\te.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\te_in.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\th.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\tr.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\uk.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\vi.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\zh.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\zh_cn.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\zh_hk.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\zh_sg.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs\zh_tw.msg"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\http1.0\http.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\http1.0\pkgIndex.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\ascii.enc"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\big5.enc"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\cp1250.enc"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\cp1251.enc"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\cp1252.enc"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\cp1253.enc"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\cp1254.enc"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\cp1255.enc"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\cp1256.enc"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\cp1257.enc"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\cp1258.enc"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\cp437.enc"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\cp737.enc"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\cp775.enc"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\cp850.enc"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\cp852.enc"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\cp855.enc"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\cp857.enc"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\cp860.enc"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\cp861.enc"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\cp862.enc"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\cp863.enc"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\cp864.enc"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\cp865.enc"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\cp866.enc"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\cp869.enc"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\cp874.enc"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\cp932.enc"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\cp936.enc"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\cp949.enc"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\cp950.enc"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\dingbats.enc"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\ebcdic.enc"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\euc-cn.enc"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\euc-jp.enc"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\euc-kr.enc"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\gb12345.enc"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\gb1988.enc"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\gb2312-raw.enc"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\gb2312.enc"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\iso2022-jp.enc"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\iso2022-kr.enc"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\iso2022.enc"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\iso8859-1.enc"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\iso8859-10.enc"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\iso8859-13.enc"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\iso8859-14.enc"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\iso8859-15.enc"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\iso8859-16.enc"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\iso8859-2.enc"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\iso8859-3.enc"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\iso8859-4.enc"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\iso8859-5.enc"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\iso8859-6.enc"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\iso8859-7.enc"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\iso8859-8.enc"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\iso8859-9.enc"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\jis0201.enc"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\jis0208.enc"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\jis0212.enc"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\koi8-r.enc"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\koi8-u.enc"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\ksc5601.enc"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\macCentEuro.enc"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\macCroatian.enc"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\macCyrillic.enc"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\macDingbats.enc"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\macGreek.enc"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\macIceland.enc"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\macJapan.enc"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\macRoman.enc"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\macRomania.enc"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\macThai.enc"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\macTurkish.enc"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\macUkraine.enc"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\shiftjis.enc"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\symbol.enc"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding\tis-620.enc"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8\tclConfig.sh"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8\8.6\http-2.9.1.tm"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8\8.6\tdbc\sqlite3-1.1.1.tm"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8\8.5\msgcat-1.6.1.tm"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8\8.5\tcltest-2.5.1.tm"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8\8.4\platform-1.0.14.tm"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8\8.4\platform\shell-1.1.4.tm"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\reg1.3\pkgIndex.tcl"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\reg1.3\tclreg13.dll"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\p11-kit\p11-kit-extract-trust"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\engines-1_1\capi.dll"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\lib\engines-1_1\padlock.dll"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\etc\pki\ca-trust\extracted\pem\email-ca-bundle.pem"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\etc\pki\ca-trust\extracted\pem\objsign-ca-bundle.pem"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\etc\pki\ca-trust\extracted\pem\tls-ca-bundle.pem"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\etc\pki\ca-trust\extracted\openssl\ca-bundle.trust.crt"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\etc\pki\ca-trust\extracted\java\cacerts"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\doc\git-credential-manager-core\LICENSE"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\doc\git-credential-manager-core\NOTICE"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\doc\git-credential-manager-core\README.md"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\doc\git-credential-manager\LICENSE.txt"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\doc\git-credential-manager\README.md"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\bin\acountry.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\bin\adig.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\bin\ahost.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\bin\antiword.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\bin\blocked-file-util.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\bin\brotli.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\bin\bunzip2.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\bin\bzcat.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\bin\bzcmp"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\bin\bzdiff"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\bin\bzegrep"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\bin\bzfgrep"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\bin\bzgrep"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\bin\bzip2.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\bin\bzip2recover.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\bin\bzless"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\bin\bzmore"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\bin\connect.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\bin\create-shortcut.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\bin\curl.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\bin\edit.dll"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\bin\edit_test.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\bin\edit_test_dll.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\bin\envsubst.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\bin\gettext.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\bin\gettext.sh"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\bin\gettextize"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\bin\git-askyesno.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\bin\git-credential-helper-selector.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\bin\git-lfs.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\bin\git-receive-pack.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\bin\git-upload-archive.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\bin\git-upload-pack.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\bin\git.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\bin\gitk"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\bin\jemalloc.sh"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\bin\jeprof"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\bin\libbrotlicommon.dll"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\bin\libbrotlidec.dll"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\bin\libbz2-1.dll"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\bin\libcares-4.dll"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\bin\libcrypto-1_1-x64.dll"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\bin\libcurl-4.dll"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\bin\libexpat-1.dll"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\bin\libgcc_s_seh-1.dll"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\bin\libgmp-10.dll"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\bin\libhogweed-6.dll"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\bin\libiconv-2.dll"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\bin\libidn2-0.dll"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\bin\libintl-8.dll"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\bin\libjansson-4.dll"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\bin\libjemalloc.dll"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\bin\liblzma-5.dll"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\bin\libmetalink-3.dll"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\bin\libnettle-8.dll"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\bin\libnghttp2-14.dll"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\bin\libpcre-1.dll"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\bin\libpcre2-8-0.dll"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\bin\libpcreposix-0.dll"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\bin\libssh2-1.dll"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\bin\libssl-1_1-x64.dll"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\bin\libssp-0.dll"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\bin\libstdc++-6.dll"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\bin\libtre-5.dll"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\bin\libunistring-2.dll"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\bin\libwinpthread-1.dll"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\bin\libzstd.dll"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\bin\lzmadec.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\bin\lzmainfo.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\bin\odt2txt.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\bin\openssl.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\bin\pcre2-config"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\bin\pdftotext.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\bin\pkcs1-conv.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\bin\proxy-lookup.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\bin\sexp-conv.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\bin\sqlite3_analyzer.sh"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\bin\tcl86.dll"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\bin\tclsh.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\bin\tclsh86.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\bin\tk86.dll"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\bin\unxz.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\bin\update-ca-trust"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\bin\WhoUses.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\bin\wish.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\bin\wish86.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\bin\x86_64-w64-mingw32-agrep.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\bin\x86_64-w64-mingw32-deflatehd.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\bin\x86_64-w64-mingw32-inflatehd.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\bin\xmlwf.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\bin\xz.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\bin\xzcat.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\bin\xzcmp"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\bin\xzdec.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\bin\xzdiff"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\bin\xzegrep"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\bin\xzfgrep"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\bin\xzgrep"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\bin\xzless"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\bin\xzmore"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\bin\zipcmp.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\bin\zipmerge.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\bin\ziptool.exe"
Delete "$INSTDIR\vendor\git-for-windows\mingw64\bin\zlib1.dll"
Delete "$INSTDIR\vendor\git-for-windows\etc\bash.bashrc"
Delete "$INSTDIR\vendor\git-for-windows\etc\bash.bash_logout"
Delete "$INSTDIR\vendor\git-for-windows\etc\DIR_COLORS"
Delete "$INSTDIR\vendor\git-for-windows\etc\docx2txt.config"
Delete "$INSTDIR\vendor\git-for-windows\etc\fstab"
Delete "$INSTDIR\vendor\git-for-windows\etc\gitattributes"
Delete "$INSTDIR\vendor\git-for-windows\etc\gitconfig"
Delete "$INSTDIR\vendor\git-for-windows\etc\inputrc"
Delete "$INSTDIR\vendor\git-for-windows\etc\msystem"
Delete "$INSTDIR\vendor\git-for-windows\etc\nanorc"
Delete "$INSTDIR\vendor\git-for-windows\etc\nsswitch.conf"
Delete "$INSTDIR\vendor\git-for-windows\etc\package-versions.txt"
Delete "$INSTDIR\vendor\git-for-windows\etc\profile"
Delete "$INSTDIR\vendor\git-for-windows\etc\tigrc"
Delete "$INSTDIR\vendor\git-for-windows\etc\vimrc"
Delete "$INSTDIR\vendor\git-for-windows\etc\ssh\moduli"
Delete "$INSTDIR\vendor\git-for-windows\etc\ssh\sshd_config"
Delete "$INSTDIR\vendor\git-for-windows\etc\ssh\ssh_config"
Delete "$INSTDIR\vendor\git-for-windows\etc\profile.d\aliases.sh"
Delete "$INSTDIR\vendor\git-for-windows\etc\profile.d\bash_profile.sh"
Delete "$INSTDIR\vendor\git-for-windows\etc\profile.d\cmder.sh"
Delete "$INSTDIR\vendor\git-for-windows\etc\profile.d\env.sh"
Delete "$INSTDIR\vendor\git-for-windows\etc\profile.d\git-prompt.sh"
Delete "$INSTDIR\vendor\git-for-windows\etc\profile.d\git-prompt.sh.bak"
Delete "$INSTDIR\vendor\git-for-windows\etc\profile.d\lang.sh"
Delete "$INSTDIR\vendor\git-for-windows\etc\profile.d\perlbin.csh"
Delete "$INSTDIR\vendor\git-for-windows\etc\profile.d\perlbin.sh"
Delete "$INSTDIR\vendor\git-for-windows\etc\post-install\01-devices.post"
Delete "$INSTDIR\vendor\git-for-windows\etc\post-install\03-mtab.post"
Delete "$INSTDIR\vendor\git-for-windows\etc\post-install\06-windows-files.post"
Delete "$INSTDIR\vendor\git-for-windows\etc\post-install\13-copy-dlls.post"
Delete "$INSTDIR\vendor\git-for-windows\etc\post-install\99-post-install-cleanup.post"
Delete "$INSTDIR\vendor\git-for-windows\etc\pki\ca-trust\extracted\pem\email-ca-bundle.pem"
Delete "$INSTDIR\vendor\git-for-windows\etc\pki\ca-trust\extracted\pem\objsign-ca-bundle.pem"
Delete "$INSTDIR\vendor\git-for-windows\etc\pki\ca-trust\extracted\pem\tls-ca-bundle.pem"
Delete "$INSTDIR\vendor\git-for-windows\etc\pki\ca-trust\extracted\openssl\ca-bundle.trust.crt"
Delete "$INSTDIR\vendor\git-for-windows\etc\pki\ca-trust\extracted\java\cacerts"
Delete "$INSTDIR\vendor\git-for-windows\etc\pkcs11\pkcs11.conf.example"
Delete "$INSTDIR\vendor\git-for-windows\cmd\git-gui.exe"
Delete "$INSTDIR\vendor\git-for-windows\cmd\git.exe"
Delete "$INSTDIR\vendor\git-for-windows\cmd\gitk.exe"
Delete "$INSTDIR\vendor\git-for-windows\cmd\start-ssh-agent.cmd"
Delete "$INSTDIR\vendor\git-for-windows\cmd\start-ssh-pageant.cmd"
Delete "$INSTDIR\vendor\git-for-windows\bin\bash.exe"
Delete "$INSTDIR\vendor\git-for-windows\bin\git.exe"
Delete "$INSTDIR\vendor\git-for-windows\bin\sh.exe"
Delete "$INSTDIR\vendor\conemu-maximus5\.cmderver"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu.exe"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu.map"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu64.exe"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu64.map"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\ConEmu.dll"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\ConEmu.map"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\ConEmu.x64.dll"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\ConEmu.x64.map"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\ConEmuPlugin_en.lng"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\ConEmuPlugin_ru.lng"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Readme.txt"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Thumbs\ConEmuTh.dll"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Thumbs\ConEmuTh.map"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Thumbs\ConEmuTh.x64.dll"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Thumbs\ConEmuTh.x64.map"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Thumbs\ConEmuTh_en.lng"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Thumbs\ConEmuTh_ru.lng"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Thumbs\gdi+.t32"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Thumbs\gdi+.t32.map"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Thumbs\gdi+.t64"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Thumbs\gdi+.t64.map"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Thumbs\ico.t32"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Thumbs\ico.t32.map"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Thumbs\ico.t64"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Thumbs\ico.t64.map"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Thumbs\pe.t32"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Thumbs\pe.t32.map"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Thumbs\pe.t64"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Thumbs\pe.t64.map"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Lines\ConEmuLn.dll"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Lines\ConEmuLn.map"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Lines\ConEmuLn.x64.dll"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Lines\ConEmuLn.x64.map"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Lines\ConEmuLn_en.lng"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Lines\ConEmuLn_ru.lng"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Background\Background.xml"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Background\ConEmuBg.dll"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Background\ConEmuBg.map"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Background\ConEmuBg.x64.dll"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Background\ConEmuBg.x64.map"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Background\ConEmuBg_en.lng"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Background\ConEmuBg_ru.lng"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Background\img\archive.png"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Background\img\caution.png"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Background\img\database.png"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Background\img\downloads.png"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Background\img\drive_cdrom.png"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Background\img\drive_cloud.png"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Background\img\drive_fixed.png"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Background\img\drive_network.png"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Background\img\drive_ramdisk.png"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Background\img\drive_removable.png"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Background\img\dropbox.png"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Background\img\globe.png"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Background\img\music.png"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Background\img\network.png"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Background\img\plugin.png"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Background\img\recycle.png"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Background\img\science.png"
Delete "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Background\img\trash.png"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\About-ConEmu.txt"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Attach.cmd"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\cecho.cmd"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\ClsEx.cmd"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\CmdInit.cmd"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Cmd_Autorun.cmd"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\ColorPrompt.cmd"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Command Processor Off.reg"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Command Processor.reg"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\conemu-cyg-32.exe"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\conemu-cyg-64.exe"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\conemu-msys-32.exe"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\conemu-msys2-32.exe"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\conemu-msys2-64.exe"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\ConEmu.l10n"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\ConEmuC.exe"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\ConEmuC64.exe"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\ConEmuCD.dll"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\ConEmuCD64.dll"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\ConEmuHk.dll"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\ConEmuHk64.dll"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\ConEmu_MinGW.xml"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\ConEmu_Sample.xml"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\ConEmu_Tilde.xml"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\csudo.cmd"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\ExtendedConsole.dll"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\ExtendedConsole64.dll"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\FAQ-ConEmu.txt"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\GitShowBranch.cmd"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\IsConEmu.cmd"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\License.txt"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Portable.txt"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\RenameTab.cmd"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\SetConTitle.cmd"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\SetEscChar.cmd"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\SetProgress.cmd"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Settings-ConEmu.reg"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\TypeBuildErrors.cmd"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\WhatsNew-ConEmu.txt"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\wsl\.gitattributes"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\wsl\256colors2.pl"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\wsl\cygwin1.dll"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\wsl\hashlist.sha256"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\wsl\README.md"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\wsl\wsl-boot.sh"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\wsl\wsl-con.cmd"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\wsl\wslbridge-backend"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\wsl\wslbridge.exe"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Scripts\git-log.cmd"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Scripts\git-push-set-upstream.cmd"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Scripts\readme.txt"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far3_lua\ConEmu.CtrlNumber.lua"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far3_lua\ConEmu.CtrlO.lua"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far3_lua\ConEmu.CtrlShiftT.lua"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far3_lua\ConEmu.Editor.lua"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far3_lua\ConEmu.FontSize.lua"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far3_lua\ConEmu.PanelsList.lua"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far3_lua\ConEmu.ShiftEnter.lua"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far3_lua\ConEmu.TabList.lua"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far3_lua\ConEmu.Thumbnails.lua"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far3_lua\Editor.MsRClick.lua"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far3_lua\Thumbnails_KeyBar.farconfig"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far3_fml\ConEmu.CtrlO.fml"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far3_fml\ConEmu.CtrlShiftT.fml"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far3_fml\ConEmu.Editor.fml"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far3_fml\ConEmu.FontSize.fml"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far3_fml\ConEmu.ShiftEnter.fml"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far3_fml\ConEmu.TabList.fml"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far3_fml\ConEmu.Thumbnails.fml"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far3_fml\Editor.MsRClick.fml"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far3_fml\Thumbnails_KeyBar.farconfig"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far2_reg\AltEnter_Exec.reg"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far2_reg\AltEnter_Props.reg"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far2_reg\CtrlAltD.reg"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far2_reg\CtrlO.reg"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far2_reg\CtrlO_View.reg"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far2_reg\CtrlShiftT.reg"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far2_reg\FarWhite.reg"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far2_reg\FAR_AutoAttach.reg"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far2_reg\FontSize.reg"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far2_reg\ShiftEnter.reg"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far2_reg\Thumbnails.reg"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far2_reg\Thumbnails_KeyBar.reg"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far2_reg\UCharMap.reg"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far2_fml\ConEmu.Editor.fml"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far2_fml\ConEmu.fml"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far2_fml\ConEmu.FontSize.fml"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far2_fml\ConEmu.GuiMacro.fml"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far2_fml\ConEmu.ShiftEnter.fml"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far2_fml\ConEmu.TabList.fml"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far1_reg\AltEnter_Exec.reg"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far1_reg\AltEnter_Props.reg"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far1_reg\CtrlAltD.reg"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far1_reg\CtrlO.reg"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far1_reg\CtrlO_View.reg"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far1_reg\CtrlShiftT.reg"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far1_reg\FAR_AutoAttach.reg"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far1_reg\FontSize.reg"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far1_reg\ShiftEnter.reg"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far1_reg\TabList.reg"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far1_reg\Thumbnails.reg"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far1_reg\Thumbnails_KeyBar.reg"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\DosBox\DosBox_Sample.conf"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\clink\Readme.txt"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Addons\AnsiColors16.ans"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Addons\AnsiColors16t.ans"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Addons\AnsiColors24bit.ps1"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Addons\AnsiColors256.ans"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Addons\Blues16.bmp"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Addons\CallPlugin.txt"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Addons\ChocolateyAbout.cmd"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Addons\ConEmu_Inside.reg"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Addons\ConEmu_Inside_Delete.reg"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Addons\Disable_ConIme.reg"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Addons\FarHere.dat"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Addons\FarHereInstall.cmd"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Addons\FarHereUninstall.cmd"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Addons\git_sample.cmd"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Addons\Greys16.bmp"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Addons\Lines16.bmp"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Addons\Lines16a.bmp"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Addons\Lines18.bmp"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Addons\Lines18a.bmp"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Addons\RevokeMouseInput.ps1"
Delete "$INSTDIR\vendor\conemu-maximus5\ConEmu\Addons\utf-8-test.cmd"
Delete "$INSTDIR\vendor\clink-completions\.appveyor.yml"
Delete "$INSTDIR\vendor\clink-completions\.busted"
Delete "$INSTDIR\vendor\clink-completions\.cmderver"
Delete "$INSTDIR\vendor\clink-completions\.gitignore"
Delete "$INSTDIR\vendor\clink-completions\.init.lua"
Delete "$INSTDIR\vendor\clink-completions\.luacheckrc"
Delete "$INSTDIR\vendor\clink-completions\.luacov"
Delete "$INSTDIR\vendor\clink-completions\angular-cli.lua"
Delete "$INSTDIR\vendor\clink-completions\chocolatey.lua"
Delete "$INSTDIR\vendor\clink-completions\coho.lua"
Delete "$INSTDIR\vendor\clink-completions\cordova.lua"
Delete "$INSTDIR\vendor\clink-completions\dotnet.lua"
Delete "$INSTDIR\vendor\clink-completions\git.lua"
Delete "$INSTDIR\vendor\clink-completions\git_prompt.lua"
Delete "$INSTDIR\vendor\clink-completions\kubectl.lua"
Delete "$INSTDIR\vendor\clink-completions\LICENSE"
Delete "$INSTDIR\vendor\clink-completions\net.lua"
Delete "$INSTDIR\vendor\clink-completions\npm.lua"
Delete "$INSTDIR\vendor\clink-completions\nvm.lua"
Delete "$INSTDIR\vendor\clink-completions\pip.lua"
Delete "$INSTDIR\vendor\clink-completions\pipenv.lua"
Delete "$INSTDIR\vendor\clink-completions\README.md"
Delete "$INSTDIR\vendor\clink-completions\RELEASENOTES.md"
Delete "$INSTDIR\vendor\clink-completions\scoop.lua"
Delete "$INSTDIR\vendor\clink-completions\ssh.lua"
Delete "$INSTDIR\vendor\clink-completions\test.bat"
Delete "$INSTDIR\vendor\clink-completions\vagrant.lua"
Delete "$INSTDIR\vendor\clink-completions\yarn.lua"
Delete "$INSTDIR\vendor\clink-completions\spec\color_spec.lua"
Delete "$INSTDIR\vendor\clink-completions\spec\funclib_spec.lua"
Delete "$INSTDIR\vendor\clink-completions\spec\path_spec.lua"
Delete "$INSTDIR\vendor\clink-completions\modules\color.lua"
Delete "$INSTDIR\vendor\clink-completions\modules\funclib.lua"
Delete "$INSTDIR\vendor\clink-completions\modules\gitutil.lua"
Delete "$INSTDIR\vendor\clink-completions\modules\JSON.lua"
Delete "$INSTDIR\vendor\clink-completions\modules\matchers.lua"
Delete "$INSTDIR\vendor\clink-completions\modules\path.lua"
Delete "$INSTDIR\vendor\clink-completions\modules\tables.lua"
Delete "$INSTDIR\vendor\clink-completions\.vscode\tasks.json"
Delete "$INSTDIR\vendor\clink\.cmderver"
Delete "$INSTDIR\vendor\clink\CHANGES"
Delete "$INSTDIR\vendor\clink\clink.bat"
Delete "$INSTDIR\vendor\clink\clink.html"
Delete "$INSTDIR\vendor\clink\clink.lua"
Delete "$INSTDIR\vendor\clink\clink_dll_x64.dll"
Delete "$INSTDIR\vendor\clink\clink_dll_x86.dll"
Delete "$INSTDIR\vendor\clink\clink_x64.exe"
Delete "$INSTDIR\vendor\clink\clink_x86.exe"
Delete "$INSTDIR\vendor\clink\LICENSE"
Delete "$INSTDIR\vendor\bin\alias.cmd"
Delete "$INSTDIR\vendor\bin\cexec.cmd"
Delete "$INSTDIR\vendor\bin\cmder_diag.cmd"
Delete "$INSTDIR\vendor\bin\cmder_diag.ps1"
Delete "$INSTDIR\vendor\bin\cmder_diag.sh"
Delete "$INSTDIR\vendor\bin\timer.cmd"
Delete "$INSTDIR\vendor\bin\vscode_init.cmd"
Delete "$INSTDIR\vendor\bin\vscode_init_args.cmd.default"
Delete "$INSTDIR\opt\Readme.md"
Delete "$INSTDIR\icons\cmder.ico"
Delete "$INSTDIR\icons\cmder_blue.ico"
Delete "$INSTDIR\icons\cmder_green.ico"
Delete "$INSTDIR\icons\cmder_orange.ico"
Delete "$INSTDIR\icons\cmder_purple.ico"
Delete "$INSTDIR\icons\cmder_red.ico"
Delete "$INSTDIR\icons\cmder_yellow.ico"
Delete "$INSTDIR\config\Readme.md"
Delete "$INSTDIR\bin\Readme.md"
 
# Leaving the bin, config and opt dirs
# Don't want to delete any users customizations
# RmDir "$INSTDIR\bin"
# RmDir "$INSTDIR\config"
# RmDir "$INSTDIR\opt"

RmDir "$INSTDIR\icons"
RmDir "$INSTDIR\vendor\bin"
RmDir "$INSTDIR\vendor\clink"
RmDir "$INSTDIR\vendor\clink-completions\.vscode"
RmDir "$INSTDIR\vendor\clink-completions\modules"
RmDir "$INSTDIR\vendor\clink-completions\spec"
RmDir "$INSTDIR\vendor\clink-completions"
RmDir "$INSTDIR\vendor\conemu-maximus5\ConEmu\Addons"
RmDir "$INSTDIR\vendor\conemu-maximus5\ConEmu\clink"
RmDir "$INSTDIR\vendor\conemu-maximus5\ConEmu\DosBox"
RmDir "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far1_reg"
RmDir "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far2_fml"
RmDir "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far2_reg"
RmDir "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far3_fml"
RmDir "$INSTDIR\vendor\conemu-maximus5\ConEmu\Far3_lua"
RmDir "$INSTDIR\vendor\conemu-maximus5\ConEmu\Scripts"
RmDir "$INSTDIR\vendor\conemu-maximus5\ConEmu\wsl"
RmDir "$INSTDIR\vendor\conemu-maximus5\ConEmu"
RmDir "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Background\img"
RmDir "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Background"
RmDir "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Lines"
RmDir "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu\Thumbs"
RmDir "$INSTDIR\vendor\conemu-maximus5\plugins\ConEmu"
RmDir "$INSTDIR\vendor\conemu-maximus5"
RmDir "$INSTDIR\vendor\git-for-windows\bin"
RmDir "$INSTDIR\vendor\git-for-windows\cmd"
RmDir "$INSTDIR\vendor\git-for-windows\etc\pkcs11"
RmDir "$INSTDIR\vendor\git-for-windows\etc\pki\ca-trust\extracted\java"
RmDir "$INSTDIR\vendor\git-for-windows\etc\pki\ca-trust\extracted\openssl"
RmDir "$INSTDIR\vendor\git-for-windows\etc\pki\ca-trust\extracted\pem"
RmDir "$INSTDIR\vendor\git-for-windows\etc\post-install"
RmDir "$INSTDIR\vendor\git-for-windows\etc\profile.d"
RmDir "$INSTDIR\vendor\git-for-windows\etc\ssh"
RmDir "$INSTDIR\vendor\git-for-windows\etc"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\bin"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\doc\git-credential-manager"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\doc\git-credential-manager-core"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\etc\pki\ca-trust\extracted\java"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\etc\pki\ca-trust\extracted\openssl"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\etc\pki\ca-trust\extracted\pem"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\lib\engines-1_1"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\lib\p11-kit"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\lib\reg1.3"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8\8.4\platform"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8\8.4"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8\8.5"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8\8.6\tdbc"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8\8.6"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\encoding"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\http1.0"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\msgs"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\opt0.4"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Africa"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Argentina"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Indiana"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\Kentucky"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America\North_Dakota"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\America"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Antarctica"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Arctic"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Asia"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Atlantic"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Australia"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Brazil"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Canada"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Chile"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Etc"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Europe"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Indian"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Mexico"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\Pacific"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\SystemV"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata\US"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6\tzdata"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\lib\tcl8.6"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\lib\thread2.8.5"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\demos\images"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\demos"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\images"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\msgs"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6\ttk"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\lib\tk8.6"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\lib"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core\mergetools"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\libexec\git-core"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\share\antiword"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\connect"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\expat"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\howto"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc\technical"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-doc"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\git-lfs"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\gnutls"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\jemalloc"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\mpfr\examples"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\mpfr"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\nghttp2"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\xz\examples"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\share\doc\xz"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\share\gettext-0.19.8\its"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\share\git\completion"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\share\git"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\share\git-core\templates\hooks"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\share\git-core\templates\info"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\share\git-core\templates"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\share\git-gui\lib"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\share\licenses\brotli"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\share\licenses\bzip2"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\share\licenses\expat"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\share\licenses\gcc-libs"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\share\licenses\gettext\gettext-runtime\intl"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\share\licenses\gettext\gettext-runtime\libasprintf"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\share\licenses\gettext\gettext-runtime"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\share\licenses\gettext\gettext-tools\gnulib-lib\libxml"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\share\licenses\gettext\gettext-tools"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\share\licenses\gettext\gnulib-local\lib\libxml"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\share\licenses\gettext"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\share\licenses\jemalloc"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\share\licenses\libffi"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\share\licenses\libiconv\libcharset"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\share\licenses\libiconv"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\share\licenses\libssh2"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\share\licenses\libsystre"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\share\licenses\libtasn1"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\share\licenses\libtre"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\share\licenses\libunistring"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\share\licenses\libwinpthread\mingw-w64-libraries\winpthreads"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\share\licenses\libwinpthread"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\share\licenses\libzip"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\share\licenses\openssl"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\share\licenses\pcre"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\share\licenses\pcre2"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\share\licenses\wineditline"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\share\licenses\xz"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\share\licenses\zlib"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\share\licenses\zstd"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\share\perl5\FromCPAN\Mail"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\share\perl5\FromCPAN"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\share\perl5\Git\LoadCPAN\Mail"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\share\perl5\Git\LoadCPAN"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\share\perl5\Git\SVN\Memoize"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\share\perl5\Git\SVN"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\share\perl5\Git"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\share\perl5"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\share\pki\ca-trust-legacy"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\share\pki\ca-trust-source"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\ssl\certs"
RmDir "$INSTDIR\vendor\git-for-windows\mingw64\ssl"
RmDir "$INSTDIR\vendor\git-for-windows\usr\bin\core_perl"
RmDir "$INSTDIR\vendor\git-for-windows\usr\bin\vendor_perl"
RmDir "$INSTDIR\vendor\git-for-windows\usr\bin"
RmDir "$INSTDIR\vendor\git-for-windows\usr\etc\profile.d"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\awk"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\gawk"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\gettext"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\gnupg"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\openssl\engines-1.1"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\p11-kit"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\attributes"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\B"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Compress\Raw\Bzip2"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Compress\Raw\Zlib"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Cwd"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Data\Dumper"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Devel\Peek"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Digest\MD5"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Digest\SHA"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Encode\Byte"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Encode\CN"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Encode\EBCDIC"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Encode\JP"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Encode\KR"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Encode\Symbol"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Encode\TW"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Encode\Unicode"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Encode"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Fcntl"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\File\DosGlob"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\File\Glob"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Filter\Util\Call"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Hash\Util\FieldHash"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Hash\Util"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\I18N\Langinfo"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\IO"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\IPC\SysV"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\List\Util"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Math\BigInt\FastCalc"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\MIME\Base64"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\mro"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\NDBM_File"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Opcode"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\PerlIO\encoding"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\PerlIO\mmap"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\PerlIO\scalar"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\PerlIO\via"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\POSIX"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\re"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\SDBM_File"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Socket"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Storable"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Sys\Hostname"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Sys\Syslog"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\threads\shared"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\threads"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Time\HiRes"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Time\Piece"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Unicode\Collate"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Unicode\Normalize"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Win32"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Win32API\File"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\Win32CORE"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\XS\APItest"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\auto\XS\Typemap"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\B"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\Compress\Raw"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\CORE"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\Data"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\Devel"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\Digest"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\Encode\CN"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\Encode\JP"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\Encode\KR"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\Encode\MIME\Header"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\Encode\MIME"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\Encode\Unicode"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\Encode"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\File\Spec"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\File"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\Filter\Util"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\Hash\Util"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\Hash"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\I18N"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\IO\Socket"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\IO"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\IPC"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\List\Util"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\List"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\Math\BigInt"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\MIME"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\PerlIO"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\Scalar"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\Sub"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\Sys"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\threads"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\Time"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\Unicode\Collate"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\Unicode"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl\Win32API"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\core_perl"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Clone"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\HTML\Parser"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Net\SSLeay"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\SVN\_Client"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\SVN\_Core"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\SVN\_Delta"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\SVN\_Fs"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\SVN\_Ra"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\SVN\_Repos"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\SVN\_Wc"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\auto\Term\ReadKey"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\HTML"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\Net\SSLeay"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\Net"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\SVN"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl\Term"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\perl5\vendor_perl"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\sasl2"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\ssh"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\tar"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8\8.4\platform"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8\8.4"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8\8.5"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8\8.6\tdbc"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8\8.6"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\encoding"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\http1.0"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\msgs"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6\opt0.4"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\tcl8.6"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\63"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\64"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\73"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib\terminfo\78"
RmDir "$INSTDIR\vendor\git-for-windows\usr\lib"
RmDir "$INSTDIR\vendor\git-for-windows\usr\libexec\p11-kit"
RmDir "$INSTDIR\vendor\git-for-windows\usr\libexec"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\applications"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\awk"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\bash-completion\completions"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\cygwin"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\fish\vendor_conf.d"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\gdb\auto-load\usr\lib"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\git"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\glib-2.0\gdb"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\glib-2.0\schemas"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\gnupg"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\icons\hicolor\48x48\apps"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\icons\locolor\16x16\apps"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\icons\locolor\32x32\apps"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\licenses\dos2unix"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\licenses\expat"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\licenses\file"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\licenses\gcc-libs"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\licenses\libassuan"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\licenses\libedit"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\licenses\libffi"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\licenses\libksba"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\licenses\libnghttp2"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\licenses\libpsl"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\licenses\libsasl"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\licenses\libsqlite"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\licenses\libssh2"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\licenses\libxml2"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\licenses\libxslt"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\licenses\mintty"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\licenses\ncurses"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\licenses\openssh"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\licenses\openssl"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\licenses\p11-kit"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\licenses\perl-Net-SSLeay"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\licenses\perl-TermReadKey"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\licenses\perl-Try-Tiny"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\licenses\tcl"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\licenses\unzip"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\licenses\vim"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\licenses\zlib"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\makepkg\lint_package"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\makepkg-template"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\mintty\lang"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\mintty\themes"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\misc"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\nano"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\p11-kit\modules"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\App\Prove\State\Result"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\App\Prove\State"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\App\Prove"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\App"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Archive\Tar"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Archive"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Attribute"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\autodie\exception"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\autodie\Scope"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\autodie"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\B"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Carp"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Class"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Compress"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Config\Perl"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Config"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\DBM_Filter"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Devel"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Digest"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Encode"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\encoding"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Exporter"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\File"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Filter"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Getopt"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\HTTP"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\I18N\LangTags"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\I18N"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\IO\Compress\Adapter"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\IO\Compress\Base"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\IO\Compress\Gzip"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\IO\Compress\Zip"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\IO\Compress\Zlib"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\IO\Compress"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\IO\Socket"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\IO\Uncompress\Adapter"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\IO\Uncompress"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\IO"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\IPC"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\JSON\PP"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\JSON"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Math\BigFloat"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Math\BigInt"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Math"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Memoize"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Module\CoreList"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Module\Load"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Module"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Net\FTP"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Net"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\overload"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Params"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Parse\CPAN"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Perl"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\PerlIO\via"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Search"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Term"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Test\Builder\IO"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Test\Builder\Tester"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Test\Builder"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Test\Tester"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Test\use"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Test"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\API"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\Event\TAP"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\Event"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\EventFacet\Info"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\EventFacet"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\Formatter"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\Hub\Interceptor"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\Hub"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\IPC\Driver"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\IPC"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\Tools"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Test2\Util"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Test2"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Text"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Thread"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Tie\Hash"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Tie"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Time"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Age"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Alpha"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Bc"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\BidiC"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\BidiM"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Blk"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Bpt"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Cased"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Ccc"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\CE"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\CI"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\CompEx"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\CWCF"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\CWCM"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\CWKCF"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\CWL"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\CWT"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\CWU"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Dash"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Dep"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\DI"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Dia"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Dt"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Ea"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\EBase"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\EComp"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Emoji"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\EPres"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Ext"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\ExtPict"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Gc"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\GCB"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\GrBase"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\GrExt"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Hex"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Hst"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Hyphen"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\IDC"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Ideo"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\IDS"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\IdStatus"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\IdType"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\In"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\InPC"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\InSC"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Jg"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Jt"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Lb"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Lower"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Math"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\NFCQC"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\NFDQC"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\NFKCQC"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\NFKDQC"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nt"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Nv"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\PatSyn"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\PCM"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Perl"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\QMark"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\SB"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Sc"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Scx"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\SD"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\STerm"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Term"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\UIdeo"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Upper"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\Vo"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\WB"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\XIDC"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\lib\XIDS"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore\To"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\unicore"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\User"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\version"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\warnings"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl\Win32API\File"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\core_perl"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\Authen\SASL\Perl"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\Authen\SASL"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\Authen"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\Convert"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\Date\Language"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\Date"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\Encode"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\Error"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\File"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\HTML"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\HTTP\Cookies"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\HTTP\Headers"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\HTTP\Request"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\HTTP"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\IO\Socket\SSL"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\IO\Socket"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\IO"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\JSON\backportPP"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\JSON"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\LWP\Authen"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\LWP\Debug"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\LWP\Protocol"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\LWP"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\Mail\Field"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\Mail\Mailer"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\Mail"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\MIME\Decoder"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\MIME\Field"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\MIME\Parser"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\MIME"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\Net\HTTP"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\Net\SMTP"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\Net"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\Time"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\Try"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI\file"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI\urn"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\URI"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\WWW\RobotRules"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl\WWW"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\perl5\vendor_perl"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\pki\ca-trust-legacy"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\pki\ca-trust-source"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\tabset"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\63"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\64"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\73"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\terminfo\78"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\autoload\dist"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\autoload\xml"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\autoload"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\colors\tools"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\colors"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\compiler"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\doc"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\ftplugin"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\indent"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\keymap"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\af\LC_MESSAGES"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\ca\LC_MESSAGES"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\cs\LC_MESSAGES"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\cs.cp1250\LC_MESSAGES"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\da\LC_MESSAGES"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\de\LC_MESSAGES"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\en_GB\LC_MESSAGES"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\eo\LC_MESSAGES"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\es\LC_MESSAGES"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\fi\LC_MESSAGES"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\fr\LC_MESSAGES"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\ga\LC_MESSAGES"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\it\LC_MESSAGES"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\ja\LC_MESSAGES"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\ja.euc-jp\LC_MESSAGES"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\ja.sjis\LC_MESSAGES"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\ko\LC_MESSAGES"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\ko.UTF-8\LC_MESSAGES"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\lv\LC_MESSAGES"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\nb\LC_MESSAGES"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\nl\LC_MESSAGES"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\no\LC_MESSAGES"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\pl\LC_MESSAGES"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\pl.cp1250\LC_MESSAGES"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\pl.UTF-8\LC_MESSAGES"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\pt_BR\LC_MESSAGES"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\ru\LC_MESSAGES"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\ru.cp1251\LC_MESSAGES"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\sk\LC_MESSAGES"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\sk.cp1250\LC_MESSAGES"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\sr\LC_MESSAGES"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\sv\LC_MESSAGES"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\tr\LC_MESSAGES"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\uk\LC_MESSAGES"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\uk.cp1251\LC_MESSAGES"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\vi\LC_MESSAGES"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\zh_CN\LC_MESSAGES"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\zh_CN.cp936\LC_MESSAGES"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\zh_CN.UTF-8\LC_MESSAGES"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\zh_TW\LC_MESSAGES"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang\zh_TW.UTF-8\LC_MESSAGES"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\lang"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\macros\hanoi"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\macros\life"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\macros\maze"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\macros\urm"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\macros"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\pack\dist\opt\cfilter\plugin"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\pack\dist\opt\dvorak\dvorak"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\pack\dist\opt\dvorak\plugin"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\pack\dist\opt\editexisting\plugin"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\pack\dist\opt\justify\plugin"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\pack\dist\opt\matchit\autoload"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\pack\dist\opt\matchit\doc"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\pack\dist\opt\matchit\plugin"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\pack\dist\opt\shellmenu\plugin"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\pack\dist\opt\swapmouse\plugin"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\pack\dist\opt\termdebug\plugin"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\plugin"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\print"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\spell"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\syntax"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\tools"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82\tutor"
RmDir "$INSTDIR\vendor\git-for-windows\usr\share\vim\vim82"
RmDir "$INSTDIR\vendor\git-for-windows\usr\ssl\certs"
RmDir "$INSTDIR\vendor\git-for-windows\usr\ssl\misc"
RmDir "$INSTDIR\vendor\git-for-windows\usr\ssl"
RmDir "$INSTDIR\vendor\git-for-windows"
RmDir "$INSTDIR\vendor\lib"
RmDir "$INSTDIR\vendor\psmodules\PsGet"
RmDir "$INSTDIR\vendor\psmodules"
RmDir "$INSTDIR\vendor"
 
Delete "$INSTDIR\uninstall.exe"
!ifdef WEB_SITE
Delete "$INSTDIR\${APP_NAME} website.url"
!endif

# RmDir "$INSTDIR"

!ifdef REG_START_MENU
!insertmacro MUI_STARTMENU_GETFOLDER "Application" $SM_Folder
Delete "$SMPROGRAMS\$SM_Folder\${APP_NAME}.lnk"
Delete "$SMPROGRAMS\$SM_Folder\Uninstall ${APP_NAME}.lnk"
!ifdef WEB_SITE
Delete "$SMPROGRAMS\$SM_Folder\${APP_NAME} Website.lnk"
!endif
RmDir "$SMPROGRAMS\$SM_Folder"
!endif

!ifndef REG_START_MENU
Delete "$SMPROGRAMS\Cmder\${APP_NAME}.lnk"
Delete "$SMPROGRAMS\Cmder\Uninstall ${APP_NAME}.lnk"
!ifdef WEB_SITE
Delete "$SMPROGRAMS\Cmder\${APP_NAME} Website.lnk"
!endif
RmDir "$SMPROGRAMS\Cmder"
!endif

DeleteRegKey ${REG_ROOT} "${REG_APP_PATH}"
DeleteRegKey ${REG_ROOT} "${UNINSTALL_PATH}"
SectionEnd

######################################################################

